(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[    122795,       2782]
NotebookOptionsPosition[    122476,       2756]
NotebookOutlinePosition[    122841,       2772]
CellTagsIndexPosition[    122798,       2769]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  StyleBox[
   RowBox[{"CEV", " ", "Local", " ", "Volatility", " ", "Model"}], "Title",
   FontVariations->{"Underline"->True}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
  "This", " ", "file", " ", "implements", " ", "3", "rd", " ", "order", " ", 
   "implied", " ", "vol", " ", "expansion", " ", "for", " ", "CEV", " ", 
   "model"}], "Subsection"], "\n", 
 RowBox[{
  StyleBox[
   RowBox[{
   "Compares", " ", "to", " ", "Hagan", " ", "Woodward", " ", "expansion"}], 
   "Subsection"], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"dS", " ", "=", " ", 
    RowBox[{"\[Delta]", " ", 
     RowBox[{"S", "^", 
      RowBox[{"(", 
       RowBox[{"\[Beta]", "-", "1"}], ")"}]}], " ", "S", " ", "dW"}]}], 
   "Subsubtitle"], 
  StyleBox[" ", "Subsubtitle"]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"X", " ", "=", " ", 
   RowBox[{"Log", "[", "S", "]"}]}], "Subsubtitle"], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"dX", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      RowBox[{"\[Delta]", "^", "2"}], " ", 
      RowBox[{"Exp", "[", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "-", "1"}], ")"}], "X"}], "]"}], " ", "dt"}], " ",
      "+", " ", 
     RowBox[{"\[Delta]", " ", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Beta]", "-", "1"}], ")"}], "X"}], "]"}], " ", "dW"}]}]}], 
   "Subsubtitle"], 
  StyleBox[" ", "Subsubtitle"]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"\[Delta]", ">", "0"}], "Subsubtitle"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"0", " ", "<", " ", "\[Beta]", " ", "<", " ", "1"}], 
  "Subsubtitle"]}], "Input",
 CellChangeTimes->{{3.5797086220309467`*^9, 3.579708688769764*^9}, {
   3.579708720560582*^9, 3.5797087635740423`*^9}, {3.5797089131635985`*^9, 
   3.5797089194549584`*^9}, {3.579709390675911*^9, 3.579709393406067*^9}, 
   3.580450524226604*^9, {3.580451484455891*^9, 3.5804514865774946`*^9}, {
   3.5804515642812314`*^9, 3.580451570287242*^9}, {3.5807137137643847`*^9, 
   3.5807137185379543`*^9}, 3.5807910197611117`*^9}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Disclaimer", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}}],

Cell["\<\
Date: June 21, 2013.

This file was created by: Matthew Lorig, Stefano Pagliarani and Andrea \
Pascucci.

These Mathematica notebooks are provided on an \[OpenCurlyDoubleQuote]as is\
\[CloseCurlyDoubleQuote] basis without warranty of any kind, express or \
implied. Under no circumstances and under no legal theory, whether in tort, \
contract, or otherwise, shall the authors be liable to you or to any other \
person for any indirect, special, incidental, or consequential damages or \
losses. If you do not agree with these terms, then you are advised to not use \
the notebooks.

Please do no redistribute these notebooks.  If you wish to endorse the \
notebooks, then please link to the web-pages of the authors:
http://www.princeton.edu/~mlorig/
http://www.math.unipd.it/~stefanop/
http://www.dm.unibo.it/~pascucci/\
\>", "Text",
 CellChangeTimes->{{3.5127369954359856`*^9, 3.512737125359417*^9}, {
   3.5127371655637164`*^9, 3.5127371663597617`*^9}, {3.512814058730217*^9, 
   3.512814058891226*^9}, 3.526199505602*^9, 3.5268335032155323`*^9, {
   3.5272388928125*^9, 3.527238893671875*^9}, {3.5804506352987995`*^9, 
   3.580450646016018*^9}, 3.5804510585431423`*^9, {3.580462082523318*^9, 
   3.58046208374012*^9}, {3.58079100437961*^9, 3.580791005222005*^9}}],

Cell[TextData[StyleBox["", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}, 
   3.580451009169056*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Delta]", "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"\[Beta]", "-", "1"}], ")"}], "x"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]\[Alpha]", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Compute"}]}]}]}]}]}]}], " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Coefficients", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], "  ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", 
     RowBox[{"0", ",", "3"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      SuperscriptBox["aa", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "3"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x0", ",", "y0"}], "]"}], "/", 
     RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Get"}]}]}]}]}]}]}], " ", "Implied", " ", "Vol", 
    " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Expansion", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "filename", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Define"}]}]}]}]}]}]}], " ", "3", "rd", " ", 
    "order", " ", "Implied", " ", "Vol", " ", "Expansion", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]00", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]10", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]20", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]30", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Exact"}]}]}]}]}]}]}], " ", "CEV", " ", 
    "implied", " ", "volatility", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]CEV", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Call", "[", 
     RowBox[{
     "S_", ",", "KK_", ",", "r_", ",", "t_", ",", "vol_", ",", "\[Gamma]_", 
      ",", "scale_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Nu]", "=", 
         FractionBox["1", 
          RowBox[{"2", "\[Gamma]"}]]}], ",", "\[Sigma]", ",", "\[Tau]", ",", 
        "Q", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Sigma]", "=", "vol"}], ";", 
       RowBox[{"Q", " ", "=", " ", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"r", " ", "t"}], "\[Nu]"]]}], ";", 
       RowBox[{"\[Tau]", " ", "=", 
        RowBox[{
         SuperscriptBox["\[Sigma]", "2"], 
         FractionBox[
          RowBox[{"(", 
           RowBox[{"Q", "-", "1"}], ")"}], 
          RowBox[{"2", "\[Nu]", " ", "r"}]]}]}], ";", 
       RowBox[{"x", " ", "=", " ", 
        RowBox[{
         SuperscriptBox["S", 
          RowBox[{"1", "/", "\[Nu]"}]], "Q"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "r"}], " ", "t"}]], 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox["1", "\[Tau]"], 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"-", 
              FractionBox[
               RowBox[{"x", "+", "y"}], "\[Tau]"]}]], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["x", "y"], ")"}], 
             RowBox[{"\[Nu]", "/", "2"}]], 
            RowBox[{"(", " ", 
             RowBox[{
              RowBox[{"-", "KK"}], " ", "+", " ", 
              SuperscriptBox["y", "\[Nu]"]}], ")"}], 
            RowBox[{"BesselI", "[", 
             RowBox[{"\[Nu]", ",", 
              RowBox[{"2", 
               FractionBox[
                SqrtBox[
                 RowBox[{"x", " ", "y"}]], "\[Tau]"]}]}], "]"}]}], ")"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            SuperscriptBox["KK", 
             RowBox[{"1", "/", "\[Nu]"}]], ",", 
            RowBox[{"scale", " ", 
             SuperscriptBox["KK", 
              RowBox[{"1", "/", "\[Nu]"}]]}]}], "}"}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "10"}]}], "]"}]}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalPhi]", "[", "z_", "]"}], ":=", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NumericQ", "[", "z", "]"}], "&&", 
        RowBox[{"z", "<", "0"}]}], ",", 
       RowBox[{"Erfc", "[", 
        RowBox[{
         RowBox[{"-", "z"}], "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], ",", 
       RowBox[{"1", "+", 
        RowBox[{"Erf", "[", 
         RowBox[{"z", "/", 
          RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}]}]}], "]"}], "/", "2"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PBS", "[", 
    RowBox[{"t_", ",", "x_", ",", "k_", ",", "\[Sigma]_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d1", ",", "d2"}], "}"}], ",", "\n", "\t", 
     RowBox[{
      RowBox[{"d1", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "k", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Sigma]", "^", "2"}], "/", "2"}], ")"}], "t"}]}], 
         ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", " ", 
          RowBox[{"Sqrt", "[", "t", "]"}]}], ")"}]}]}], ";", "\n", "\t", 
      RowBox[{"d2", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "k", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"\[Sigma]", "^", "2"}]}], "/", "2"}], ")"}], "t"}]}], 
         ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", " ", 
          RowBox[{"Sqrt", "[", "t", "]"}]}], ")"}]}]}], ";", "\n", "\t", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", "x", "]"}], " ", 
        RowBox[{"\[CapitalPhi]", "[", "d1", "]"}]}], "-", 
       RowBox[{
        RowBox[{"Exp", "[", "k", "]"}], " ", 
        RowBox[{"\[CapitalPhi]", "[", "d2", "]"}]}]}]}]}], "\n", "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ImpVol", "[", 
    RowBox[{"CallPrice_", ",", "t_", ",", "x_", ",", "k_"}], "]"}], ":=", " ", 
   RowBox[{"FinancialDerivative", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<European\>\"", ",", " ", "\"\<Call\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<StrikePrice\>\"", " ", "->", " ", 
        RowBox[{"Exp", "[", "k", "]"}]}], ",", " ", 
       RowBox[{"\"\<Expiration\>\"", " ", "->", " ", "t"}], ",", " ", 
       RowBox[{"\"\<Value\>\"", " ", "->", " ", "CallPrice"}]}], "}"}], ",", 
     "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<InterestRate\>\"", " ", "->", " ", "0"}], ",", " ", 
       RowBox[{"\"\<CurrentPrice\>\"", " ", "\[Rule]", 
        RowBox[{"Exp", "[", "x", "]"}]}], ",", " ", 
       RowBox[{"\"\<Dividend\>\"", " ", "->", " ", "0"}]}], "}"}], ",", " ", 
     "\"\<ImpliedVolatility\>\""}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r", "=", "0.0000000001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"scale", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]CEV", "[", 
     RowBox[{"t_", ",", "x_", ",", "k_", ",", "\[Delta]_", ",", "\[Beta]_"}], 
     "]"}], ":=", 
    RowBox[{"Quiet", "[", 
     RowBox[{"ImpVol", "[", 
      RowBox[{
       RowBox[{"Call", "[", 
        RowBox[{
         RowBox[{"Exp", "[", "x", "]"}], ",", 
         RowBox[{"Exp", "[", "k", "]"}], ",", "r", ",", "t", ",", "\[Delta]", 
         ",", 
         RowBox[{"1", "-", "\[Beta]"}], ",", "scale"}], "]"}], ",", "t", ",", 
       "x", ",", "k"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Hagan"}]}]}]}]}]}]}], " ", "Woodward", " ", 
    "Implied", " ", "Vol", " ", "Expansion", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]HW", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ff", "[", 
    RowBox[{"x_", ",", "k_"}], "]"}], "=", " ", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Exp", "[", "x", "]"}], "+", 
      RowBox[{"Exp", "[", "k", "]"}]}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]HW", "[", 
     RowBox[{"t_", ",", "x_", ",", "k_"}], " ", "]"}], "=", " ", 
    RowBox[{
     FractionBox["\[Delta]", 
      SuperscriptBox[
       RowBox[{"ff", "[", 
        RowBox[{"x", ",", "k"}], "]"}], 
       RowBox[{"1", "-", "\[Beta]"}]]], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        FractionBox["1", "24"], 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Beta]"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"2", "+", "\[Beta]"}], ")"}], 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "x", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}], "2"], 
         SuperscriptBox[
          RowBox[{"ff", "[", 
           RowBox[{"x", ",", "k"}], "]"}], "2"]]}], "+", 
       "\[IndentingNewLine]", 
       RowBox[{
        FractionBox["1", "24"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Beta]"}], ")"}], "2"], 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[Delta]", "2"], "t"}], 
         SuperscriptBox[
          RowBox[{"ff", "[", 
           RowBox[{"x", ",", "k"}], "]"}], 
          RowBox[{"2", "-", 
           RowBox[{"2", "\[Beta]"}]}]]]}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", " ", "Choose"}]}]}]}]}]}]}], " ", "CEV", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"parameters", " ", "--"}], "--"}], "--"}], "--"}], "--"}]}], 
    "-"}], " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Beta]", " ", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Delta]", "=", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", " ", "Plot"}]}]}]}]}]}]}], " ", "Implied", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Vols", " ", "--"}], "--"}], "--"}], "--"}], "--"}]}], "-"}],
    " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0", "=", "x"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y0", "=", "y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Implied Vol: exact (solid) vs Third Order (dashed) vs Hagan-Woodward \
(dotted)\>\"", ",", "16", ",", "Blue", ",", "Bold"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Time to maturity = \>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"t", "=", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmax", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmin", "=", 
   RowBox[{"-", " ", "kmax"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IVmin", "=", 
   RowBox[{
    RowBox[{"\[Sigma]CEV", "[", 
     RowBox[{"t", ",", "x", ",", "kmax", ",", "\[Delta]", ",", "\[Beta]"}], 
     "]"}], "-", "0.02"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IVmax", "=", 
   RowBox[{"\[Sigma]CEV", "[", 
    RowBox[{"t", ",", "x", ",", "kmin", ",", "\[Delta]", ",", "\[Beta]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Sigma]CEV", "[", 
       RowBox[{"t", ",", "x", ",", "k", ",", "\[Delta]", ",", "\[Beta]"}], 
       "]"}], ",", 
      RowBox[{"\[Sigma]", "[", 
       RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
       "]"}], ",", 
      RowBox[{"\[Sigma]HW", "[", 
       RowBox[{"t", ",", "x", ",", "k"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "kmin", ",", "kmax"}], "}"}], ",", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", 
      RowBox[{"Black", ",", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "Dashed"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "Dotted"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"IVmin", ",", "IVmax"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "IVmin"}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", " ", "Print"}]}]}]}]}]}], " ", "Implied", " ", 
    "Volatility", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Formula", " ", "--"}], "--"}], "--"}], "--"}], "--"}], 
       "--"}], "--"}], "--"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Delta]", "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"\[Beta]", "-", "1"}], ")"}], "x"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cc", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]\[Alpha]", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"To", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "filename", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]0", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]00", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]1", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]10", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]01", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]2", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]20", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]11", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]02", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]3", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]30", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]21", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]12", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]03", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Third Order Implied Volatility Approximation\>\"", ",", "16", ",", 
    "Blue", ",", "Bold"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<\[Sigma] = \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) + \
\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \
\(2\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<----------------\>\"", "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"--", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Manipulate", "  ", "--"}], "--"}], "--"}], "--"}], 
             "--"}], "--"}], "--"}], "--"}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Delta]", "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"\[Beta]", "-", "1"}], ")"}], "x"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]\[Alpha]", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "3"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "3"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Get", "[", "filename", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]0", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]00", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]1", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]10", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]2", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]20", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]3", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]30", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]", "[", 
     RowBox[{
     "t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_", ",", 
      "\[Delta]_", ",", "\[Beta]_"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Hagan"}]}]}]}]}]}]}], " ", "Woodward", " ", 
    "Implied", " ", "Vol", " ", "Expansion", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]HW", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ff", "[", 
    RowBox[{"x_", ",", "k_"}], "]"}], "=", " ", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Exp", "[", "x", "]"}], "+", 
      RowBox[{"Exp", "[", "k", "]"}]}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]HW", "[", 
    RowBox[{"t_", ",", "x_", ",", "k_", ",", "\[Delta]_", ",", "\[Beta]_"}], 
    " ", "]"}], ":=", " ", 
   RowBox[{
    FractionBox["\[Delta]", 
     SuperscriptBox[
      RowBox[{"ff", "[", 
       RowBox[{"x", ",", "k"}], "]"}], 
      RowBox[{"1", "-", "\[Beta]"}]]], 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "24"], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Beta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"2", "+", "\[Beta]"}], ")"}], 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "x", "]"}], "-", 
           RowBox[{"Exp", "[", "k", "]"}]}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"ff", "[", 
          RowBox[{"x", ",", "k"}], "]"}], "2"]]}], "+", "\[IndentingNewLine]", 
      RowBox[{
       FractionBox["1", "24"], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Beta]"}], ")"}], "2"], 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[Delta]", "2"], "t"}], 
        SuperscriptBox[
         RowBox[{"ff", "[", 
          RowBox[{"x", ",", "k"}], "]"}], 
         RowBox[{"2", "-", 
          RowBox[{"2", "\[Beta]"}]}]]]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0", "=", "x"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y0", "=", "y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmax", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Implied Vol: 3rd Order (dashed) vs Hagan-Woodward (dotted)\>\"", ",", 
    "16", ",", "Blue", ",", "Bold"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Sigma]", "[", 
        RowBox[{
        "t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k", ",", 
         "\[Delta]", ",", "\[Beta]"}], "]"}], ",", 
       RowBox[{"\[Sigma]HW", "[", 
        RowBox[{"t", ",", "x", ",", "k", ",", "\[Delta]", ",", "\[Beta]"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"-", "kmax"}], ",", "kmax"}], "}"}], ",", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<3rd order\>\"", ",", "\"\<Hagan-Woodward\>\""}], 
         "}"}]}], ","}], "*)"}], 
     RowBox[{"PlotStyle", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Black", ",", "Dashed"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Black", ",", "Dotted"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"\[Sigma]", "[", 
          RowBox[{
          "t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "kmax", ",", 
           "0.1", ",", "0.1"}], "]"}], "/", "2"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Beta]", ",", "0.1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Delta]", ",", "0.1", ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0.1", ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5764919506094313`*^9, 3.5764919551766925`*^9}, {
   3.5764920277388425`*^9, 3.5764923793689547`*^9}, {3.57649243365906*^9, 
   3.5764924611686335`*^9}, {3.5764925092163815`*^9, 3.5764925165408*^9}, {
   3.576492573216042*^9, 3.576492575420168*^9}, {3.5764926294472585`*^9, 
   3.576492858037333*^9}, {3.5764929496925755`*^9, 3.5764929915949717`*^9}, {
   3.5764930233557887`*^9, 3.576493070042459*^9}, {3.5764931031483526`*^9, 
   3.5764931936075263`*^9}, {3.5764932366559887`*^9, 
   3.5764932372540226`*^9}, {3.576493280358488*^9, 3.576493334976612*^9}, {
   3.576493370408639*^9, 3.5764933944110117`*^9}, 3.5764934345293064`*^9, {
   3.576493472324468*^9, 3.5764935165439973`*^9}, {3.5764935607595263`*^9, 
   3.576493622247043*^9}, {3.576493657747074*^9, 3.5764936578310785`*^9}, {
   3.5764960752303457`*^9, 3.576496093188373*^9}, {3.5764961260992556`*^9, 
   3.5764961389389896`*^9}, {3.576496204902763*^9, 3.5764963807278194`*^9}, {
   3.57649641483377*^9, 3.5764964172529087`*^9}, {3.576496512761371*^9, 
   3.576496552878666*^9}, {3.5765155556265607`*^9, 3.576515667939985*^9}, {
   3.576515724433216*^9, 3.576515803279726*^9}, {3.5765158356325765`*^9, 
   3.576516084614817*^9}, {3.5765161471603947`*^9, 3.57651617505399*^9}, 
   3.5765246189909554`*^9, 3.5766027110875683`*^9, {3.576602747399645*^9, 
   3.5766027938803034`*^9}, {3.5766028367167535`*^9, 
   3.5766028368847632`*^9}, {3.576602933428285*^9, 3.576602969092325*^9}, {
   3.576602999180046*^9, 3.576603000019094*^9}, {3.576603051802056*^9, 
   3.5766031034120073`*^9}, {3.5771134967640944`*^9, 
   3.5771136336799254`*^9}, {3.5771136686929283`*^9, 3.577113757914031*^9}, {
   3.5771137960772142`*^9, 3.5771140817705545`*^9}, 3.5778154327495365`*^9, {
   3.5778155013084574`*^9, 3.577815517463382*^9}, {3.5778155604198384`*^9, 
   3.5778155768107758`*^9}, {3.5778250620953035`*^9, 
   3.5778251366775694`*^9}, {3.577825297911791*^9, 3.577825308641405*^9}, {
   3.5778253701639237`*^9, 3.5778253801944976`*^9}, {3.5778254614721465`*^9, 
   3.577825472042751*^9}, {3.577825614115877*^9, 3.5778256166050196`*^9}, 
   3.577919233422595*^9, 3.577919281357337*^9, 3.5780753443850117`*^9, {
   3.578075393357813*^9, 3.578075401016251*^9}, 3.5780761086937275`*^9, {
   3.5780761499690886`*^9, 3.5780761529682603`*^9}, {3.578214367735693*^9, 
   3.5782143698028107`*^9}, {3.5782144944559407`*^9, 
   3.5782145470349483`*^9}, {3.5782146029941487`*^9, 
   3.5782146057043037`*^9}, {3.5782147381638803`*^9, 3.578214743253171*^9}, {
   3.5782148172334023`*^9, 3.5782148861043415`*^9}, {3.578214941306499*^9, 
   3.5782150266963835`*^9}, {3.578215072472001*^9, 3.5782150966473837`*^9}, {
   3.5782151526985903`*^9, 3.5782152049295774`*^9}, {3.57821530567634*^9, 
   3.578215311539675*^9}, 3.578215349297835*^9, 3.5782153978216105`*^9, {
   3.5782154550348825`*^9, 3.57821547858523*^9}, {3.578215533612377*^9, 
   3.578215549535288*^9}, {3.5782155986270957`*^9, 3.578215620769362*^9}, {
   3.5782159428607845`*^9, 3.578216203934717*^9}, {3.578216315051073*^9, 
   3.578216342679653*^9}, {3.578216373384409*^9, 3.5782163737114277`*^9}, {
   3.5782165203918176`*^9, 3.5782165521746354`*^9}, {3.578216753826169*^9, 
   3.578216761316598*^9}, {3.578216872660966*^9, 3.5782168902879744`*^9}, {
   3.5782169663973274`*^9, 3.5782169670103626`*^9}, {3.578217068170149*^9, 
   3.5782170769136486`*^9}, {3.578217300702449*^9, 3.578217311788083*^9}, {
   3.578321291867403*^9, 3.578321304937151*^9}, {3.5783219075366173`*^9, 
   3.578321912593907*^9}, {3.578322237793507*^9, 3.578322240535664*^9}, {
   3.57926394962955*^9, 3.579263951640665*^9}, {3.5792642758772097`*^9, 
   3.5792642763902397`*^9}, {3.5792681952983885`*^9, 
   3.5792682379488277`*^9}, {3.5792683925626707`*^9, 3.57926842244538*^9}, {
   3.5792708596357794`*^9, 3.5792708824300833`*^9}, {3.579690197472122*^9, 
   3.579690293954641*^9}, {3.579690324238373*^9, 3.579690391062195*^9}, {
   3.579690421478935*^9, 3.579690463810356*^9}, {3.579690496450223*^9, 
   3.5796906974977217`*^9}, {3.5796907347838545`*^9, 3.579690808989099*^9}, {
   3.5796908929279003`*^9, 3.579690895676057*^9}, {3.5796909481450586`*^9, 
   3.579690949642144*^9}, {3.5796910423834486`*^9, 3.5796910533880777`*^9}, {
   3.579691084093834*^9, 3.5796910949404545`*^9}, {3.5796911580610647`*^9, 
   3.579691206834854*^9}, {3.579692892961295*^9, 3.5796929972672615`*^9}, {
   3.5796974038403025`*^9, 3.57969741515495*^9}, {3.5796974505379744`*^9, 
   3.579697476104436*^9}, {3.5796977879572735`*^9, 3.579697795608711*^9}, {
   3.579698178274598*^9, 3.57969818443095*^9}, {3.579698617111698*^9, 
   3.5796986328025956`*^9}, {3.579698884010964*^9, 3.5796988864371023`*^9}, {
   3.5796989415272536`*^9, 3.579698979317415*^9}, {3.579707678290968*^9, 
   3.579707695512953*^9}, {3.5797077639858694`*^9, 3.579707776570589*^9}, 
   3.5797086205798635`*^9, {3.579708772348544*^9, 3.5797087736056166`*^9}, 
   3.5797088912873473`*^9, {3.579786164848316*^9, 3.57978619270991*^9}, {
   3.5797862454099245`*^9, 3.5797862671451674`*^9}, {3.5797863668568707`*^9, 
   3.579786480641379*^9}, {3.5797866707922544`*^9, 3.5797866843050275`*^9}, {
   3.5797867249573526`*^9, 3.5797867315127277`*^9}, {3.5797872482252817`*^9, 
   3.5797872942679157`*^9}, {3.5797873660190196`*^9, 3.5797873722733774`*^9}, 
   3.5797874050062494`*^9, {3.5797874712370377`*^9, 3.5797874752222652`*^9}, 
   3.5797903903069987`*^9, 3.5797904330234423`*^9, 3.579879522318743*^9, {
   3.5798796003382053`*^9, 3.5798796170481615`*^9}, {3.5804511761985493`*^9, 
   3.580451269517913*^9}, {3.5804514242857847`*^9, 3.5804514321793985`*^9}, {
   3.580451659207398*^9, 3.580451659815799*^9}, {3.580662702141034*^9, 
   3.580662722124062*^9}, 3.5806628270562096`*^9, {3.5806628696812696`*^9, 
   3.580662873671275*^9}, {3.5806629137913313`*^9, 3.5806629705984116`*^9}, {
   3.5806630161434755`*^9, 3.5806630636745424`*^9}, {3.58066314707366*^9, 
   3.580663191354722*^9}, 3.5806632674228287`*^9, {3.5806633375609274`*^9, 
   3.5806633409709325`*^9}, {3.5806634648561068`*^9, 
   3.5806634833031325`*^9}, {3.5806635208531857`*^9, 
   3.5806635987882953`*^9}, {3.5806637255434732`*^9, 
   3.5806637306334805`*^9}, {3.580663800616579*^9, 3.580663802726582*^9}, {
   3.58066476840394*^9, 3.580664777789953*^9}, {3.580664845838049*^9, 
   3.5806648461980495`*^9}, {3.580664923322158*^9, 3.580664977273234*^9}, {
   3.5806652770866556`*^9, 3.5806652897036734`*^9}, {3.5806653389697423`*^9, 
   3.580665352601762*^9}, {3.5806895690489745`*^9, 3.5806896417080765`*^9}, {
   3.5806897897882853`*^9, 3.580689836563351*^9}, {3.580690476814267*^9, 
   3.5806905698863983`*^9}, {3.580690614102461*^9, 3.580690650042511*^9}, {
   3.580690766514675*^9, 3.5806907979237194`*^9}, {3.580690886139844*^9, 
   3.5806909119428797`*^9}, {3.5806910011200056`*^9, 3.580691028474044*^9}, {
   3.580691094570137*^9, 3.5806910961001387`*^9}, {3.5806911746302495`*^9, 
   3.580691183032261*^9}, {3.5806912130673037`*^9, 3.5806912136423044`*^9}, 
   3.5806912705813847`*^9, 3.5806915198297367`*^9, {3.5806915711658087`*^9, 
   3.580691583602826*^9}, {3.58069307298693*^9, 3.5806931199299974`*^9}, {
   3.5806932337021575`*^9, 3.580693234612159*^9}, {3.580693379136362*^9, 
   3.5806934232174244`*^9}, {3.580712688796873*^9, 3.580712763850787*^9}, {
   3.580712814737661*^9, 3.580712890771845*^9}, {3.580712980408845*^9, 
   3.5807130273960447`*^9}, {3.580713062542845*^9, 3.580713084242445*^9}, {
   3.580713130028445*^9, 3.5807132319260445`*^9}, {3.580713476118658*^9, 
   3.580713480704852*^9}, {3.5807135288598914`*^9, 3.5807135815396323`*^9}, {
   3.580713617263403*^9, 3.5807136257029495`*^9}, {3.5807136766678224`*^9, 
   3.580713677525817*^9}, {3.5807289357834325`*^9, 3.580728959558792*^9}, {
   3.580741236065243*^9, 3.580741237507325*^9}, {3.5807413689358425`*^9, 
   3.5807413745131617`*^9}, 3.580741462114172*^9, {3.5807415124590516`*^9, 
   3.580741571322418*^9}, {3.5807417531238165`*^9, 3.580741778633276*^9}, {
   3.580741816418437*^9, 3.580741818346547*^9}, {3.580745412106099*^9, 
   3.580745431467206*^9}, {3.5807885046005726`*^9, 3.580788682503138*^9}, {
   3.5807887278069897`*^9, 3.580788827041504*^9}}],

Cell[BoxData[
 StyleBox["\<\"Implied Vol: exact (solid) vs Third Order (dashed) vs \
Hagan-Woodward (dotted)\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.5807910502277164`*^9}}],

Cell[BoxData["\<\"Time to maturity = \"\>"], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.5807910502277164`*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.5771135256837482`*^9, 3.577113601631092*^9}, 
   3.5771136344659705`*^9, {3.577113673249189*^9, 3.577113758510065*^9}, 
   3.5771137972512813`*^9, {3.5771138338933773`*^9, 3.577113959073537*^9}, {
   3.577114004974162*^9, 3.5771140222591505`*^9}, 3.5771140823405876`*^9, 
   3.577815433406574*^9, 3.577815519801515*^9, {3.5778155609458685`*^9, 
   3.5778155786368804`*^9}, 3.577825137288604*^9, 3.5778253104495087`*^9, 
   3.577825381701584*^9, 3.577825472599783*^9, 3.577825617700082*^9, 
   3.5779192349646835`*^9, 3.577919281833364*^9, 3.578075346997161*^9, 
   3.5780754016532874`*^9, 3.5780761093517656`*^9, 3.5780761541463275`*^9, 
   3.578214562921857*^9, 3.578214607594412*^9, 3.5782147474714127`*^9, 
   3.5782153134907866`*^9, 3.5782153504629016`*^9, 3.578215398328639*^9, 
   3.578215481683407*^9, 3.578215555426625*^9, 3.5782156218964267`*^9, 
   3.578215961684861*^9, 3.5782160790125723`*^9, 3.578216205873828*^9, 
   3.578216383605994*^9, 3.5782165384848523`*^9, 3.5782168917100554`*^9, 
   3.5782169738137517`*^9, 3.5782170785937448`*^9, 3.5782173130781565`*^9, 
   3.57832130894438*^9, 3.578321915394067*^9, 3.578322242902799*^9, 
   3.5792639576370077`*^9, 3.5792642866388254`*^9, 3.579268239582921*^9, 
   3.579268453575161*^9, 3.5792708840051737`*^9, 3.579690837842749*^9, 
   3.579690904714574*^9, 3.5796909533893585`*^9, 3.57969105674827*^9, 
   3.5796910978466206`*^9, 3.5796974163710194`*^9, 3.579698634886715*^9, 
   3.5797075153066454`*^9, 3.579707707405633*^9, 3.579786283883125*^9, 
   3.5797864867197266`*^9, 3.5797866856441045`*^9, 3.5797873049055243`*^9, 
   3.579787373445444*^9, 3.579787406140314*^9, 3.5797874780904293`*^9, 
   3.5797903924921236`*^9, 3.5797904379127216`*^9, 3.57987953659256*^9, 
   3.5798796192002845`*^9, 3.5806630844415717`*^9, 3.5806631996407337`*^9, 
   3.5806632678778296`*^9, 3.580663341871934*^9, 3.580663489075141*^9, 
   3.5806636154743185`*^9, 3.5806637390094924`*^9, 3.580663806877588*^9, 
   3.5806647790059547`*^9, 3.58066492466716*^9, 3.5806649792082367`*^9, 
   3.580665290323674*^9, 3.5806653539617634`*^9, 3.5806897606592445`*^9, {
   3.580689813720319*^9, 3.5806898405093565`*^9}, 3.5806899126744585`*^9, 
   3.580690099326736*^9, 3.580690664125531*^9, 3.580690800668723*^9, 
   3.580690920803892*^9, 3.5806910295790453`*^9, 3.580691102196148*^9, 
   3.580691183988263*^9, 3.5806912742313895`*^9, 3.5806915879238324`*^9, 
   3.580693172813072*^9, 3.5806934253674273`*^9, 3.580712648034334*^9, 
   3.580712767454364*^9, {3.580712823302006*^9, 3.580712838558708*^9}, 
   3.580712893189845*^9, {3.5807129860560446`*^9, 3.5807130281760445`*^9}, {
   3.580713064243245*^9, 3.5807130850224447`*^9}, {3.580713193832445*^9, 
   3.5807132345468445`*^9}, 3.5807134817500057`*^9, {3.580713554161956*^9, 
   3.580713582054429*^9}, 3.580713626670143*^9, 3.580713729411084*^9, 
   3.5807288472443686`*^9, 3.5807288777691145`*^9, 3.58072896004082*^9, 
   3.580741188662532*^9, 3.5807412638758335`*^9, 3.5807413770113044`*^9, 
   3.580741581505001*^9, 3.580741821992756*^9, 3.5807454396026716`*^9, 
   3.5807883876358767`*^9, {3.580788520545203*^9, 3.5807885386896315`*^9}, {
   3.5807886070237637`*^9, 3.5807886833455653`*^9}, {3.5807887339691877`*^9, 
   3.58078876649623*^9}, {3.580788798835981*^9, 3.5807888277435217`*^9}, {
   3.580791044393354*^9, 3.5807910502277164`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], LineBox[CompressedData["
1:eJwtlHk41HkAh6lsqzTtrmOLfUbGM2mwncLT4COprNVaubK5nqJa8ThWB6lU
4wo1y+ig+9CI1VqtleJbxlo9svycDWaMcTxMFjWa7y7Rts+zf7zP+8f7/2u2
J3pn+DwtLa0dH/jPex8IJ96/p0SYKFDFOSthMGO8kv+OEll5dlIylKjbdjfw
8N8f+vM5w3NOSqyUP3o+NklJmWxZSJGDEiq9gdvSfkqMWGvdFfZKxERs3FUu
ocRjZJ7Ac50SJ7jdT/elUZKuo522gaNEfoF5ThOLkszI4y2fLlDiel96tJeu
hnh1XR7mSPph1OLtyTN8S6im1kYrrR8N33q7NnKniL9h6s3THv1w43HjzTlq
Um2VWJ23pB+bSgMLm9e8IROPhYqANgWmz+7TX897TXS54sI/RAq8pXfygi0m
SY3tJz5D/grUcXJsaqLGib+EV37RVAG+zslyq7Axwp51muXW90HkbGe3+biK
BFfw3q3y68PeK7uGVNdHyOB5fanXqBzN99i62vnDxN3XLvOreDnYej+vIxWD
ZHayi2v4sRyLVgw3j95XksDFBgn9uTJE+qRcEosVxC6Zqz3CkSFU0tfIzpGR
W7Xt8rSqXnAc57x+PyUlizvUon3uvSg6UN7/uKKDiPx/vPJU2YMIdVlgZj5D
yu1MwjN/6MHqEzoBH5k3kuGJbVsSF/ZAP6F98YUCCVGvKROLb3ejKyzS8sFA
BcluXFqaYt+NI4mW557nXSOjTkFZZzqkuH/e3vnO2qvgjLquOnBIinPfn+oM
Pf0bDL7getixpFgy5cEv8ZLgQXjK3rHSl1DE19scFjSiPU/x7onbS4w/2lF7
pIEBq9vYN3WoC4VpN0PDMjoQFMzR/SejC1xNsf7RAilm1jqclVh0Qf6LaTX/
gAyXytkuy5o64XtRkf5KqEBUqk+cxaFOXLubVe1xQQkdflFug1EnFuyO+ksn
YRCxA9YllaQDf4YW3dspGMat2hiHiD0d+HWJcRCNHEGr7ILn13odWJlvNrLQ
QwVTPevYpsp2TB8WzBZ7j8H5UZKpe0g7Xk2bsMT24ygU5L6o0mvHjf1p7Sbm
k9gzFvqTz8M2CDe/yFrOfQ2lSXHLteA2sKKLXSSGb5C66q71jaVtqHGtrK4w
VkNkKT45/3ErZqNCbP1YU5C0yqrmIluhvbD1stXsFGRhlpcPmrXC1i2u1l1L
gwqb280xLQyme0tGDN9ooLKYXNOWwsA1skG4Q6MBf+xLo3QBg+yZAfuUaQ2G
PPtYjmcYrDA2yZiaR5HzeZDtvWQG2/0zeG36FKoWv5CkYwxETHiEcCNF78Gr
yy1jGayuZ48tSqBQNxpY5QYyOOq7SeRynGLcP9bPfTeDZ4O+DomnKJyehOVq
f8fAZ3521mgGRbKRwDXGn8Ex5xnrhnwK8f785G92Mmio6opKeUKxvicsiOXG
4DN3tWH1U4rZM0X367cxCJSyaqbqKFIXjeue3Mpggm5lhTVRsJsb5yZcGBht
fFjqIqeIMTapbXVkEFrX7Jeo/NAteDcyHRgUeb+aKxumcAx9JnTlM3CI43ia
TVAEyK0LK+wZpGo70V1qCod49otoOwYtwoDrQkrBJFUu4NkyMF5xaHvDDIWp
8Jan0obB//9CwFxCScEGBv8CN/iB7A==
     "]]}, 
   {GrayLevel[0], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtlGs0lHkAh4dVjmi2Tew2tnELSZdVro38kITVUbmX60apSFmEjY4iFDUr
uugiW8qkEyKtir+M1ZTE6343ZkrCqpjmzSh295z98Jzny/P50f4lYkeIPIPB
2Pov/3l3Mff93BxNqB+W+q+2FmHJDEuf84Umtz0ZTpyNItQ5FPjGfKZJRn08
x8lKBP2ByufjH2hywsrQPGSDCKMq4hvdQzRZnRSWftVMhEP7Tb3L+DTZG55x
6du1IiTq9dTsSaVJDGUcOq0pQu5l3axGJk2mny0mYjkR8gbTIrYrScnYop09
i54OQb3ZzdVQ7RMZmPByWJAyBME2N/sGPQmJtXtQwnMegqOhXpSuzhQRh33e
1688hA33fG81rZ0k1idXlNdQQshO7VFdZ/iRmAd6Xd12TohP9M0cf4MP5ESU
86uznkLU6WSZVIdPkEjeCDuILQRn3rEyo+Bx0m2SlSvjDyLbxtzcNmGUuORJ
11u6D2L3Fe83o3kjpF8l0Sv37QCabrOV5HKHicKS701fRg6ArVJiTCpek/xM
y+kX8wewQGu46d0dEeFl0pIXWf0Ic0+5WFgoJAGeIQyGTj8C+YMN7Kx+omy0
w/JZZR90Ns5u/yupm0Qsr/7S4NQHXmjZ0OOKdiKfHcTYLOrF/qlS39O5FHnL
1rZf9Wsv1iTO85mv20A0gzI6jRV7oRrXpnz+Mp/UligVH7rRg87gsJXF4gqS
o5Xsv9OiB0fiV555nnONbNLWtgto78adsxY2N3+6iuXCUx4O0d04sy+pI/D4
Q1RMdPmoMruxUOLCubudj8miTJ3ae10QRtWbxCQ3oEygEZHq2IWJyq21RwQU
9gqM42zfdOJWan5gcHo7ltnLR/+R3gk9aZFq7OVu8BreBXkadGLgvmYVJ7Qf
BdGKDudedsDjgjBtjCvEAdebk2lRHbhWkFHlcl6EWeUriSrqHVDYFf73vLjX
GLdOfTxY3Y5XgbzbO5KHUZzAcjwc1I4HC1l+dNgIIiejQk2U26Gfqz2i6DKK
5ABW7aWHbZDFJH8tchvHJzXetc9+bRiTaTALLSag7J6f4qrchut7U9s0dD/A
hSm+0Hy/FVzblxlL9T6i2d4nbr5fK5gRRXZ8tUkYKozFTi9sRbX9n1UVrCko
yPyM3Cpb8DU8wMyTKYHnLiPJzwdaIKfYcsnoqwSGs3eOVmm2wMwxstaZIcXR
J7ya5lcUZH13R9QmpVA8yH7slEzBPkzA3SqVYsVQ049zxylkzogtUmRSBG2M
/708iYIWSyNdIk+DVVpZpnmMwhavdMNWVRolKeJeaRyFbCpkP9eUxh6x6FFh
BIU19ezxBXE05g5xy1i7KMR6bMi2S6BhoBgQ1eJD4elrD6v4pH/7k/qOp7wp
uH+TmfEuncYam+srZB4UfrOZWSXIpTF03bqxZxsFwaPO8JQnNCh1g4I8BwqL
nafUqmpoJFgn53hvpuDbzayW1NGAa8/F7+wpvKc3M4MbaTBXHe46YUtB3bT8
nt0AjeYWJ84+KwqBdU2e8SIaVpsO8nU4FHhuY7OlwzSeXjnt32dJwSpSx1X7
PY0lyqWNruYUTspZ095TNESalflKZhSauT55XJqGYNmjNL4JBZZW9BbBDI16
hfLjCesp/P8v9LfdOmu+jsI/ZUV9bg==
     "]]}, 
   {GrayLevel[0], Dashing[{0, Small}], LineBox[CompressedData["
1:eJwtlHs41XcAh6nMKKeV0RPLdUeTslqukY88FZMm6VRMUrk0Y8bK5aSL5bod
dR6jiaQtRbQkTVR8m9uOzuR33E7u5yBzWy7nON8iWnue/fF53uf9+32ej+HR
sL0Bi5SUlHa/2388VsyfePuWksgQg8kHDVJ8OKdjYveGkrBYRaHqO6/decMn
8hUlG4P2cQ4IpDDprWgYn6REzaQ0WlEvxeiygesdUkqOLHWb3VwrxbfBlgdL
aygZCvtmrKhKijPszieBSZS4D3ZdvlgqRVa2cVoji5K+v0ObTHKkyO1LDvNQ
UxArpy2uD7+WQpvxdDfVmiGstUdyM+2lEOzx3C5ky4ldbIZhkoYULqbsE8ZG
MlK7OAjpHRJsueNzs+nTafKbqkMOp0CC2R8CNT8znSLg+TjbRkgwQ/MyfNdO
EusnlcvD7SWoNUqzqAp9ScIzSgfr1CSwUzlbauY/Tmw7jR9V5/Uh3dHaetvp
UZLACd1z274Px64cfDGaO0wCp876mrf3oilfT005a4gsbPs1oSCwF3rL7m4i
ZYNkf2w1P3qhB+oGQ00jhf3ETD7umZHag5B9CZkFBRKy4Zxt4hu9HvjV9An1
0nrI+9UjEZvKu2G0dcGjLq6DDFk+5tl93o1bx0ulj8raSM4V03iX/i4Ey0p8
fswSEYt1ed0J33XB/IyK13vGQsJWfnjmjmoXNGNal17KriGV+sXr5dc7IfYP
WVc8UEYyw8Ofi206EcVdd6Eh4yqJGd10rqWtA4UXbRzzNuZg14uZoHsnO3Dh
q7h2v+8fgFWVII5idUBD7mZ326MGqYvPWq0pfg7JiXqLyHghrL9Y1dro8hwv
K3ZXRwlESN5x//ihF2LcTPrFzz+lDc5+W40iU8RgK4o0o7M7UOEb2ZhvIkbv
Pf1Ku+M90JSGDpsK28H5WZI8xn/XhRf6sW5EO67e4FW6XerHLkPpjM7Kdiz5
MvQflZhBJHd2Xv6gog3P/G7l740fQpwXL3apVxt+19A5REOGUcexvCt82wqT
LMNhVbdRLDkve3WtoBWzkfHzRZ7j4Ooo3ANdWzE2q8sqsHkJngp31YPpFlwL
SmrVNZ6E+8UVNlM/tYC/7S/eavYULNSjtPStW8AKK3Kq0ZpG5aWpgXJJM6q2
l1eW6chg+fQjj63nmzEfethqP0uOJRmO3p+sb4ayavNls3k5NJsdfObaRbBy
iah2VVLANz+pvIkrwmz37WGtaQWquyOxnC3C9hABf7dCgZFTYTN8YxFS5wZs
EmYVkDcrlaw0EsFARzdFvogio3zWRltfBOcDKaYtmhSrd+bz1qwWIV0UEMy3
pEje27Bjg4YI5vV64+oxFGPWQm2PGQbRnC3pTqcpChw4iS0yBn8Mcuy5cRTc
Q4NznGkG+xan8kZSKNpl+q+9JxiccpxbL8iiEB8Jsw8YYSB4KA5NeEwhCuGN
cHsYrHSVaVU+odAVrXg038XAp4NVJa+lKAxuSzvXyWCC7mD5N1K8rmNzEsUM
tC3v33HqpTjq4MFOEzHwq23az+2nGPQzN9ViGNzyHFsoGaJ4/Cpwc+YzBvYR
Ru6GExQlrq+9rwoZJCo70IMyioBg72jDpwwYvlcun1JkP2VfyRMw0DE46SyY
o7hgdLh+7Z8M/v8v2Jqp08I6Bv8CMnqNiw==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.24877490308241298`},
  Method->{},
  PlotRange->{{-1.5, 1.5}, {0.24877490308241298`, 0.5703673039516794}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{{3.5771135256837482`*^9, 3.577113601631092*^9}, 
   3.5771136344659705`*^9, {3.577113673249189*^9, 3.577113758510065*^9}, 
   3.5771137972512813`*^9, {3.5771138338933773`*^9, 3.577113959073537*^9}, {
   3.577114004974162*^9, 3.5771140222591505`*^9}, 3.5771140823405876`*^9, 
   3.577815433406574*^9, 3.577815519801515*^9, {3.5778155609458685`*^9, 
   3.5778155786368804`*^9}, 3.577825137288604*^9, 3.5778253104495087`*^9, 
   3.577825381701584*^9, 3.577825472599783*^9, 3.577825617700082*^9, 
   3.5779192349646835`*^9, 3.577919281833364*^9, 3.578075346997161*^9, 
   3.5780754016532874`*^9, 3.5780761093517656`*^9, 3.5780761541463275`*^9, 
   3.578214562921857*^9, 3.578214607594412*^9, 3.5782147474714127`*^9, 
   3.5782153134907866`*^9, 3.5782153504629016`*^9, 3.578215398328639*^9, 
   3.578215481683407*^9, 3.578215555426625*^9, 3.5782156218964267`*^9, 
   3.578215961684861*^9, 3.5782160790125723`*^9, 3.578216205873828*^9, 
   3.578216383605994*^9, 3.5782165384848523`*^9, 3.5782168917100554`*^9, 
   3.5782169738137517`*^9, 3.5782170785937448`*^9, 3.5782173130781565`*^9, 
   3.57832130894438*^9, 3.578321915394067*^9, 3.578322242902799*^9, 
   3.5792639576370077`*^9, 3.5792642866388254`*^9, 3.579268239582921*^9, 
   3.579268453575161*^9, 3.5792708840051737`*^9, 3.579690837842749*^9, 
   3.579690904714574*^9, 3.5796909533893585`*^9, 3.57969105674827*^9, 
   3.5796910978466206`*^9, 3.5796974163710194`*^9, 3.579698634886715*^9, 
   3.5797075153066454`*^9, 3.579707707405633*^9, 3.579786283883125*^9, 
   3.5797864867197266`*^9, 3.5797866856441045`*^9, 3.5797873049055243`*^9, 
   3.579787373445444*^9, 3.579787406140314*^9, 3.5797874780904293`*^9, 
   3.5797903924921236`*^9, 3.5797904379127216`*^9, 3.57987953659256*^9, 
   3.5798796192002845`*^9, 3.5806630844415717`*^9, 3.5806631996407337`*^9, 
   3.5806632678778296`*^9, 3.580663341871934*^9, 3.580663489075141*^9, 
   3.5806636154743185`*^9, 3.5806637390094924`*^9, 3.580663806877588*^9, 
   3.5806647790059547`*^9, 3.58066492466716*^9, 3.5806649792082367`*^9, 
   3.580665290323674*^9, 3.5806653539617634`*^9, 3.5806897606592445`*^9, {
   3.580689813720319*^9, 3.5806898405093565`*^9}, 3.5806899126744585`*^9, 
   3.580690099326736*^9, 3.580690664125531*^9, 3.580690800668723*^9, 
   3.580690920803892*^9, 3.5806910295790453`*^9, 3.580691102196148*^9, 
   3.580691183988263*^9, 3.5806912742313895`*^9, 3.5806915879238324`*^9, 
   3.580693172813072*^9, 3.5806934253674273`*^9, 3.580712648034334*^9, 
   3.580712767454364*^9, {3.580712823302006*^9, 3.580712838558708*^9}, 
   3.580712893189845*^9, {3.5807129860560446`*^9, 3.5807130281760445`*^9}, {
   3.580713064243245*^9, 3.5807130850224447`*^9}, {3.580713193832445*^9, 
   3.5807132345468445`*^9}, 3.5807134817500057`*^9, {3.580713554161956*^9, 
   3.580713582054429*^9}, 3.580713626670143*^9, 3.580713729411084*^9, 
   3.5807288472443686`*^9, 3.5807288777691145`*^9, 3.58072896004082*^9, 
   3.580741188662532*^9, 3.5807412638758335`*^9, 3.5807413770113044`*^9, 
   3.580741581505001*^9, 3.580741821992756*^9, 3.5807454396026716`*^9, 
   3.5807883876358767`*^9, {3.580788520545203*^9, 3.5807885386896315`*^9}, {
   3.5807886070237637`*^9, 3.5807886833455653`*^9}, {3.5807887339691877`*^9, 
   3.58078876649623*^9}, {3.580788798835981*^9, 3.5807888277435217`*^9}, {
   3.580791044393354*^9, 3.5807910518033066`*^9}}],

Cell[BoxData[
 StyleBox["\<\"Third Order Implied Volatility Approximation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.5807910518501062`*^9}}],

Cell[BoxData["\<\"\[Sigma] = \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \
\\(0\\)]\\) + \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) + \
\\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) + \\!\\(\\*SubscriptBox[\\(\
\[Sigma]\\), \\(3\\)]\\)\"\>"], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.5807910518501062`*^9}}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(0\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.5807910518501062`*^9}}],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", "x", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", 
   SuperscriptBox["\[Delta]", "2"]}]]], "Output",
 CellChangeTimes->{{3.5771135256837482`*^9, 3.577113601631092*^9}, 
   3.5771136344659705`*^9, {3.577113673249189*^9, 3.577113758510065*^9}, 
   3.5771137972512813`*^9, {3.5771138338933773`*^9, 3.577113959073537*^9}, {
   3.577114004974162*^9, 3.5771140222591505`*^9}, 3.5771140823405876`*^9, 
   3.577815433406574*^9, 3.577815519801515*^9, {3.5778155609458685`*^9, 
   3.5778155786368804`*^9}, 3.577825137288604*^9, 3.5778253104495087`*^9, 
   3.577825381701584*^9, 3.577825472599783*^9, 3.577825617700082*^9, 
   3.5779192349646835`*^9, 3.577919281833364*^9, 3.578075346997161*^9, 
   3.5780754016532874`*^9, 3.5780761093517656`*^9, 3.5780761541463275`*^9, 
   3.578214562921857*^9, 3.578214607594412*^9, 3.5782147474714127`*^9, 
   3.5782153134907866`*^9, 3.5782153504629016`*^9, 3.578215398328639*^9, 
   3.578215481683407*^9, 3.578215555426625*^9, 3.5782156218964267`*^9, 
   3.578215961684861*^9, 3.5782160790125723`*^9, 3.578216205873828*^9, 
   3.578216383605994*^9, 3.5782165384848523`*^9, 3.5782168917100554`*^9, 
   3.5782169738137517`*^9, 3.5782170785937448`*^9, 3.5782173130781565`*^9, 
   3.57832130894438*^9, 3.578321915394067*^9, 3.578322242902799*^9, 
   3.5792639576370077`*^9, 3.5792642866388254`*^9, 3.579268239582921*^9, 
   3.579268453575161*^9, 3.5792708840051737`*^9, 3.579690837842749*^9, 
   3.579690904714574*^9, 3.5796909533893585`*^9, 3.57969105674827*^9, 
   3.5796910978466206`*^9, 3.5796974163710194`*^9, 3.579698634886715*^9, 
   3.5797075153066454`*^9, 3.579707707405633*^9, 3.579786283883125*^9, 
   3.5797864867197266`*^9, 3.5797866856441045`*^9, 3.5797873049055243`*^9, 
   3.579787373445444*^9, 3.579787406140314*^9, 3.5797874780904293`*^9, 
   3.5797903924921236`*^9, 3.5797904379127216`*^9, 3.57987953659256*^9, 
   3.5798796192002845`*^9, 3.5806630844415717`*^9, 3.5806631996407337`*^9, 
   3.5806632678778296`*^9, 3.580663341871934*^9, 3.580663489075141*^9, 
   3.5806636154743185`*^9, 3.5806637390094924`*^9, 3.580663806877588*^9, 
   3.5806647790059547`*^9, 3.58066492466716*^9, 3.5806649792082367`*^9, 
   3.580665290323674*^9, 3.5806653539617634`*^9, 3.5806897606592445`*^9, {
   3.580689813720319*^9, 3.5806898405093565`*^9}, 3.5806899126744585`*^9, 
   3.580690099326736*^9, 3.580690664125531*^9, 3.580690800668723*^9, 
   3.580690920803892*^9, 3.5806910295790453`*^9, 3.580691102196148*^9, 
   3.580691183988263*^9, 3.5806912742313895`*^9, 3.5806915879238324`*^9, 
   3.580693172813072*^9, 3.5806934253674273`*^9, 3.580712648034334*^9, 
   3.580712767454364*^9, {3.580712823302006*^9, 3.580712838558708*^9}, 
   3.580712893189845*^9, {3.5807129860560446`*^9, 3.5807130281760445`*^9}, {
   3.580713064243245*^9, 3.5807130850224447`*^9}, {3.580713193832445*^9, 
   3.5807132345468445`*^9}, 3.5807134817500057`*^9, {3.580713554161956*^9, 
   3.580713582054429*^9}, 3.580713626670143*^9, 3.580713729411084*^9, 
   3.5807288472443686`*^9, 3.5807288777691145`*^9, 3.58072896004082*^9, 
   3.580741188662532*^9, 3.5807412638758335`*^9, 3.5807413770113044`*^9, 
   3.580741581505001*^9, 3.580741821992756*^9, 3.5807454396026716`*^9, 
   3.5807883876358767`*^9, {3.580788520545203*^9, 3.5807885386896315`*^9}, {
   3.5807886070237637`*^9, 3.5807886833455653`*^9}, {3.5807887339691877`*^9, 
   3.58078876649623*^9}, {3.580788798835981*^9, 3.5807888277435217`*^9}, {
   3.580791044393354*^9, 3.580791051865706*^9}}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.580791051865706*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"k", "-", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], " ", 
  SqrtBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "x", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", 
    SuperscriptBox["\[Delta]", "2"]}]]}]], "Output",
 CellChangeTimes->{{3.5771135256837482`*^9, 3.577113601631092*^9}, 
   3.5771136344659705`*^9, {3.577113673249189*^9, 3.577113758510065*^9}, 
   3.5771137972512813`*^9, {3.5771138338933773`*^9, 3.577113959073537*^9}, {
   3.577114004974162*^9, 3.5771140222591505`*^9}, 3.5771140823405876`*^9, 
   3.577815433406574*^9, 3.577815519801515*^9, {3.5778155609458685`*^9, 
   3.5778155786368804`*^9}, 3.577825137288604*^9, 3.5778253104495087`*^9, 
   3.577825381701584*^9, 3.577825472599783*^9, 3.577825617700082*^9, 
   3.5779192349646835`*^9, 3.577919281833364*^9, 3.578075346997161*^9, 
   3.5780754016532874`*^9, 3.5780761093517656`*^9, 3.5780761541463275`*^9, 
   3.578214562921857*^9, 3.578214607594412*^9, 3.5782147474714127`*^9, 
   3.5782153134907866`*^9, 3.5782153504629016`*^9, 3.578215398328639*^9, 
   3.578215481683407*^9, 3.578215555426625*^9, 3.5782156218964267`*^9, 
   3.578215961684861*^9, 3.5782160790125723`*^9, 3.578216205873828*^9, 
   3.578216383605994*^9, 3.5782165384848523`*^9, 3.5782168917100554`*^9, 
   3.5782169738137517`*^9, 3.5782170785937448`*^9, 3.5782173130781565`*^9, 
   3.57832130894438*^9, 3.578321915394067*^9, 3.578322242902799*^9, 
   3.5792639576370077`*^9, 3.5792642866388254`*^9, 3.579268239582921*^9, 
   3.579268453575161*^9, 3.5792708840051737`*^9, 3.579690837842749*^9, 
   3.579690904714574*^9, 3.5796909533893585`*^9, 3.57969105674827*^9, 
   3.5796910978466206`*^9, 3.5796974163710194`*^9, 3.579698634886715*^9, 
   3.5797075153066454`*^9, 3.579707707405633*^9, 3.579786283883125*^9, 
   3.5797864867197266`*^9, 3.5797866856441045`*^9, 3.5797873049055243`*^9, 
   3.579787373445444*^9, 3.579787406140314*^9, 3.5797874780904293`*^9, 
   3.5797903924921236`*^9, 3.5797904379127216`*^9, 3.57987953659256*^9, 
   3.5798796192002845`*^9, 3.5806630844415717`*^9, 3.5806631996407337`*^9, 
   3.5806632678778296`*^9, 3.580663341871934*^9, 3.580663489075141*^9, 
   3.5806636154743185`*^9, 3.5806637390094924`*^9, 3.580663806877588*^9, 
   3.5806647790059547`*^9, 3.58066492466716*^9, 3.5806649792082367`*^9, 
   3.580665290323674*^9, 3.5806653539617634`*^9, 3.5806897606592445`*^9, {
   3.580689813720319*^9, 3.5806898405093565`*^9}, 3.5806899126744585`*^9, 
   3.580690099326736*^9, 3.580690664125531*^9, 3.580690800668723*^9, 
   3.580690920803892*^9, 3.5806910295790453`*^9, 3.580691102196148*^9, 
   3.580691183988263*^9, 3.5806912742313895`*^9, 3.5806915879238324`*^9, 
   3.580693172813072*^9, 3.5806934253674273`*^9, 3.580712648034334*^9, 
   3.580712767454364*^9, {3.580712823302006*^9, 3.580712838558708*^9}, 
   3.580712893189845*^9, {3.5807129860560446`*^9, 3.5807130281760445`*^9}, {
   3.580713064243245*^9, 3.5807130850224447`*^9}, {3.580713193832445*^9, 
   3.5807132345468445`*^9}, 3.5807134817500057`*^9, {3.580713554161956*^9, 
   3.580713582054429*^9}, 3.580713626670143*^9, 3.580713729411084*^9, 
   3.5807288472443686`*^9, 3.5807288777691145`*^9, 3.58072896004082*^9, 
   3.580741188662532*^9, 3.5807412638758335`*^9, 3.5807413770113044`*^9, 
   3.580741581505001*^9, 3.580741821992756*^9, 3.5807454396026716`*^9, 
   3.5807883876358767`*^9, {3.580788520545203*^9, 3.5807885386896315`*^9}, {
   3.5807886070237637`*^9, 3.5807886833455653`*^9}, {3.5807887339691877`*^9, 
   3.58078876649623*^9}, {3.580788798835981*^9, 3.5807888277435217`*^9}, {
   3.580791044393354*^9, 3.580791051865706*^9}}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.580791051865706*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "12"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"], " ", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "x", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", 
     SuperscriptBox["\[Delta]", "2"]}]]}], "-", 
  RowBox[{
   FractionBox["1", "96"], " ", "t", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "x", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", 
      SuperscriptBox["\[Delta]", "2"]}], ")"}], 
    RowBox[{"3", "/", "2"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "4"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "x", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", "t", " ", 
      SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.5771135256837482`*^9, 3.577113601631092*^9}, 
   3.5771136344659705`*^9, {3.577113673249189*^9, 3.577113758510065*^9}, 
   3.5771137972512813`*^9, {3.5771138338933773`*^9, 3.577113959073537*^9}, {
   3.577114004974162*^9, 3.5771140222591505`*^9}, 3.5771140823405876`*^9, 
   3.577815433406574*^9, 3.577815519801515*^9, {3.5778155609458685`*^9, 
   3.5778155786368804`*^9}, 3.577825137288604*^9, 3.5778253104495087`*^9, 
   3.577825381701584*^9, 3.577825472599783*^9, 3.577825617700082*^9, 
   3.5779192349646835`*^9, 3.577919281833364*^9, 3.578075346997161*^9, 
   3.5780754016532874`*^9, 3.5780761093517656`*^9, 3.5780761541463275`*^9, 
   3.578214562921857*^9, 3.578214607594412*^9, 3.5782147474714127`*^9, 
   3.5782153134907866`*^9, 3.5782153504629016`*^9, 3.578215398328639*^9, 
   3.578215481683407*^9, 3.578215555426625*^9, 3.5782156218964267`*^9, 
   3.578215961684861*^9, 3.5782160790125723`*^9, 3.578216205873828*^9, 
   3.578216383605994*^9, 3.5782165384848523`*^9, 3.5782168917100554`*^9, 
   3.5782169738137517`*^9, 3.5782170785937448`*^9, 3.5782173130781565`*^9, 
   3.57832130894438*^9, 3.578321915394067*^9, 3.578322242902799*^9, 
   3.5792639576370077`*^9, 3.5792642866388254`*^9, 3.579268239582921*^9, 
   3.579268453575161*^9, 3.5792708840051737`*^9, 3.579690837842749*^9, 
   3.579690904714574*^9, 3.5796909533893585`*^9, 3.57969105674827*^9, 
   3.5796910978466206`*^9, 3.5796974163710194`*^9, 3.579698634886715*^9, 
   3.5797075153066454`*^9, 3.579707707405633*^9, 3.579786283883125*^9, 
   3.5797864867197266`*^9, 3.5797866856441045`*^9, 3.5797873049055243`*^9, 
   3.579787373445444*^9, 3.579787406140314*^9, 3.5797874780904293`*^9, 
   3.5797903924921236`*^9, 3.5797904379127216`*^9, 3.57987953659256*^9, 
   3.5798796192002845`*^9, 3.5806630844415717`*^9, 3.5806631996407337`*^9, 
   3.5806632678778296`*^9, 3.580663341871934*^9, 3.580663489075141*^9, 
   3.5806636154743185`*^9, 3.5806637390094924`*^9, 3.580663806877588*^9, 
   3.5806647790059547`*^9, 3.58066492466716*^9, 3.5806649792082367`*^9, 
   3.580665290323674*^9, 3.5806653539617634`*^9, 3.5806897606592445`*^9, {
   3.580689813720319*^9, 3.5806898405093565`*^9}, 3.5806899126744585`*^9, 
   3.580690099326736*^9, 3.580690664125531*^9, 3.580690800668723*^9, 
   3.580690920803892*^9, 3.5806910295790453`*^9, 3.580691102196148*^9, 
   3.580691183988263*^9, 3.5806912742313895`*^9, 3.5806915879238324`*^9, 
   3.580693172813072*^9, 3.5806934253674273`*^9, 3.580712648034334*^9, 
   3.580712767454364*^9, {3.580712823302006*^9, 3.580712838558708*^9}, 
   3.580712893189845*^9, {3.5807129860560446`*^9, 3.5807130281760445`*^9}, {
   3.580713064243245*^9, 3.5807130850224447`*^9}, {3.580713193832445*^9, 
   3.5807132345468445`*^9}, 3.5807134817500057`*^9, {3.580713554161956*^9, 
   3.580713582054429*^9}, 3.580713626670143*^9, 3.580713729411084*^9, 
   3.5807288472443686`*^9, 3.5807288777691145`*^9, 3.58072896004082*^9, 
   3.580741188662532*^9, 3.5807412638758335`*^9, 3.5807413770113044`*^9, 
   3.580741581505001*^9, 3.580741821992756*^9, 3.5807454396026716`*^9, 
   3.5807883876358767`*^9, {3.580788520545203*^9, 3.5807885386896315`*^9}, {
   3.5807886070237637`*^9, 3.5807886833455653`*^9}, {3.5807887339691877`*^9, 
   3.58078876649623*^9}, {3.580788798835981*^9, 3.5807888277435217`*^9}, {
   3.580791044393354*^9, 3.5807910519125056`*^9}}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(3\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.5807910519125056`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "192"]}], " ", "t", " ", 
  RowBox[{"(", 
   RowBox[{"k", "-", "x"}], ")"}], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "3"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "x", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", 
     SuperscriptBox["\[Delta]", "2"]}], ")"}], 
   RowBox[{"3", "/", "2"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "12"}], "+", 
    RowBox[{"5", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "x", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", "t", " ", 
     SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.5771135256837482`*^9, 3.577113601631092*^9}, 
   3.5771136344659705`*^9, {3.577113673249189*^9, 3.577113758510065*^9}, 
   3.5771137972512813`*^9, {3.5771138338933773`*^9, 3.577113959073537*^9}, {
   3.577114004974162*^9, 3.5771140222591505`*^9}, 3.5771140823405876`*^9, 
   3.577815433406574*^9, 3.577815519801515*^9, {3.5778155609458685`*^9, 
   3.5778155786368804`*^9}, 3.577825137288604*^9, 3.5778253104495087`*^9, 
   3.577825381701584*^9, 3.577825472599783*^9, 3.577825617700082*^9, 
   3.5779192349646835`*^9, 3.577919281833364*^9, 3.578075346997161*^9, 
   3.5780754016532874`*^9, 3.5780761093517656`*^9, 3.5780761541463275`*^9, 
   3.578214562921857*^9, 3.578214607594412*^9, 3.5782147474714127`*^9, 
   3.5782153134907866`*^9, 3.5782153504629016`*^9, 3.578215398328639*^9, 
   3.578215481683407*^9, 3.578215555426625*^9, 3.5782156218964267`*^9, 
   3.578215961684861*^9, 3.5782160790125723`*^9, 3.578216205873828*^9, 
   3.578216383605994*^9, 3.5782165384848523`*^9, 3.5782168917100554`*^9, 
   3.5782169738137517`*^9, 3.5782170785937448`*^9, 3.5782173130781565`*^9, 
   3.57832130894438*^9, 3.578321915394067*^9, 3.578322242902799*^9, 
   3.5792639576370077`*^9, 3.5792642866388254`*^9, 3.579268239582921*^9, 
   3.579268453575161*^9, 3.5792708840051737`*^9, 3.579690837842749*^9, 
   3.579690904714574*^9, 3.5796909533893585`*^9, 3.57969105674827*^9, 
   3.5796910978466206`*^9, 3.5796974163710194`*^9, 3.579698634886715*^9, 
   3.5797075153066454`*^9, 3.579707707405633*^9, 3.579786283883125*^9, 
   3.5797864867197266`*^9, 3.5797866856441045`*^9, 3.5797873049055243`*^9, 
   3.579787373445444*^9, 3.579787406140314*^9, 3.5797874780904293`*^9, 
   3.5797903924921236`*^9, 3.5797904379127216`*^9, 3.57987953659256*^9, 
   3.5798796192002845`*^9, 3.5806630844415717`*^9, 3.5806631996407337`*^9, 
   3.5806632678778296`*^9, 3.580663341871934*^9, 3.580663489075141*^9, 
   3.5806636154743185`*^9, 3.5806637390094924`*^9, 3.580663806877588*^9, 
   3.5806647790059547`*^9, 3.58066492466716*^9, 3.5806649792082367`*^9, 
   3.580665290323674*^9, 3.5806653539617634`*^9, 3.5806897606592445`*^9, {
   3.580689813720319*^9, 3.5806898405093565`*^9}, 3.5806899126744585`*^9, 
   3.580690099326736*^9, 3.580690664125531*^9, 3.580690800668723*^9, 
   3.580690920803892*^9, 3.5806910295790453`*^9, 3.580691102196148*^9, 
   3.580691183988263*^9, 3.5806912742313895`*^9, 3.5806915879238324`*^9, 
   3.580693172813072*^9, 3.5806934253674273`*^9, 3.580712648034334*^9, 
   3.580712767454364*^9, {3.580712823302006*^9, 3.580712838558708*^9}, 
   3.580712893189845*^9, {3.5807129860560446`*^9, 3.5807130281760445`*^9}, {
   3.580713064243245*^9, 3.5807130850224447`*^9}, {3.580713193832445*^9, 
   3.5807132345468445`*^9}, 3.5807134817500057`*^9, {3.580713554161956*^9, 
   3.580713582054429*^9}, 3.580713626670143*^9, 3.580713729411084*^9, 
   3.5807288472443686`*^9, 3.5807288777691145`*^9, 3.58072896004082*^9, 
   3.580741188662532*^9, 3.5807412638758335`*^9, 3.5807413770113044`*^9, 
   3.580741581505001*^9, 3.580741821992756*^9, 3.5807454396026716`*^9, 
   3.5807883876358767`*^9, {3.580788520545203*^9, 3.5807885386896315`*^9}, {
   3.5807886070237637`*^9, 3.5807886833455653`*^9}, {3.5807887339691877`*^9, 
   3.58078876649623*^9}, {3.580788798835981*^9, 3.5807888277435217`*^9}, {
   3.580791044393354*^9, 3.580791051974905*^9}}],

Cell[BoxData["\<\"----------------\"\>"], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.580791051974905*^9}}],

Cell[BoxData[
 StyleBox["\<\"Implied Vol: 3rd Order (dashed) vs Hagan-Woodward (dotted)\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.5796908378497496`*^9, 3.579690904729575*^9, 3.579690953369357*^9, 
   3.57969105674627*^9, 3.5796910978436203`*^9, 3.5796974163690195`*^9, 
   3.5796986348837147`*^9, 3.5797075153036456`*^9, 3.5797077074026327`*^9, 
   3.579786283880125*^9, 3.5797864867177267`*^9, 3.579786685642104*^9, 
   3.579787304902524*^9, 3.5797873734434443`*^9, 3.5797874061383142`*^9, 
   3.5797874780884295`*^9, 3.5797903924901237`*^9, 3.579790437908722*^9, 
   3.5798795365905595`*^9, 3.579879619198284*^9, 3.5806630844415717`*^9, 
   3.5806631996357336`*^9, 3.5806632678728294`*^9, 3.580663341866934*^9, 
   3.580663489070141*^9, 3.5806636154743185`*^9, 3.5806637390044923`*^9, 
   3.5806638068725877`*^9, 3.5806647790059547`*^9, 3.58066492466716*^9, 
   3.5806649792082367`*^9, 3.580665290318674*^9, 3.5806653539617634`*^9, 
   3.5806897606592445`*^9, {3.580689813720319*^9, 3.580689840504357*^9}, 
   3.5806899126744585`*^9, 3.580690099326736*^9, 3.580690664120531*^9, 
   3.580690800668723*^9, 3.580690920803892*^9, 3.5806910295790453`*^9, 
   3.580691102196148*^9, 3.580691183988263*^9, 3.58069127422639*^9, 
   3.5806915879238324`*^9, 3.580693172808072*^9, 3.5806934253674273`*^9, 
   3.580712648034334*^9, 3.580712767454364*^9, {3.580712823302006*^9, 
   3.580712838558708*^9}, 3.580712893174245*^9, {3.5807129860560446`*^9, 
   3.5807130281760445`*^9}, {3.580713064243245*^9, 3.5807130850224447`*^9}, {
   3.580713193832445*^9, 3.5807132345468445`*^9}, 3.5807134817500057`*^9, {
   3.5807135541463566`*^9, 3.580713582054429*^9}, 3.580713626670143*^9, 
   3.5807137293954844`*^9, 3.5807288472633696`*^9, 3.580728877765114*^9, 
   3.5807289600368195`*^9, 3.5807411886575313`*^9, 3.580741263871833*^9, 
   3.5807413770063043`*^9, 3.580741581500001*^9, 3.5807418219897556`*^9, 
   3.5807454395976715`*^9, 3.5807883876358767`*^9, {3.580788520545203*^9, 
   3.5807885386896315`*^9}, {3.5807886070081625`*^9, 
   3.5807886833455653`*^9}, {3.5807887321595297`*^9, 3.58078876649623*^9}, 
   3.580788797197939*^9, 3.5807888277435217`*^9, {3.580791044393354*^9, 
   3.5807910520061054`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 0.1, $CellContext`\[Beta]$$ = 
    0.1, $CellContext`\[Delta]$$ = 0.1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Beta]$$], 0.1, 1}, {
      Hold[$CellContext`\[Delta]$$], 0.1, 0.5}, {
      Hold[$CellContext`t$$], 0.1, 10}}, Typeset`size$$ = {
    360., {115., 118.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Beta]$11839$$ = 
    0, $CellContext`\[Delta]$11840$$ = 0, $CellContext`t$11841$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`t$$ = 0.1, $CellContext`\[Beta]$$ = 
        0.1, $CellContext`\[Delta]$$ = 0.1}, "ControllerVariables" :> {
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$11839$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$11840$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$11841$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[{
         $CellContext`\[Sigma][$CellContext`t$$, $CellContext`x, \
$CellContext`y, $CellContext`x0, $CellContext`y0, $CellContext`k, \
$CellContext`\[Delta]$$, $CellContext`\[Beta]$$], 
         $CellContext`\[Sigma]HW[$CellContext`t$$, $CellContext`x, \
$CellContext`k, $CellContext`\[Delta]$$, $CellContext`\[Beta]$$]}, \
{$CellContext`k, -$CellContext`kmax, $CellContext`kmax}, 
        PlotStyle -> {{Black, Dashed}, {Black, Dotted}}, 
        AxesOrigin -> {
         0, $CellContext`\[Sigma][$CellContext`t$$, $CellContext`x, \
$CellContext`y, $CellContext`x0, $CellContext`y0, $CellContext`kmax, 0.1, 
            0.1]/2}], 
      "Specifications" :> {{$CellContext`\[Beta]$$, 0.1, 
         1}, {$CellContext`\[Delta]$$, 0.1, 0.5}, {$CellContext`t$$, 0.1, 
         10}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{411., {188., 193.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5771135256837482`*^9, 3.577113601631092*^9}, 
   3.5771136344659705`*^9, {3.577113673249189*^9, 3.577113758510065*^9}, 
   3.5771137972512813`*^9, {3.5771138338933773`*^9, 3.577113959073537*^9}, {
   3.577114004974162*^9, 3.5771140222591505`*^9}, 3.5771140823405876`*^9, 
   3.577815433406574*^9, 3.577815519801515*^9, {3.5778155609458685`*^9, 
   3.5778155786368804`*^9}, 3.577825137288604*^9, 3.5778253104495087`*^9, 
   3.577825381701584*^9, 3.577825472599783*^9, 3.577825617700082*^9, 
   3.5779192349646835`*^9, 3.577919281833364*^9, 3.578075346997161*^9, 
   3.5780754016532874`*^9, 3.5780761093517656`*^9, 3.5780761541463275`*^9, 
   3.578214562921857*^9, 3.578214607594412*^9, 3.5782147474714127`*^9, 
   3.5782153134907866`*^9, 3.5782153504629016`*^9, 3.578215398328639*^9, 
   3.578215481683407*^9, 3.578215555426625*^9, 3.5782156218964267`*^9, 
   3.578215961684861*^9, 3.5782160790125723`*^9, 3.578216205873828*^9, 
   3.578216383605994*^9, 3.5782165384848523`*^9, 3.5782168917100554`*^9, 
   3.5782169738137517`*^9, 3.5782170785937448`*^9, 3.5782173130781565`*^9, 
   3.57832130894438*^9, 3.578321915394067*^9, 3.578322242902799*^9, 
   3.5792639576370077`*^9, 3.5792642866388254`*^9, 3.579268239582921*^9, 
   3.579268453575161*^9, 3.5792708840051737`*^9, 3.579690837842749*^9, 
   3.579690904714574*^9, 3.5796909533893585`*^9, 3.57969105674827*^9, 
   3.5796910978466206`*^9, 3.5796974163710194`*^9, 3.579698634886715*^9, 
   3.5797075153066454`*^9, 3.579707707405633*^9, 3.579786283883125*^9, 
   3.5797864867197266`*^9, 3.5797866856441045`*^9, 3.5797873049055243`*^9, 
   3.579787373445444*^9, 3.579787406140314*^9, 3.5797874780904293`*^9, 
   3.5797903924921236`*^9, 3.5797904379127216`*^9, 3.57987953659256*^9, 
   3.5798796192002845`*^9, 3.5806630844415717`*^9, 3.5806631996407337`*^9, 
   3.5806632678778296`*^9, 3.580663341871934*^9, 3.580663489075141*^9, 
   3.5806636154743185`*^9, 3.5806637390094924`*^9, 3.580663806877588*^9, 
   3.5806647790059547`*^9, 3.58066492466716*^9, 3.5806649792082367`*^9, 
   3.580665290323674*^9, 3.5806653539617634`*^9, 3.5806897606592445`*^9, {
   3.580689813720319*^9, 3.5806898405093565`*^9}, 3.5806899126744585`*^9, 
   3.580690099326736*^9, 3.580690664125531*^9, 3.580690800668723*^9, 
   3.580690920803892*^9, 3.5806910295790453`*^9, 3.580691102196148*^9, 
   3.580691183988263*^9, 3.5806912742313895`*^9, 3.5806915879238324`*^9, 
   3.580693172813072*^9, 3.5806934253674273`*^9, 3.580712648034334*^9, 
   3.580712767454364*^9, {3.580712823302006*^9, 3.580712838558708*^9}, 
   3.580712893189845*^9, {3.5807129860560446`*^9, 3.5807130281760445`*^9}, {
   3.580713064243245*^9, 3.5807130850224447`*^9}, {3.580713193832445*^9, 
   3.5807132345468445`*^9}, 3.5807134817500057`*^9, {3.580713554161956*^9, 
   3.580713582054429*^9}, 3.580713626670143*^9, 3.580713729411084*^9, 
   3.5807288472443686`*^9, 3.5807288777691145`*^9, 3.58072896004082*^9, 
   3.580741188662532*^9, 3.5807412638758335`*^9, 3.5807413770113044`*^9, 
   3.580741581505001*^9, 3.580741821992756*^9, 3.5807454396026716`*^9, 
   3.5807883876358767`*^9, {3.580788520545203*^9, 3.5807885386896315`*^9}, {
   3.5807886070237637`*^9, 3.5807886833455653`*^9}, {3.5807887339691877`*^9, 
   3.58078876649623*^9}, {3.580788798835981*^9, 3.5807888277435217`*^9}, {
   3.580791044393354*^9, 3.5807910520217047`*^9}}]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1690, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 2204, 58, 283, "Input"],
Cell[CellGroupData[{
Cell[3692, 95, 173, 3, 68, "Section"],
Cell[3868, 100, 1278, 25, 220, "Text"],
Cell[5149, 127, 189, 4, 68, "Section"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5375, 136, 59716, 1681, 4654, "Input"],
Cell[65094, 1819, 2448, 40, 26, "Print"],
Cell[67545, 1861, 2144, 30, 23, "Print"],
Cell[69692, 1893, 3384, 46, 31, "Output"],
Cell[73079, 1941, 8973, 146, 251, "Output"],
Cell[82055, 2089, 2413, 39, 26, "Print"],
Cell[84471, 2130, 2347, 33, 23, "Print"],
Cell[86821, 2165, 2190, 31, 23, "Print"],
Cell[89014, 2198, 3604, 54, 40, "Output"],
Cell[92621, 2254, 2188, 31, 23, "Print"],
Cell[94812, 2287, 3795, 61, 47, "Output"],
Cell[98610, 2350, 2188, 31, 23, "Print"],
Cell[100801, 2383, 4689, 90, 47, "Output"],
Cell[105493, 2475, 2190, 31, 23, "Print"],
Cell[107686, 2508, 4243, 75, 46, "Output"],
Cell[111932, 2585, 2139, 30, 23, "Print"],
Cell[114074, 2617, 2427, 39, 26, "Print"],
Cell[116504, 2658, 5956, 95, 398, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature EvD6RbqCXt4QUDgPJDRXRgE@ *)
