(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[    113585,       2934]
NotebookOptionsPosition[    113165,       2901]
NotebookOutlinePosition[    113508,       2916]
CellTagsIndexPosition[    113465,       2913]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{"Quadratic", " ", "Local", " ", "Volatility", " ", "Model"}], 
   "\[IndentingNewLine]"}], "Title",
  FontVariations->{"Underline"->True}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{
   "This", " ", "file", " ", "implements", " ", "3", "rd", " ", "order", " ", 
    "implied", " ", "vol", " ", "expansion", " ", "for", " ", "Quadratic", 
    " ", "Local", " ", "Vol", " ", "model"}], "\[IndentingNewLine]"}], 
  "Subsection"], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"dS", " ", "=", " ", 
    RowBox[{
     FractionBox["\[Delta]", 
      RowBox[{" ", "S"}]], 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Exp", "[", "uu", "]"}], "-", "S"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Exp", "[", "ll", "]"}], "-", "S"}], ")"}]}], 
      RowBox[{
       RowBox[{"Exp", "[", "uu", "]"}], "-", 
       RowBox[{"Exp", "[", "ll", "]"}]}]], " ", "S", " ", "dW"}]}], 
   "Subsection"], 
  StyleBox[" ", "Subsection"]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"X", " ", "=", " ", 
   RowBox[{"Log", "[", "S", "]"}]}], "Subsection"], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"dX", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["\[Delta]", 
          RowBox[{" ", 
           RowBox[{"Exp", "[", "X", "]"}]}]], 
         FractionBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Exp", "[", "uu", "]"}], "-", 
             RowBox[{"Exp", "[", "X", "]"}]}], ")"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Exp", "[", "ll", "]"}], "-", 
             RowBox[{"Exp", "[", "X", "]"}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Exp", "[", "uu", "]"}], "-", 
           RowBox[{"Exp", "[", "ll", "]"}]}]]}], ")"}], "^", "2"}], " ", 
      "dt"}], " ", "+", " ", 
     RowBox[{
      FractionBox["\[Delta]", 
       RowBox[{" ", 
        RowBox[{"Exp", "[", "X", "]"}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Exp", "[", "uu", "]"}], "-", 
          RowBox[{"Exp", "[", "X", "]"}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Exp", "[", "ll", "]"}], "-", 
          RowBox[{"Exp", "[", "X", "]"}]}], ")"}]}], 
       RowBox[{
        RowBox[{"Exp", "[", "uu", "]"}], "-", 
        RowBox[{"Exp", "[", "ll", "]"}]}]], " ", "dW"}]}]}], "Subsection"], 
  StyleBox[" ", "Subsection"]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"x", " ", "<", " ", "ll", " ", "<", " ", "uu"}], 
  "Subsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"\[Delta]", " ", ">", " ", "0"}], "Subsection"]}], "Input",
 CellChangeTimes->{{3.5797088122238255`*^9, 3.5797089076702843`*^9}, {
  3.5797089491416564`*^9, 3.5797089538269243`*^9}, {3.5804517926188326`*^9, 
  3.5804518232884865`*^9}, {3.5807899265837336`*^9, 3.5807899387050114`*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Disclaimer", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}}],

Cell["\<\
Date: June 21, 2013.

This file was created by: Matthew Lorig, Stefano Pagliarani and Andrea \
Pascucci.

These Mathematica notebooks are provided on an \[OpenCurlyDoubleQuote]as is\
\[CloseCurlyDoubleQuote] basis without warranty of any kind, express or \
implied. Under no circumstances and under no legal theory, whether in tort, \
contract, or otherwise, shall the authors be liable to you or to any other \
person for any indirect, special, incidental, or consequential damages or \
losses. If you do not agree with these terms, then you are advised to not use \
the notebooks.

Please do no redistribute these notebooks.  If you wish to endorse the \
notebooks, then please link to the web-pages of the authors:
http://www.princeton.edu/~mlorig/
http://www.math.unipd.it/~stefanop/
http://www.dm.unibo.it/~pascucci/\
\>", "Text",
 CellChangeTimes->{{3.5127369954359856`*^9, 3.512737125359417*^9}, {
   3.5127371655637164`*^9, 3.5127371663597617`*^9}, {3.512814058730217*^9, 
   3.512814058891226*^9}, 3.526199505602*^9, 3.5268335032155323`*^9, {
   3.5272388928125*^9, 3.527238893671875*^9}, {3.5804506352987995`*^9, 
   3.580450646016018*^9}, 3.5804510585431423`*^9, {3.580462150648638*^9, 
   3.5804621517406397`*^9}, {3.580789943665843*^9, 3.580789943821844*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}, 
   3.580451009169056*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FractionBox["\[Delta]", 
        RowBox[{" ", 
         RowBox[{"Exp", "[", "x", "]"}]}]], 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "uu", "]"}], "-", 
           RowBox[{"Exp", "[", "x", "]"}]}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "ll", "]"}], "-", 
           RowBox[{"Exp", "[", "x", "]"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"Exp", "[", "uu", "]"}], "-", 
         RowBox[{"Exp", "[", "ll", "]"}]}]]}], ")"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]\[Alpha]", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Compute"}]}]}]}]}]}]}], " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Coefficients", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], "  ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", 
     RowBox[{"0", ",", "3"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      SuperscriptBox["aa", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "3"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x0", ",", "y0"}], "]"}], "/", 
     RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Get"}]}]}]}]}]}]}], " ", "Implied", " ", "Vol", 
    " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Expansion", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "filename", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Define"}]}]}]}]}]}]}], " ", "3", "rd", " ", 
    "order", " ", "Implied", " ", "Vol", " ", "Expansion", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]00", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]10", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]20", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]30", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Exact"}]}]}]}]}]}]}], " ", "Quadratic", " ", 
    "implied", " ", "volatility", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]Quad", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Call", "[", 
     RowBox[{
     "t_", ",", "x_", ",", "k_", ",", "uu_", ",", "ll_", ",", "\[Delta]_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "S1", ",", "S2", ",", "K1", ",", "K2", ",", "d11", ",", "d12", ",", 
        "d21", ",", "d22", ",", "price"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"K1", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "ll", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "uu", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "uu", "]"}], "-", 
          RowBox[{"Exp", "[", "ll", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"K2", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "uu", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "uu", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "uu", "]"}], "-", 
          RowBox[{"Exp", "[", "ll", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"S1", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "ll", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "uu", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "uu", "]"}], "-", 
          RowBox[{"Exp", "[", "ll", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"S2", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "ll", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "uu", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "uu", "]"}], "-", 
          RowBox[{"Exp", "[", "ll", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"d11", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S1", "/", "K1"}], "]"}], "+", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"d12", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S2", "/", "K2"}], "]"}], "+", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"d21", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S1", "/", "K1"}], "]"}], "-", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"d22", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S2", "/", "K2"}], "]"}], "-", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"price", "=", 
        RowBox[{
         RowBox[{"K1", " ", 
          RowBox[{"\[CapitalPhi]", "[", 
           RowBox[{"-", "d21"}], "]"}]}], "+", 
         RowBox[{"K2", " ", 
          RowBox[{"\[CapitalPhi]", "[", "d22", "]"}]}], "-", 
         RowBox[{"S1", " ", 
          RowBox[{"\[CapitalPhi]", "[", 
           RowBox[{"-", "d11"}], "]"}]}], "-", 
         RowBox[{"S2", " ", 
          RowBox[{"\[CapitalPhi]", "[", "d12", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", "price"}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalPhi]", "[", "z_", "]"}], ":=", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NumericQ", "[", "z", "]"}], "&&", 
        RowBox[{"z", "<", "0"}]}], ",", 
       RowBox[{"Erfc", "[", 
        RowBox[{
         RowBox[{"-", "z"}], "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], ",", 
       RowBox[{"1", "+", 
        RowBox[{"Erf", "[", 
         RowBox[{"z", "/", 
          RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}]}]}], "]"}], "/", "2"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PBS", "[", 
     RowBox[{"t_", ",", "x_", ",", "k_", ",", "s_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d1", ",", "d2"}], "}"}], ",", "\n", "\t", 
      RowBox[{
       RowBox[{"d1", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "k", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"s", "^", "2"}], "/", "2"}], ")"}], "t"}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"s", " ", 
           RowBox[{"Sqrt", "[", "t", "]"}]}], ")"}]}]}], ";", "\n", "\t", 
       RowBox[{"d2", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "k", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"s", "^", "2"}]}], "/", "2"}], ")"}], "t"}]}], ")"}], 
         "/", 
         RowBox[{"(", 
          RowBox[{"s", " ", 
           RowBox[{"Sqrt", "[", "t", "]"}]}], ")"}]}]}], ";", "\n", "\t", 
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", "x", "]"}], " ", 
         RowBox[{"\[CapitalPhi]", "[", "d1", "]"}]}], "-", 
        RowBox[{
         RowBox[{"Exp", "[", "k", "]"}], " ", 
         RowBox[{"\[CapitalPhi]", "[", "d2", "]"}]}]}]}]}], "\n", "]"}]}], 
   ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ImpVol", "[", 
    RowBox[{"CallPrice_", ",", "t_", ",", "x_", ",", "k_"}], "]"}], ":=", " ", 
   RowBox[{"FinancialDerivative", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<European\>\"", ",", " ", "\"\<Call\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<StrikePrice\>\"", " ", "->", " ", 
        RowBox[{"Exp", "[", "k", "]"}]}], ",", " ", 
       RowBox[{"\"\<Expiration\>\"", " ", "->", " ", "t"}], ",", " ", 
       RowBox[{"\"\<Value\>\"", " ", "->", " ", "CallPrice"}]}], "}"}], ",", 
     "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<InterestRate\>\"", " ", "->", " ", "0"}], ",", " ", 
       RowBox[{"\"\<CurrentPrice\>\"", " ", "\[Rule]", 
        RowBox[{"Exp", "[", "x", "]"}]}], ",", " ", 
       RowBox[{"\"\<Dividend\>\"", " ", "->", " ", "0"}]}], "}"}], ",", " ", 
     "\"\<ImpliedVolatility\>\""}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]Quad", "[", 
     RowBox[{
     "t_", ",", "x_", ",", "k_", ",", "uu_", ",", "ll_", ",", "\[Delta]_"}], 
     "]"}], ":=", 
    RowBox[{"Quiet", "[", 
     RowBox[{"ImpVol", "[", 
      RowBox[{
       RowBox[{"Call", "[", 
        RowBox[{
        "t", ",", "x", ",", "k", ",", "uu", ",", "ll", ",", "\[Delta]"}], 
        "]"}], ",", "t", ",", "x", ",", "k"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"-", " ", "Choose"}]}]}]}]}], " ", "Quadratic", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Parameters", " ", "--"}], "--"}], "--"}], "--"}], "--"}]}], 
    "-"}], " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uu", "=", "15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ll", "=", "2.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Delta]", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", " ", "Plot"}]}]}]}]}]}]}], " ", "Implied", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Vols", " ", "--"}], "--"}], "--"}], "--"}], "--"}]}], "-"}],
    " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0", "=", "x"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y0", "=", "y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Implied Vol: exact (solid) vs Third Order (dashed)\>\"", ",", "16", 
    ",", "Blue", ",", "Bold"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Time to maturity = \>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"t", "=", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmax", "=", "0.9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmin", "=", 
   RowBox[{"-", " ", "kmax"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IVmin", "=", 
   RowBox[{"\[Sigma]", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "kmax"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Sigma]Quad", "[", 
       RowBox[{
       "t", ",", "x", ",", "k", ",", "uu", ",", "ll", ",", "\[Delta]"}], 
       "]"}], ",", 
      RowBox[{"\[Sigma]", "[", 
       RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
       "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "kmin", ",", "kmax"}], "}"}], ",", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", 
      RowBox[{"Black", ",", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "Dashed"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "Dotted"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "IVmin"}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", " ", "Print"}]}]}]}]}]}], " ", "Implied", " ", 
    "Volatility", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Formula", " ", "--"}], "--"}], "--"}], "--"}], "--"}], 
       "--"}], "--"}], "--"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FractionBox["\[Delta]", 
        RowBox[{" ", 
         RowBox[{"Exp", "[", "x", "]"}]}]], 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "uu", "]"}], "-", 
           RowBox[{"Exp", "[", "x", "]"}]}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "ll", "]"}], "-", 
           RowBox[{"Exp", "[", "x", "]"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"Exp", "[", "uu", "]"}], "-", 
         RowBox[{"Exp", "[", "ll", "]"}]}]]}], ")"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]\[Alpha]", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"To", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "filename", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]0", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]00", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]1", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]10", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]01", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]2", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]20", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]11", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]02", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]3", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]30", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]21", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]12", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]03", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Third Order Implied Volatility Approximation\>\"", ",", "16", ",", 
    "Blue", ",", "Bold"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<\[Sigma] = \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) + \
\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \
\(2\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<----------------\>\"", "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"--", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Manipulate", "  ", "--"}], "--"}], "--"}], "--"}], 
             "--"}], "--"}], "--"}], "--"}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FractionBox["\[Delta]", 
        RowBox[{" ", 
         RowBox[{"Exp", "[", "x", "]"}]}]], 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "uu", "]"}], "-", 
           RowBox[{"Exp", "[", "x", "]"}]}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "ll", "]"}], "-", 
           RowBox[{"Exp", "[", "x", "]"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"Exp", "[", "uu", "]"}], "-", 
         RowBox[{"Exp", "[", "ll", "]"}]}]]}], ")"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]\[Alpha]", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "3"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "3"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Get", "[", "filename", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]0", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]00", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]1", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]10", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]2", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]20", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]3", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]30", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", "[", 
    RowBox[{
    "t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_", ",", "uu_",
      ",", "ll_", ",", "\[Delta]_"}], "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0", "=", "x"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y0", "=", "y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmin", "=", 
   RowBox[{"-", "1.0"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmax", "=", "1.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Implied Vol: 3rd Order (dashed)\>\"", ",", "16", ",", "Blue", ",", 
    "Bold"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"\[Sigma]", "[", 
      RowBox[{
      "t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k", ",", "uu", ",",
        "ll", ",", "\[Delta]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "kmin", ",", "kmax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "->", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "Dashed"}], "}"}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Delta]", ",", "0.03", ",", "0.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"uu", ",", 
     RowBox[{"2.2", "kmax"}], ",", 
     RowBox[{"15", "kmax"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"ll", ",", 
     RowBox[{"kmax", 
      RowBox[{"(", 
       RowBox[{"3", "/", "2"}], ")"}]}], ",", 
     RowBox[{"2", "kmax"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0.01", ",", "1.00"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5764919506094313`*^9, 3.5764919551766925`*^9}, {
   3.5764920277388425`*^9, 3.5764923793689547`*^9}, {3.57649243365906*^9, 
   3.5764924611686335`*^9}, {3.5764925092163815`*^9, 3.5764925165408*^9}, {
   3.576492573216042*^9, 3.576492575420168*^9}, {3.5764926294472585`*^9, 
   3.576492858037333*^9}, {3.5764929496925755`*^9, 3.5764929915949717`*^9}, {
   3.5764930233557887`*^9, 3.576493070042459*^9}, {3.5764931031483526`*^9, 
   3.5764931936075263`*^9}, {3.5764932366559887`*^9, 
   3.5764932372540226`*^9}, {3.576493280358488*^9, 3.576493334976612*^9}, {
   3.576493370408639*^9, 3.5764933944110117`*^9}, 3.5764934345293064`*^9, {
   3.576493472324468*^9, 3.5764935165439973`*^9}, {3.5764935607595263`*^9, 
   3.576493622247043*^9}, {3.576493657747074*^9, 3.5764936578310785`*^9}, {
   3.5764960752303457`*^9, 3.576496093188373*^9}, {3.5764961260992556`*^9, 
   3.5764961389389896`*^9}, {3.576496204902763*^9, 3.5764963807278194`*^9}, {
   3.57649641483377*^9, 3.5764964172529087`*^9}, {3.576496512761371*^9, 
   3.576496552878666*^9}, {3.5765155556265607`*^9, 3.576515667939985*^9}, {
   3.576515724433216*^9, 3.576515803279726*^9}, {3.5765158356325765`*^9, 
   3.576516084614817*^9}, {3.5765161471603947`*^9, 3.57651617505399*^9}, 
   3.5765246189909554`*^9, 3.5766027110875683`*^9, {3.576602747399645*^9, 
   3.5766027938803034`*^9}, {3.5766028367167535`*^9, 
   3.5766028368847632`*^9}, {3.576602933428285*^9, 3.576602969092325*^9}, {
   3.576602999180046*^9, 3.576603000019094*^9}, {3.576603051802056*^9, 
   3.5766031034120073`*^9}, {3.5771134967640944`*^9, 
   3.5771136336799254`*^9}, {3.5771136686929283`*^9, 3.577113757914031*^9}, {
   3.5771137960772142`*^9, 3.5771140817705545`*^9}, 3.5778154327495365`*^9, {
   3.5778155013084574`*^9, 3.577815517463382*^9}, {3.5778155604198384`*^9, 
   3.5778155768107758`*^9}, {3.5778250620953035`*^9, 
   3.5778251366775694`*^9}, {3.577825297911791*^9, 3.577825308641405*^9}, {
   3.5778253701639237`*^9, 3.5778253801944976`*^9}, {3.5778254614721465`*^9, 
   3.577825472042751*^9}, {3.577825614115877*^9, 3.5778256166050196`*^9}, 
   3.577919233422595*^9, 3.577919281357337*^9, 3.5780753443850117`*^9, {
   3.578075393357813*^9, 3.578075401016251*^9}, 3.5780761086937275`*^9, {
   3.5780761499690886`*^9, 3.5780761529682603`*^9}, {3.578214367735693*^9, 
   3.5782143698028107`*^9}, {3.5782144944559407`*^9, 
   3.5782145470349483`*^9}, {3.5782146029941487`*^9, 
   3.5782146057043037`*^9}, {3.5782147381638803`*^9, 3.578214743253171*^9}, {
   3.5782148172334023`*^9, 3.5782148861043415`*^9}, {3.578214941306499*^9, 
   3.5782150266963835`*^9}, {3.578215072472001*^9, 3.5782150966473837`*^9}, {
   3.5782151526985903`*^9, 3.5782152049295774`*^9}, {3.57821530567634*^9, 
   3.578215311539675*^9}, 3.578215349297835*^9, 3.5782153978216105`*^9, {
   3.5782154550348825`*^9, 3.57821547858523*^9}, {3.578215533612377*^9, 
   3.578215549535288*^9}, {3.5782155986270957`*^9, 3.578215620769362*^9}, {
   3.5782159428607845`*^9, 3.578216203934717*^9}, {3.578216315051073*^9, 
   3.578216342679653*^9}, {3.578216373384409*^9, 3.5782163737114277`*^9}, {
   3.5782165203918176`*^9, 3.5782165521746354`*^9}, {3.578216753826169*^9, 
   3.578216761316598*^9}, {3.578216872660966*^9, 3.5782168902879744`*^9}, {
   3.5782169663973274`*^9, 3.5782169670103626`*^9}, {3.578217068170149*^9, 
   3.5782170769136486`*^9}, {3.578217300702449*^9, 3.578217311788083*^9}, {
   3.578321291867403*^9, 3.578321304937151*^9}, {3.5783219075366173`*^9, 
   3.578321912593907*^9}, {3.578322237793507*^9, 3.578322240535664*^9}, {
   3.5784957394332333`*^9, 3.578495892039962*^9}, {3.578495943537907*^9, 
   3.578496001823241*^9}, {3.5784960330410266`*^9, 3.5784960557103233`*^9}, {
   3.5784961379790287`*^9, 3.57849634989215*^9}, {3.5784963808179183`*^9, 
   3.5784966304061937`*^9}, {3.578496683045205*^9, 3.5784968340128393`*^9}, {
   3.5784968848327465`*^9, 3.5784968877719145`*^9}, {3.578496918608678*^9, 
   3.5784971723601923`*^9}, {3.578497243575265*^9, 3.578497261249276*^9}, {
   3.5784972966803026`*^9, 3.578497323176818*^9}, {3.5784977582477026`*^9, 
   3.5784978094496317`*^9}, {3.5784978501309586`*^9, 3.578497879737652*^9}, {
   3.5784981455008526`*^9, 3.5784982086224627`*^9}, {3.578498500452154*^9, 
   3.5784986359459047`*^9}, {3.5784987025727153`*^9, 3.578498703411763*^9}, {
   3.5784987732677584`*^9, 3.578498792768874*^9}, {3.578498939785283*^9, 
   3.5784989427374516`*^9}, {3.5784991389356737`*^9, 
   3.5784992976867533`*^9}, {3.5784993391531253`*^9, 3.5784993472485886`*^9}, 
   3.5785080790030165`*^9, 3.578508428063981*^9, {3.5785084818970604`*^9, 
   3.578508550013956*^9}, 3.5785086137095995`*^9, {3.578508676738205*^9, 
   3.578508678156286*^9}, {3.578511812007532*^9, 3.5785118602632923`*^9}, {
   3.578511938071742*^9, 3.57851198086519*^9}, {3.578512011828961*^9, 
   3.5785120320881195`*^9}, {3.5785120637199287`*^9, 3.578512128301623*^9}, {
   3.5785122893038316`*^9, 3.57851233158325*^9}, {3.5785123809620743`*^9, 
   3.5785124759895096`*^9}, 3.578513418389412*^9, {3.578513609873364*^9, 
   3.5785136153946795`*^9}, {3.5785136557089853`*^9, 
   3.5785136834085703`*^9}, {3.578513800582272*^9, 3.5785138305779877`*^9}, {
   3.5785141822131*^9, 3.5785141980960083`*^9}, {3.5785147700237207`*^9, 
   3.5785148186755037`*^9}, {3.578514910345747*^9, 3.578514924837576*^9}, {
   3.578515040705203*^9, 3.5785152993879986`*^9}, {3.578515361914575*^9, 
   3.578515429803458*^9}, {3.5785154991524243`*^9, 3.5785155135222464`*^9}, {
   3.5785155789259872`*^9, 3.578515608903702*^9}, {3.5785156398584723`*^9, 
   3.578515640609515*^9}, {3.578515675916535*^9, 3.5785157252563567`*^9}, {
   3.5785157629475126`*^9, 3.5785158284572597`*^9}, {3.5785158813852873`*^9, 
   3.578516043394553*^9}, {3.5785161627893825`*^9, 3.5785162854884005`*^9}, {
   3.578517377967887*^9, 3.578517382416141*^9}, {3.57851741422196*^9, 
   3.578517444755707*^9}, {3.5785174965336685`*^9, 3.5785175420822735`*^9}, {
   3.5785175749861555`*^9, 3.5785176749228716`*^9}, {3.5785177155711966`*^9, 
   3.578517830255756*^9}, {3.5785179314265423`*^9, 3.5785179503926277`*^9}, {
   3.5785180113941164`*^9, 3.57851801669842*^9}, {3.578518051634418*^9, 
   3.578518096552987*^9}, {3.5785181521121655`*^9, 3.578518184681028*^9}, {
   3.5785185097076187`*^9, 3.578518557512353*^9}, {3.578518596560586*^9, 
   3.5785186018538885`*^9}, {3.5785186592681727`*^9, 
   3.5785186610682755`*^9}, {3.578518694512189*^9, 3.57851871201719*^9}, 
   3.578518776727891*^9, {3.578518831811042*^9, 3.5785188640708866`*^9}, {
   3.5785625528567424`*^9, 3.5785626530034704`*^9}, {3.5785627462258024`*^9, 
   3.5785627465548215`*^9}, {3.5794684380569677`*^9, 3.579468453292839*^9}, {
   3.5794685702985315`*^9, 3.5794685712585864`*^9}, {3.5794745622942543`*^9, 
   3.579474582175391*^9}, {3.5794746515253577`*^9, 3.579474651756371*^9}, {
   3.5794747415615077`*^9, 3.5794747490619364`*^9}, {3.57947504301675*^9, 
   3.5794750501241565`*^9}, {3.5794751479347506`*^9, 
   3.5794751967545433`*^9}, {3.579475228426355*^9, 3.57947523253259*^9}, {
   3.5794756105012083`*^9, 3.5794756309453773`*^9}, {3.5794779677460346`*^9, 
   3.5794779680330515`*^9}, {3.5794780178489003`*^9, 3.579478024630288*^9}, {
   3.5794781032787867`*^9, 3.579478107193011*^9}, {3.579478214154128*^9, 
   3.5794782147601633`*^9}, {3.5795282339274435`*^9, 
   3.5795282346924877`*^9}, {3.579528409420481*^9, 3.5795284551900992`*^9}, {
   3.579528594701079*^9, 3.5795285952361093`*^9}, {3.5795287779595604`*^9, 
   3.579528832961706*^9}, {3.579529292528992*^9, 3.5795293526124287`*^9}, {
   3.5795303732118034`*^9, 3.579530418529396*^9}, {3.5795305170830326`*^9, 
   3.579530626010263*^9}, {3.5795310941230373`*^9, 3.5795311405726943`*^9}, 
   3.5796978451495447`*^9, 3.5796978821456604`*^9, {3.579697923702037*^9, 
   3.579697994135066*^9}, 3.5796980253608522`*^9, {3.5796980601698427`*^9, 
   3.5796981467467947`*^9}, {3.5796982045150986`*^9, 
   3.5796984199604216`*^9}, {3.579698467926165*^9, 3.5796985047422705`*^9}, {
   3.57969858882408*^9, 3.579698603625927*^9}, {3.579698670713764*^9, 
   3.5796987390096703`*^9}, {3.57969880561948*^9, 3.579698933219778*^9}, {
   3.57969898482773*^9, 3.5796990084730825`*^9}, {3.5796997450632133`*^9, 
   3.5796997466593046`*^9}, {3.579708178127557*^9, 3.579708198040696*^9}, 
   3.579708287437809*^9, {3.5797890211826897`*^9, 3.5797890224927645`*^9}, {
   3.5797890586988354`*^9, 3.579789113033943*^9}, {3.5797902613206215`*^9, 
   3.57979027336531*^9}, 3.5797903449314036`*^9, {3.5798834270130787`*^9, 
   3.579883431204319*^9}, {3.580451881661791*^9, 3.5804518831125937`*^9}, {
   3.580693589758659*^9, 3.580693600420674*^9}, {3.5806936520267467`*^9, 
   3.5806936535667486`*^9}, 3.5806937446878767`*^9, {3.580693778566924*^9, 
   3.5806939585101776`*^9}, {3.580694086755358*^9, 3.5806940984513745`*^9}, {
   3.5807420413683033`*^9, 3.5807421460542912`*^9}, {3.5807422103249674`*^9, 
   3.5807422355374093`*^9}, 3.580742267576242*^9, {3.580742366661909*^9, 
   3.5807423981637115`*^9}, {3.5807424642214894`*^9, 3.58074247577415*^9}, {
   3.58074260375447*^9, 3.580742604194495*^9}, {3.5807426368403625`*^9, 
   3.5807426443477917`*^9}, {3.5807427005140047`*^9, 3.580742708010433*^9}, 
   3.580742801703792*^9, {3.5807899539931097`*^9, 3.5807900291397915`*^9}, {
   3.5807901007442503`*^9, 3.5807901581367064`*^9}, {3.5807901969183064`*^9, 
   3.580790197043106*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Implied Vol: exact (solid) vs Third Order (dashed)\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.5807901991959057`*^9}],

Cell[BoxData["\<\"Time to maturity = \"\>"], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.5807901991959057`*^9}]
}, Open  ]],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.5785158060319767`*^9, 3.5785158290722947`*^9}, 
   3.5785158998363423`*^9, {3.578515932389204*^9, 3.578516003892294*^9}, 
   3.578516043933584*^9, 3.578518212814637*^9, 3.578518569867059*^9, 
   3.5785186028539457`*^9, 3.5785186617303133`*^9, 3.578518712753232*^9, 
   3.578518777303924*^9, 3.5785188329521065`*^9, 3.5785188646929226`*^9, 
   3.578562616509383*^9, 3.578562653550502*^9, 3.578562747685886*^9, 
   3.57946789418186*^9, 3.5794684538398705`*^9, 3.5794685800860915`*^9, 
   3.5794745826344175`*^9, 3.5794746529224377`*^9, 3.5794747507050304`*^9, 
   3.579475051707247*^9, 3.5794751975735903`*^9, 3.579475237004845*^9, 
   3.5794756314734077`*^9, 3.5794780259773655`*^9, 3.5794781346795826`*^9, 
   3.5794782155042057`*^9, 3.5795284777673903`*^9, 3.57952859629617*^9, 
   3.579528833616744*^9, 3.5795293595878277`*^9, 3.5795304246237445`*^9, 
   3.5795306334956913`*^9, 3.5795311425208054`*^9, 3.579698423883646*^9, 
   3.5796984752855864`*^9, 3.579698507387422*^9, 3.579698748859234*^9, 
   3.5797082497346525`*^9, {3.579789088624547*^9, 3.579789115723097*^9}, 
   3.5797902805937233`*^9, 3.5798834336434584`*^9, 3.5806939617611823`*^9, 
   3.580694099986377*^9, 3.580741965496964*^9, 3.5807422371695027`*^9, 
   3.5807422688583155`*^9, 3.580742398750745*^9, 3.5807424768172097`*^9, 
   3.580742710698587*^9, 3.5807428031208735`*^9, 3.5807454814950676`*^9, {
   3.580790015817306*^9, 3.580790030075797*^9}, {3.5807901012746534`*^9, 
   3.580790159025906*^9}, 3.580790199211506*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], LineBox[CompressedData["
1:eJwtlH0w1HkAh53LpRfEkKvboy1v0/RyOemEPnF6Q6WoNoWkNHclbZ06Lxvq
tluRl8pLQzRyvWDLec/E98dab8uyls3LGCxa2p9WnffEdTP3x2eev5+ZZz7M
04GHz6qrqant/7L/mK2h/6qxkSahFgGqfWdkGKy5Nbu7jiZMpblp72kZjHkz
tpUCmqxJnvD/zVeG+0t7K4rKaGKkJ9LO8JYhXCe7Ov0ZTbR6fFXjLBk8Vu1s
ufQHTfaqnxvP3C/D/IYLCn07mrDeLNfR3CaDu0e1gVeOkgSlxMdPLpHBvNOe
vs9+R56unv5p6Fk7imcappNdR0htmfoK3YPtML3/+ZDnxmHC6UqzrJpqAzkz
Y1I98ZY0MVcuVjxog4FEc9NM6xAJb+BnM35uQ+KV/rz25EHyzdyyR++HpJiM
84lgnx4gHl1Sr2PRUujt/cDtcJATJq/jeeY2KY5bu2ooNPtJkcFu8/KeVhRH
BAVF1veSfxZX3si83YpQ3sPggpgecsAp0EVl04qkuWNsK+Nucih+VmA3IIHF
M5t2l+4OIljDUJndk0CH4m/I95eRZsElm+32EpSILnyf/FlK4oqtNglHWiDT
dg/Rq5CQ2Rot1eu0FiSGJSe+ShWTEL2CTzrOLTjv/EY7VLuBvHYwDrj4qRn0
mG1gl7GQVF2ZHRMca4bqurX6tr0UMduR/ftAqRgVU/NdEX+WkPdBD67uMxNj
ZFfRQvq1HFJ1JLpwVVQT9PNcj/Qev0s6WQOzn6cakapiUok3EyB6vuvynvON
mBq0EmtZ58JPRWd7tolgHR3HF28qQVTIOJu5T4T9wT2H+TcoaC/hdCwUNICz
y4sxeVSI6UO5Ht7rGkBlxmrpddRjyLxivVZ6PVjmqYbxZWLIS7ixljr1iEzP
zRrLkiBy8ohmUHQdEot2Zq3ul8LGyNZQsqwOHqcc8ya+dGKmXhgwf6MWaVKG
2/aEDrDik+YUi2oR23VmbrNGN/RcqotoTg2WZnPt4g724JatTB78VQ2E3BMD
gbG9uCzI2DjOEyIp5KBIbaEPL4xfL/QtFuJOUs/FeaYclmed7Cbiq+EZlpni
4TWAwox+XYFuNXYPVwYp7w5CLh71TkgS4FppE6OkYAg7vm5zMTEVgHN4hXM3
/RazPi7XhDlVqHODg5XuMLh/pQ1O2VbBsr1O2bR5BH6uP+hVN1eCvS6KQfm/
Q8Govfb7E5WYaN9qqOApwTM0rHP+QKHwQDl/8o4S4X6FOy6pKFyudXL65p4S
zKFIq+RRCmOl7mzTh0qw1MJYihEKdCpb5Pe3Ek/cr77jyinIffnhfZ1KrPz1
up9QSqFl1GS4cz2NGftH7r7FFOL8c6+PbKZxwSIiIKqQwoHeHw1mrGjwFokT
C/MpiFocHb8FDVfGycdLX1KoKTiVdtSdRkrl8fySpxTKg9PcpKE0lt9zXPXd
AwphH9cp5BE0dha84COZwvbzOZyPXBoOAWzJuUQKpSfLsnXjaYS8WsaqSvji
h45Fblk0iremOJy7TeFKqU+qz3MaZy089zzmUbDcotgS+ILG9FrGE/EtCi/X
TnrHltKIyDfaanSTwsVUzsTDchqRsRk9NpEUNuhrxPCraCiZlnm/hFNQxsSs
La+lMWmi7CvlUPj/v/Ak8HZfdyiFfwGSp5J6
     "]]}, 
   {GrayLevel[0], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtlH0w1HkAh11HGo7ivFSnvHZUSi/Se59eXelNbIhbFDkTR+qqE1u6wtZ5
SSydTXPJ3RS2I4kMvl8v671tF7sWuc1L3vZXpKG283LdzP3xmefvZ56Zj/mJ
UJeTs9TU1A5+3n/M1jB41tTEEIMfJd6BbBn6amI+OdYx5Gxf69czXjKYclWb
K6oYcpIYSXmeMqRoKcoLSxjyjns0sspdhstzs6vvPmDI8vpytqmLDKwF28Wn
rzHEbWxTcLujDNO2wQMGWxgyys0vclslgyur2pCdoyQBzSzN81/KYN2+lUkJ
GyYNHoVa4kwpnqoaPqYdGCK2lMU6vk+KJSlTRzxXDJKMVl/n82OtIP4qq+rx
fpI+qfpGk9cKQ8mclarm18QvVify922t4J3tzpOm9ZGFLy1zX3a3YCLRJyrs
RC8RVC0wy4ltgf7ed9HyHT1E8+eZQBf7FhxzOKAxMKebxFiqDzV1NONp1Llz
V+oVxNV3vFeT24wIbkZ4QVwX0ba4EJK1vhmpk+5h9qad5GqaE2tXtwQ2DzZK
93fKidXDapefkiSYSwW2jwNkZL6WdZBoswRFjcGL0qZaSPJy47jbg2LIdF0v
6pdLiBfrvpuQLwYvMo33jC8ibRptzvv3iRHk1KYbodtA3izsj13/6QWY0c2h
HaZCwrZrPiN3e4GRSw6z1u+l5GKqnmJtsQjlH6Y7omKLyDID1XLhEhGG9hTO
3L2QQ9ilG9ufcp/DIO/AUcWxW0RbrW5Y8KEJ/BFzyruahBVr/K5Nn2rChz57
kY5DLqwdle46rY1w+DVRIFpZhMBJj3XCvY04GN7lIviFoj39dAi3oAGcPWyT
CTch0nurpyosGkAzE3T05fUI1S//1jGjHh7WfOObJSJY3f/Bf51uPa7czc0a
zZLAzOCtHm7UgVe4PWvh5y7ei25WeGvVgeW7M2/8oAxyiQ9xvFKLOy0mzpuS
5MDxytNvZtUiocN/0k6jEwpN7bkPI2qglR29JfFwF/jBGibvp4UQRnv1hiYo
sKrpvc/KGCFSLx5uVJt5hXH28D+d6kLEp3aFTJv3IGBkxLA0vhqekZm3Wexe
hPydfshLtxqOgxXnlLf6kPukNHBOchUuFD83KSp4jYLFi6avm1eB4zLPqZPp
h0xgpFr6oBJ1zthhrzeI4dH3kSEbKrFGWqd8bjeErwy/mPJtqkCY5XUTGjCM
Xb+JBCKPCoxL1xkPcJWIP9WTEv2W4smhMsFEvBLbi9sDHzEUZ2p3756drIRT
RK1n2zDFaLFr2JIMJYRmMbeXDlAw/LBGv3wliqwSIl4oKHqOCy6/alfipbJE
YSahEL+xGmxfxmDDESOzjgKKxIDcS0N2DBo/lj6e/ZjikGKtocqeQfg8D7+1
eRSN4p0754MB53DQ4vhcipoC3zturgyuf6c+ueMPirLwO84tEQwmP71j5adS
RI5ZDvREMbgxT16jSKHYFJTDGYtmkJSc76abTFH8fUm23k0Ggfe2iYMSP/tB
ru6cxeCeMVlmw6U4W+zD93nIILh1W5x7DMWa1QOrQx8x8OPka8deo/jLYsI7
oZiBjWuof38URQifM55RxuC+T8lWo8sUtgYacYJKBpnGH+0dORTKuDiLsloG
qlM2TucjKP7/L1zat5/zZzjFv5g8jj0=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.12871247075260092`},
  Method->{},
  PlotRange->{{-0.9, 0.9}, {0.12871247075260092`, 0.3498711431644847}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.5785158060319767`*^9, 3.5785158290722947`*^9}, 
   3.5785158998363423`*^9, {3.578515932389204*^9, 3.578516003892294*^9}, 
   3.578516043933584*^9, 3.578518212814637*^9, 3.578518569867059*^9, 
   3.5785186028539457`*^9, 3.5785186617303133`*^9, 3.578518712753232*^9, 
   3.578518777303924*^9, 3.5785188329521065`*^9, 3.5785188646929226`*^9, 
   3.578562616509383*^9, 3.578562653550502*^9, 3.578562747685886*^9, 
   3.57946789418186*^9, 3.5794684538398705`*^9, 3.5794685800860915`*^9, 
   3.5794745826344175`*^9, 3.5794746529224377`*^9, 3.5794747507050304`*^9, 
   3.579475051707247*^9, 3.5794751975735903`*^9, 3.579475237004845*^9, 
   3.5794756314734077`*^9, 3.5794780259773655`*^9, 3.5794781346795826`*^9, 
   3.5794782155042057`*^9, 3.5795284777673903`*^9, 3.57952859629617*^9, 
   3.579528833616744*^9, 3.5795293595878277`*^9, 3.5795304246237445`*^9, 
   3.5795306334956913`*^9, 3.5795311425208054`*^9, 3.579698423883646*^9, 
   3.5796984752855864`*^9, 3.579698507387422*^9, 3.579698748859234*^9, 
   3.5797082497346525`*^9, {3.579789088624547*^9, 3.579789115723097*^9}, 
   3.5797902805937233`*^9, 3.5798834336434584`*^9, 3.5806939617611823`*^9, 
   3.580694099986377*^9, 3.580741965496964*^9, 3.5807422371695027`*^9, 
   3.5807422688583155`*^9, 3.580742398750745*^9, 3.5807424768172097`*^9, 
   3.580742710698587*^9, 3.5807428031208735`*^9, 3.5807454814950676`*^9, {
   3.580790015817306*^9, 3.580790030075797*^9}, {3.5807901012746534`*^9, 
   3.580790159025906*^9}, 3.580790199398706*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Third Order Implied Volatility Approximation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.580790199429906*^9}],

Cell[BoxData["\<\"\[Sigma] = \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \
\\(0\\)]\\) + \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) + \
\\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) + \\!\\(\\*SubscriptBox[\\(\
\[Sigma]\\), \\(3\\)]\\)\"\>"], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.580790199429906*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(0\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.580790199429906*^9}]
}, Open  ]],

Cell[BoxData[
 SqrtBox[
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "x"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "ll"], "-", 
       SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "uu"], "-", 
       SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
    SuperscriptBox["\[Delta]", "2"]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "ll"], "-", 
      SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "2"]]]], "Output",
 CellChangeTimes->{{3.5785158060319767`*^9, 3.5785158290722947`*^9}, 
   3.5785158998363423`*^9, {3.578515932389204*^9, 3.578516003892294*^9}, 
   3.578516043933584*^9, 3.578518212814637*^9, 3.578518569867059*^9, 
   3.5785186028539457`*^9, 3.5785186617303133`*^9, 3.578518712753232*^9, 
   3.578518777303924*^9, 3.5785188329521065`*^9, 3.5785188646929226`*^9, 
   3.578562616509383*^9, 3.578562653550502*^9, 3.578562747685886*^9, 
   3.57946789418186*^9, 3.5794684538398705`*^9, 3.5794685800860915`*^9, 
   3.5794745826344175`*^9, 3.5794746529224377`*^9, 3.5794747507050304`*^9, 
   3.579475051707247*^9, 3.5794751975735903`*^9, 3.579475237004845*^9, 
   3.5794756314734077`*^9, 3.5794780259773655`*^9, 3.5794781346795826`*^9, 
   3.5794782155042057`*^9, 3.5795284777673903`*^9, 3.57952859629617*^9, 
   3.579528833616744*^9, 3.5795293595878277`*^9, 3.5795304246237445`*^9, 
   3.5795306334956913`*^9, 3.5795311425208054`*^9, 3.579698423883646*^9, 
   3.5796984752855864`*^9, 3.579698507387422*^9, 3.579698748859234*^9, 
   3.5797082497346525`*^9, {3.579789088624547*^9, 3.579789115723097*^9}, 
   3.5797902805937233`*^9, 3.5798834336434584`*^9, 3.5806939617611823`*^9, 
   3.580694099986377*^9, 3.580741965496964*^9, 3.5807422371695027`*^9, 
   3.5807422688583155`*^9, 3.580742398750745*^9, 3.5807424768172097`*^9, 
   3.580742710698587*^9, 3.5807428031208735`*^9, 3.5807454814950676`*^9, {
   3.580790015817306*^9, 3.580790030075797*^9}, {3.5807901012746534`*^9, 
   3.580790159025906*^9}, 3.580790199476706*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.5807901994923058`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"ll", "+", "uu"}]], "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "x"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}], " ", 
   SqrtBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "x"}]], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "ll"], "-", 
         SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "uu"], "-", 
         SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
      SuperscriptBox["\[Delta]", "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "ll"], "-", 
        SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "2"]]]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", "ll"], "-", 
     SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", "uu"]}], "+", 
     SuperscriptBox["\[ExponentialE]", "x"]}], ")"}]}]]], "Output",
 CellChangeTimes->{{3.5785158060319767`*^9, 3.5785158290722947`*^9}, 
   3.5785158998363423`*^9, {3.578515932389204*^9, 3.578516003892294*^9}, 
   3.578516043933584*^9, 3.578518212814637*^9, 3.578518569867059*^9, 
   3.5785186028539457`*^9, 3.5785186617303133`*^9, 3.578518712753232*^9, 
   3.578518777303924*^9, 3.5785188329521065`*^9, 3.5785188646929226`*^9, 
   3.578562616509383*^9, 3.578562653550502*^9, 3.578562747685886*^9, 
   3.57946789418186*^9, 3.5794684538398705`*^9, 3.5794685800860915`*^9, 
   3.5794745826344175`*^9, 3.5794746529224377`*^9, 3.5794747507050304`*^9, 
   3.579475051707247*^9, 3.5794751975735903`*^9, 3.579475237004845*^9, 
   3.5794756314734077`*^9, 3.5794780259773655`*^9, 3.5794781346795826`*^9, 
   3.5794782155042057`*^9, 3.5795284777673903`*^9, 3.57952859629617*^9, 
   3.579528833616744*^9, 3.5795293595878277`*^9, 3.5795304246237445`*^9, 
   3.5795306334956913`*^9, 3.5795311425208054`*^9, 3.579698423883646*^9, 
   3.5796984752855864`*^9, 3.579698507387422*^9, 3.579698748859234*^9, 
   3.5797082497346525`*^9, {3.579789088624547*^9, 3.579789115723097*^9}, 
   3.5797902805937233`*^9, 3.5798834336434584`*^9, 3.5806939617611823`*^9, 
   3.580694099986377*^9, 3.580741965496964*^9, 3.5807422371695027`*^9, 
   3.5807422688583155`*^9, 3.580742398750745*^9, 3.5807424768172097`*^9, 
   3.580742710698587*^9, 3.5807428031208735`*^9, 3.5807454814950676`*^9, {
   3.580790015817306*^9, 3.580790030075797*^9}, {3.5807901012746534`*^9, 
   3.580790159025906*^9}, 3.580790199663906*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.580790199663906*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "x"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"ll", "+", "uu"}], ")"}]}]], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"4", " ", "x"}]], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "ll"}], "+", "uu", "+", "x"}]]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"2", " ", "uu"}], "+", "x"}]]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", "uu", "+", 
         RowBox[{"2", " ", "x"}]}]]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"3", " ", "x"}]}]]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"uu", "+", 
         RowBox[{"3", " ", "x"}]}]]}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "2"], " ", 
    SuperscriptBox["\[Delta]", "2"]}], 
   RowBox[{"12", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "ll"], "-", 
       SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "2"], " ", 
    SqrtBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", "x"}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "ll"], "-", 
          SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "uu"], "-", 
          SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
       SuperscriptBox["\[Delta]", "2"]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "ll"], "-", 
         SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "2"]]]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"96", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "ll"], "-", 
        SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "4"]}]], 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "4"}], " ", "x"}]], " ", "t", " ", 
    SuperscriptBox["\[Delta]", "2"], " ", 
    SqrtBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", "x"}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "ll"], "-", 
          SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "uu"], "-", 
          SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
       SuperscriptBox["\[Delta]", "2"]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "ll"], "-", 
         SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "2"]]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"4", " ", "ll"}], "+", "uu", "+", 
         RowBox[{"3", " ", "x"}]}]]}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"4", " ", "uu"}], "+", 
         RowBox[{"3", " ", "x"}]}]]}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"5", " ", "x"}]}]]}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "uu"}], "+", 
         RowBox[{"5", " ", "x"}]}]]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{"ll", "+", "uu"}], ")"}]}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"8", " ", "x"}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"4", " ", "ll"}], "+", 
         RowBox[{"3", " ", "uu"}], "+", "x"}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"4", " ", "uu"}], "+", "x"}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"7", " ", "x"}]}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"uu", "+", 
         RowBox[{"7", " ", "x"}]}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "-", 
      RowBox[{"6", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"ll", "+", "uu", "+", 
           RowBox[{"2", " ", "x"}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "8"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "ll"}], "+", "uu", "+", "x"}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"ll", "+", 
           RowBox[{"2", " ", "uu"}], "+", "x"}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"2", " ", "uu"}], "+", 
         RowBox[{"3", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "ll"}], "+", "uu", "+", 
         RowBox[{"5", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"2", " ", "uu"}], "+", 
         RowBox[{"5", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "ll"}], "+", 
         RowBox[{"6", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "uu"}], "+", 
         RowBox[{"6", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "ll"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{"uu", "+", "x"}], ")"}]}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"3", " ", "uu"}], "+", 
         RowBox[{"2", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", "uu", "+", 
         RowBox[{"6", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", "uu", "+", 
         RowBox[{"4", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"3", " ", "uu"}], "+", 
         RowBox[{"4", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{{3.5785158060319767`*^9, 3.5785158290722947`*^9}, 
   3.5785158998363423`*^9, {3.578515932389204*^9, 3.578516003892294*^9}, 
   3.578516043933584*^9, 3.578518212814637*^9, 3.578518569867059*^9, 
   3.5785186028539457`*^9, 3.5785186617303133`*^9, 3.578518712753232*^9, 
   3.578518777303924*^9, 3.5785188329521065`*^9, 3.5785188646929226`*^9, 
   3.578562616509383*^9, 3.578562653550502*^9, 3.578562747685886*^9, 
   3.57946789418186*^9, 3.5794684538398705`*^9, 3.5794685800860915`*^9, 
   3.5794745826344175`*^9, 3.5794746529224377`*^9, 3.5794747507050304`*^9, 
   3.579475051707247*^9, 3.5794751975735903`*^9, 3.579475237004845*^9, 
   3.5794756314734077`*^9, 3.5794780259773655`*^9, 3.5794781346795826`*^9, 
   3.5794782155042057`*^9, 3.5795284777673903`*^9, 3.57952859629617*^9, 
   3.579528833616744*^9, 3.5795293595878277`*^9, 3.5795304246237445`*^9, 
   3.5795306334956913`*^9, 3.5795311425208054`*^9, 3.579698423883646*^9, 
   3.5796984752855864`*^9, 3.579698507387422*^9, 3.579698748859234*^9, 
   3.5797082497346525`*^9, {3.579789088624547*^9, 3.579789115723097*^9}, 
   3.5797902805937233`*^9, 3.5798834336434584`*^9, 3.5806939617611823`*^9, 
   3.580694099986377*^9, 3.580741965496964*^9, 3.5807422371695027`*^9, 
   3.5807422688583155`*^9, 3.580742398750745*^9, 3.5807424768172097`*^9, 
   3.580742710698587*^9, 3.5807428031208735`*^9, 3.5807454814950676`*^9, {
   3.580790015817306*^9, 3.580790030075797*^9}, {3.5807901012746534`*^9, 
   3.580790159025906*^9}, 3.5807902004751062`*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(3\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.5807902004751062`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"ll", "+", "uu"}]], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "x"}]]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "3"], " ", 
    SuperscriptBox["\[Delta]", "2"]}], 
   RowBox[{"24", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "ll"], "-", 
      SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["\[ExponentialE]", "uu"]}], "+", 
      SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], " ", 
    SqrtBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", "x"}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "ll"], "-", 
          SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "uu"], "-", 
          SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
       SuperscriptBox["\[Delta]", "2"]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "ll"], "-", 
         SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "2"]]]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"192", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "ll"], "-", 
        SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "6"], " ", 
     SqrtBox[
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "x"}]], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "ll"], "-", 
           SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "uu"], "-", 
           SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], "2"], " ", 
        SuperscriptBox["\[Delta]", "2"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "ll"], "-", 
          SuperscriptBox["\[ExponentialE]", "uu"]}], ")"}], "2"]]]}]], 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "6"}], " ", "x"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "ll"], "-", 
      SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["\[ExponentialE]", "uu"]}], "+", 
      SuperscriptBox["\[ExponentialE]", "x"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"ll", "+", "uu"}]], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "x"}]]}], ")"}], " ", "t", " ", 
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], " ", 
    SuperscriptBox["\[Delta]", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{"ll", "+", "x"}], ")"}]}]]}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{"uu", "+", "x"}], ")"}]}]]}], "-", 
      RowBox[{"5", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{"ll", "+", "uu"}], ")"}]}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "-", 
      RowBox[{"5", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"8", " ", "x"}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{"12", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"4", " ", "ll"}], "+", 
         RowBox[{"3", " ", "uu"}], "+", "x"}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{"12", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"4", " ", "uu"}], "+", "x"}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{"12", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"7", " ", "x"}]}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{"12", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"uu", "+", 
         RowBox[{"7", " ", "x"}]}]], " ", "t", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "ll"}], "+", "uu", "+", "x"}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "-", 
         RowBox[{"9", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"ll", "+", 
           RowBox[{"2", " ", "uu"}], "+", "x"}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "-", 
         RowBox[{"9", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "ll"}], "+", 
         RowBox[{"6", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "-", 
         RowBox[{"9", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "uu"}], "+", 
         RowBox[{"6", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "-", 
         RowBox[{"9", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", "uu", "+", 
         RowBox[{"4", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"40", "-", 
         RowBox[{"6", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"3", " ", "uu"}], "+", 
         RowBox[{"4", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"40", "-", 
         RowBox[{"6", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"4", " ", "ll"}], "+", "uu", "+", 
         RowBox[{"3", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "12"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"4", " ", "uu"}], "+", 
         RowBox[{"3", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "12"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"5", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "12"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "uu"}], "+", 
         RowBox[{"5", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "12"}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"2", " ", "uu"}], "+", 
         RowBox[{"3", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"3", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "ll"}], "+", "uu", "+", 
         RowBox[{"5", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"3", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", 
         RowBox[{"2", " ", "uu"}], "+", 
         RowBox[{"5", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"3", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", "ll"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{"uu", "+", "x"}], ")"}]}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"3", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "-", 
      RowBox[{"6", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"ll", "+", "uu", "+", 
           RowBox[{"2", " ", "x"}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"16", "+", 
         RowBox[{"3", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"3", " ", "ll"}], "+", 
         RowBox[{"3", " ", "uu"}], "+", 
         RowBox[{"2", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "+", 
         RowBox[{"13", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"ll", "+", "uu", "+", 
         RowBox[{"6", " ", "x"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"12", "+", 
         RowBox[{"13", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "2"]}]}], ")"}]}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{{3.5785158060319767`*^9, 3.5785158290722947`*^9}, 
   3.5785158998363423`*^9, {3.578515932389204*^9, 3.578516003892294*^9}, 
   3.578516043933584*^9, 3.578518212814637*^9, 3.578518569867059*^9, 
   3.5785186028539457`*^9, 3.5785186617303133`*^9, 3.578518712753232*^9, 
   3.578518777303924*^9, 3.5785188329521065`*^9, 3.5785188646929226`*^9, 
   3.578562616509383*^9, 3.578562653550502*^9, 3.578562747685886*^9, 
   3.57946789418186*^9, 3.5794684538398705`*^9, 3.5794685800860915`*^9, 
   3.5794745826344175`*^9, 3.5794746529224377`*^9, 3.5794747507050304`*^9, 
   3.579475051707247*^9, 3.5794751975735903`*^9, 3.579475237004845*^9, 
   3.5794756314734077`*^9, 3.5794780259773655`*^9, 3.5794781346795826`*^9, 
   3.5794782155042057`*^9, 3.5795284777673903`*^9, 3.57952859629617*^9, 
   3.579528833616744*^9, 3.5795293595878277`*^9, 3.5795304246237445`*^9, 
   3.5795306334956913`*^9, 3.5795311425208054`*^9, 3.579698423883646*^9, 
   3.5796984752855864`*^9, 3.579698507387422*^9, 3.579698748859234*^9, 
   3.5797082497346525`*^9, {3.579789088624547*^9, 3.579789115723097*^9}, 
   3.5797902805937233`*^9, 3.5798834336434584`*^9, 3.5806939617611823`*^9, 
   3.580694099986377*^9, 3.580741965496964*^9, 3.5807422371695027`*^9, 
   3.5807422688583155`*^9, 3.580742398750745*^9, 3.5807424768172097`*^9, 
   3.580742710698587*^9, 3.5807428031208735`*^9, 3.5807454814950676`*^9, {
   3.580790015817306*^9, 3.580790030075797*^9}, {3.5807901012746534`*^9, 
   3.580790159025906*^9}, 3.580790201301906*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"----------------\"\>"], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.580790201317506*^9}],

Cell[BoxData[
 StyleBox["\<\"Implied Vol: 3rd Order (dashed)\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.579698423885646*^9, 3.579698475282586*^9, 3.5796985073844223`*^9, 
   3.5796987488562336`*^9, 3.5797082497326527`*^9, {3.579789088622547*^9, 
   3.579789115721097*^9}, 3.5797902805907235`*^9, 3.579883433641458*^9, 
   3.5806939617611823`*^9, 3.580694099986377*^9, 3.5807419654939637`*^9, 
   3.5807422371675024`*^9, 3.580742268856315*^9, 3.5807423987487445`*^9, 
   3.5807424768152094`*^9, 3.580742710693587*^9, 3.5807428031158733`*^9, 
   3.5807454814900675`*^9, {3.580790015801706*^9, 3.580790030060197*^9}, {
   3.5807901012746534`*^9, 3.580790159025906*^9}, 3.580790201333106*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ll$$ = 1.732, $CellContext`t$$ = 
    0.01, $CellContext`uu$$ = 2.2, $CellContext`\[Delta]$$ = 0.03, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Delta]$$], 0.03, 0.1}, {
      Hold[$CellContext`uu$$], 2.2, 15.}, {
      Hold[$CellContext`ll$$], 1.5, 2.}, {
      Hold[$CellContext`t$$], 0.01, 1.}}, Typeset`size$$ = {
    360., {114., 118.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Delta]$21004$$ = 
    0, $CellContext`uu$21005$$ = 0, $CellContext`ll$21006$$ = 
    0, $CellContext`t$21007$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ll$$ = 1.5, $CellContext`t$$ = 
        0.01, $CellContext`uu$$ = 2.2, $CellContext`\[Delta]$$ = 0.03}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$21004$$, 0], 
        Hold[$CellContext`uu$$, $CellContext`uu$21005$$, 0], 
        Hold[$CellContext`ll$$, $CellContext`ll$21006$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$21007$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        $CellContext`\[Sigma][$CellContext`t$$, $CellContext`x, \
$CellContext`y, $CellContext`x0, $CellContext`y0, $CellContext`k, \
$CellContext`uu$$, $CellContext`ll$$, $CellContext`\[Delta]$$], \
{$CellContext`k, $CellContext`kmin, $CellContext`kmax}, 
        PlotStyle -> {{Black, Dashed}}, AxesOrigin -> {0, 0}], 
      "Specifications" :> {{$CellContext`\[Delta]$$, 0.03, 
         0.1}, {$CellContext`uu$$, 2.2, 15.}, {$CellContext`ll$$, 1.5, 
         2.}, {$CellContext`t$$, 0.01, 1.}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{411., {201., 206.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5785158060319767`*^9, 3.5785158290722947`*^9}, 
   3.5785158998363423`*^9, {3.578515932389204*^9, 3.578516003892294*^9}, 
   3.578516043933584*^9, 3.578518212814637*^9, 3.578518569867059*^9, 
   3.5785186028539457`*^9, 3.5785186617303133`*^9, 3.578518712753232*^9, 
   3.578518777303924*^9, 3.5785188329521065`*^9, 3.5785188646929226`*^9, 
   3.578562616509383*^9, 3.578562653550502*^9, 3.578562747685886*^9, 
   3.57946789418186*^9, 3.5794684538398705`*^9, 3.5794685800860915`*^9, 
   3.5794745826344175`*^9, 3.5794746529224377`*^9, 3.5794747507050304`*^9, 
   3.579475051707247*^9, 3.5794751975735903`*^9, 3.579475237004845*^9, 
   3.5794756314734077`*^9, 3.5794780259773655`*^9, 3.5794781346795826`*^9, 
   3.5794782155042057`*^9, 3.5795284777673903`*^9, 3.57952859629617*^9, 
   3.579528833616744*^9, 3.5795293595878277`*^9, 3.5795304246237445`*^9, 
   3.5795306334956913`*^9, 3.5795311425208054`*^9, 3.579698423883646*^9, 
   3.5796984752855864`*^9, 3.579698507387422*^9, 3.579698748859234*^9, 
   3.5797082497346525`*^9, {3.579789088624547*^9, 3.579789115723097*^9}, 
   3.5797902805937233`*^9, 3.5798834336434584`*^9, 3.5806939617611823`*^9, 
   3.580694099986377*^9, 3.580741965496964*^9, 3.5807422371695027`*^9, 
   3.5807422688583155`*^9, 3.580742398750745*^9, 3.5807424768172097`*^9, 
   3.580742710698587*^9, 3.5807428031208735`*^9, 3.5807454814950676`*^9, {
   3.580790015817306*^9, 3.580790030075797*^9}, {3.5807901012746534`*^9, 
   3.580790159025906*^9}, 3.5807902013487062`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1690, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 3058, 87, 331, "Input"],
Cell[CellGroupData[{
Cell[4546, 124, 173, 3, 68, "Section"],
Cell[4722, 129, 1282, 25, 220, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6041, 159, 189, 4, 68, "Section"],
Cell[CellGroupData[{
Cell[6255, 167, 59308, 1640, 4489, "Input"],
Cell[CellGroupData[{
Cell[65588, 1811, 939, 18, 26, "Print"],
Cell[66530, 1831, 664, 9, 23, "Print"]
}, Open  ]],
Cell[67209, 1843, 1544, 21, 31, "Output"],
Cell[68756, 1866, 5383, 92, 250, "Output"],
Cell[CellGroupData[{
Cell[74164, 1962, 931, 18, 26, "Print"],
Cell[75098, 1982, 865, 12, 23, "Print"],
Cell[75966, 1996, 708, 10, 23, "Print"]
}, Open  ]],
Cell[76689, 2009, 2235, 43, 69, "Output"],
Cell[78927, 2054, 710, 10, 23, "Print"],
Cell[79640, 2066, 2887, 63, 92, "Output"],
Cell[82530, 2131, 708, 10, 23, "Print"],
Cell[83241, 2143, 11393, 309, 152, "Output"],
Cell[94637, 2454, 710, 10, 23, "Print"],
Cell[95350, 2466, 12149, 326, 165, "Output"],
Cell[CellGroupData[{
Cell[107524, 2796, 659, 9, 23, "Print"],
Cell[108186, 2807, 918, 18, 26, "Print"]
}, Open  ]],
Cell[109119, 2828, 4018, 69, 456, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Rx0BlnSfR3DMbC1c51XbCbm7 *)
