(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[    146671,       3975]
NotebookOptionsPosition[    146227,       3942]
NotebookOutlinePosition[    146570,       3957]
CellTagsIndexPosition[    146527,       3954]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  StyleBox[
   RowBox[{"Heston", " ", "Stochastic", " ", "Volatility", " ", "Model"}], 
   "Title",
   FontVariations->{"Underline"->True}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
  "This", " ", "file", " ", "implements", " ", "3", "rd", " ", "order", " ", 
   "implied", " ", "vol", " ", "expansion", " ", "for", " ", "Heston", " ", 
   "model"}], "Subsection"], "\n", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"Compares", " ", "to", " ", "Forde"}], ",", "Jacquier", ",", 
    RowBox[{"Lee", " ", "expansion"}]}], "Subsection"], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"dS", " ", "=", " ", 
    RowBox[{
     SqrtBox["Z"], " ", "S", " ", "dW"}]}], " "}], 
  "Subsubsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"dZ", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Kappa]", " ", 
      RowBox[{"(", 
       RowBox[{"\[Theta]", " ", "-", " ", "Z"}], ")"}], " ", "dt"}], " ", "+",
      " ", 
     RowBox[{"\[Delta]", " ", 
      SqrtBox["Z"], " ", "dB"}]}]}], " "}], 
  "Subsubsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{
    RowBox[{"dW", " ", "dB"}], " ", "=", " ", 
    RowBox[{"\[Rho]", " ", "dt"}]}], "\[IndentingNewLine]"}], 
  "Subsubsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"X", " ", "=", " ", 
    RowBox[{"Log", "[", "S", "]"}]}], " "}], 
  "Subsubsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"Y", " ", "=", " ", 
    RowBox[{"Log", "[", "Z", "]"}]}], " "}], 
  "Subsubsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"dX", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], "Z", " ", "dt"}], " ", "+", " ", 
    RowBox[{
     SqrtBox["Z"], " ", "dW"}]}]}], "Subsubsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"dZ", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Kappa]", " ", "\[Theta]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], 
           RowBox[{"\[Delta]", "^", "2"}]}]}], " ", ")"}], 
        RowBox[{"Exp", "[", 
         RowBox[{"-", "Y"}], "]"}]}], "-", "\[Kappa]"}], ")"}], "dt"}], " ", 
    "+", " ", 
    RowBox[{"\[Delta]", " ", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "Y"}], "/", "2"}], "]"}], " ", "dB", " "}]}]}], 
  "Subsubsection"]}], "Input",
 CellChangeTimes->{{3.579708973370042*^9, 3.5797089922441216`*^9}, {
  3.5797090231728907`*^9, 3.579709043753068*^9}, {3.580460843686734*^9, 
  3.580460865776373*^9}, {3.580790262516306*^9, 3.580790293863106*^9}},
 EmphasizeSyntaxErrors->True],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Disclaimer", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}}],

Cell["\<\
Date: June 21, 2013.

This file was created by: Matthew Lorig, Stefano Pagliarani and Andrea \
Pascucci.

These Mathematica notebooks are provided on an \[OpenCurlyDoubleQuote]as is\
\[CloseCurlyDoubleQuote] basis without warranty of any kind, express or \
implied. Under no circumstances and under no legal theory, whether in tort, \
contract, or otherwise, shall the authors be liable to you or to any other \
person for any indirect, special, incidental, or consequential damages or \
losses. If you do not agree with these terms, then you are advised to not use \
the notebooks.

Please do no redistribute these notebooks.  If you wish to endorse the \
notebooks, then please link to the web-pages of the authors:
http://www.princeton.edu/~mlorig/
http://www.math.unipd.it/~stefanop/
http://www.dm.unibo.it/~pascucci/\
\>", "Text",
 CellChangeTimes->{{3.5127369954359856`*^9, 3.512737125359417*^9}, {
   3.5127371655637164`*^9, 3.5127371663597617`*^9}, {3.512814058730217*^9, 
   3.512814058891226*^9}, 3.526199505602*^9, 3.5268335032155323`*^9, {
   3.5272388928125*^9, 3.527238893671875*^9}, {3.5804506352987995`*^9, 
   3.580450646016018*^9}, 3.5804510585431423`*^9, 3.5804621638150606`*^9, {
   3.5807902968427057`*^9, 3.580790297139106*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}, 
   3.580451009169056*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"Exp", "[", "y", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Delta]", "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"-", "y"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{"\[Delta]", " ", "\[Rho]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]\[Alpha]", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Kappa]", " ", "\[Theta]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"\[Delta]", "^", "2"}]}]}], " ", ")"}], 
      RowBox[{"Exp", "[", 
       RowBox[{"-", "y"}], "]"}]}], "-", "\[Kappa]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Compute"}]}]}]}]}]}]}], " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Coefficients", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], "  ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", 
     RowBox[{"0", ",", "3"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      SuperscriptBox["aa", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "3"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x0", ",", "y0"}], "]"}], "/", 
     RowBox[{"3", "!"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"b", "[", 
     RowBox[{"0", ",", "3"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      SuperscriptBox["bb", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "3"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x0", ",", "y0"}], "]"}], "/", 
     RowBox[{"3", "!"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{"0", ",", "3"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      SuperscriptBox["cc", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "3"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x0", ",", "y0"}], "]"}], "/", 
     RowBox[{"3", "!"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", 
     RowBox[{"0", ",", "3"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Alpha]\[Alpha]", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "3"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x0", ",", "y0"}], "]"}], "/", 
     RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Get"}]}]}]}]}]}]}], " ", "Implied", " ", "Vol", 
    " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Expansion", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Get", "[", "filename", "]"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Define"}]}]}]}]}]}]}], " ", "3", "rd", " ", 
    "order", " ", "Implied", " ", "Vol", " ", "Expansion", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]00", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]10", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]01", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]20", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]11", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]02", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]30", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]21", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]12", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]03", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]", "[", 
     RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
     "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Exact"}]}]}]}]}]}]}], " ", "Heston", " ", 
    "implied", " ", "volatility", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sigma]H", "  ", "--"}], "--"}], "--"}], "--"}], 
    RowBox[{"--", 
     RowBox[{"--", "--"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Call", "[", 
    RowBox[{
    "t_", ",", "x_", ",", "k_", ",", "\[Kappa]_", ",", "\[Delta]_", ",", 
     "\[Rho]_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "d", ",", "f", ",", "CC", ",", "DD", ",", "\[Phi]", ",", "h", ",", 
       "\[Psi]"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"d", "[", "\[Lambda]_", "]"}], "=", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"\[Delta]", "^", "2"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Lambda]", "^", "2"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", "\[Lambda]"}]}], ")"}]}], " ", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Kappa]", "-", 
            RowBox[{
            "\[Rho]", " ", "\[ImaginaryI]", " ", "\[Lambda]", " ", 
             "\[Delta]"}]}], ")"}], "^", "2"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f", "[", "\[Lambda]_", "]"}], "=", 
       FractionBox[
        RowBox[{"\[Kappa]", "-", " ", 
         RowBox[{
         "\[Rho]", " ", "\[ImaginaryI]", " ", "\[Lambda]", " ", "\[Delta]"}], 
         " ", "+", " ", 
         RowBox[{"d", "[", "\[Lambda]", "]"}]}], 
        RowBox[{"\[Kappa]", " ", "-", " ", 
         RowBox[{
         "\[Rho]", " ", "\[ImaginaryI]", " ", "\[Lambda]", " ", "\[Delta]"}], 
         " ", "-", " ", 
         RowBox[{"d", "[", "\[Lambda]", "]"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"CC", "[", "\[Lambda]_", "]"}], "=", 
       RowBox[{
        FractionBox[
         RowBox[{"\[Kappa]", " ", "\[Theta]", " "}], 
         RowBox[{" ", 
          RowBox[{"\[Delta]", "^", "2"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Kappa]", "-", 
             RowBox[{
             "\[Rho]", " ", "\[Delta]", " ", "\[ImaginaryI]", " ", 
              "\[Lambda]"}], " ", "+", 
             RowBox[{"d", "[", "\[Lambda]", "]"}]}], ")"}], "t"}], "-", 
          RowBox[{"2", 
           RowBox[{"Log", "[", 
            FractionBox[
             RowBox[{"1", "-", 
              RowBox[{
               RowBox[{"f", "[", "\[Lambda]", "]"}], " ", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"d", "[", "\[Lambda]", "]"}], "t"}], "]"}]}]}], 
             RowBox[{"1", "-", 
              RowBox[{"f", "[", "\[Lambda]", "]"}]}]], "]"}]}]}], ")"}]}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"DD", "[", "\[Lambda]_", "]"}], "=", 
       RowBox[{
        FractionBox[
         RowBox[{"(", 
          RowBox[{"\[Kappa]", "-", 
           RowBox[{
           "\[Rho]", " ", "\[Delta]", " ", "\[ImaginaryI]", " ", 
            "\[Lambda]"}], " ", "+", 
           RowBox[{"d", "[", "\[Lambda]", "]"}]}], ")"}], 
         RowBox[{"\[Delta]", "^", "2", " "}]], 
        RowBox[{"(", 
         FractionBox[
          RowBox[{"1", "-", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"d", "[", "\[Lambda]", "]"}], " ", "t"}], "]"}]}], 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"f", "[", "\[Lambda]", "]"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"d", "[", "\[Lambda]", "]"}], "t"}], "]"}]}]}]], 
         ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Phi]", "[", "\[Lambda]_", "]"}], "=", 
       RowBox[{
        RowBox[{"CC", "[", "\[Lambda]", "]"}], "+", 
        RowBox[{
         RowBox[{"Exp", "[", "y", "]"}], " ", 
         RowBox[{"DD", "[", "\[Lambda]", "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"h", "[", 
        RowBox[{"\[Lambda]_", ",", "k"}], "]"}], "=", 
       FractionBox[
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"k", "-", 
           RowBox[{"\[ImaginaryI]", " ", "k", " ", "\[Lambda]"}]}]]}], 
        RowBox[{
         SqrtBox[
          RowBox[{"2", " ", "\[Pi]"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[ImaginaryI]", " ", "\[Lambda]"}], "+", 
           SuperscriptBox["\[Lambda]", "2"]}], ")"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Psi]", "[", 
        RowBox[{"\[Lambda]_", ",", "x"}], "]"}], "=", 
       FractionBox[
        RowBox[{"Exp", "[", 
         RowBox[{"\[ImaginaryI]", " ", "\[Lambda]", " ", "x"}], "]"}], 
        SqrtBox[
         RowBox[{"2", " ", "\[Pi]"}]]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Lambda]i", "=", 
       RowBox[{"-", "1.25"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Chop", "[", 
       RowBox[{"NIntegrate", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Re", "[", 
          RowBox[{
           RowBox[{"Exp", "[", 
            RowBox[{"\[Phi]", "[", 
             RowBox[{"\[Lambda]", "+", 
              RowBox[{"\[ImaginaryI]", " ", "\[Lambda]i"}]}], "]"}], "]"}], 
           RowBox[{"h", "[", 
            RowBox[{
             RowBox[{"\[Lambda]", "+", 
              RowBox[{"\[ImaginaryI]", " ", "\[Lambda]i"}]}], ",", "k"}], 
            "]"}], 
           RowBox[{"\[Psi]", "[", 
            RowBox[{
             RowBox[{"\[Lambda]", "+", 
              RowBox[{"\[ImaginaryI]", " ", "\[Lambda]i"}]}], ",", "x"}], 
            "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"\[Lambda]", ",", 
           RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
         RowBox[{"Method", " ", "->", "\"\<GlobalAdaptive\>\""}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "0"}]}], "]"}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalPhi]", "[", "z_", "]"}], ":=", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NumericQ", "[", "z", "]"}], "&&", 
        RowBox[{"z", "<", "0"}]}], ",", 
       RowBox[{"Erfc", "[", 
        RowBox[{
         RowBox[{"-", "z"}], "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], ",", 
       RowBox[{"1", "+", 
        RowBox[{"Erf", "[", 
         RowBox[{"z", "/", 
          RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}]}]}], "]"}], "/", "2"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PBS", "[", 
    RowBox[{"t_", ",", "x_", ",", "k_", ",", "\[Sigma]_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d1", ",", "d2"}], "}"}], ",", "\n", "\t", 
     RowBox[{
      RowBox[{"d1", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "k", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Sigma]", "^", "2"}], "/", "2"}], ")"}], "t"}]}], 
         ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", " ", 
          RowBox[{"Sqrt", "[", "t", "]"}]}], ")"}]}]}], ";", "\n", "\t", 
      RowBox[{"d2", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "k", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"\[Sigma]", "^", "2"}]}], "/", "2"}], ")"}], "t"}]}], 
         ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", " ", 
          RowBox[{"Sqrt", "[", "t", "]"}]}], ")"}]}]}], ";", "\n", "\t", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", "x", "]"}], " ", 
        RowBox[{"\[CapitalPhi]", "[", "d1", "]"}]}], "-", 
       RowBox[{
        RowBox[{"Exp", "[", "k", "]"}], " ", 
        RowBox[{"\[CapitalPhi]", "[", "d2", "]"}]}]}]}]}], "\n", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ImpVol", "[", 
    RowBox[{"CallPrice_", ",", "t_", ",", "x_", ",", "k_"}], "]"}], ":=", " ", 
   RowBox[{"FinancialDerivative", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<European\>\"", ",", " ", "\"\<Call\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<StrikePrice\>\"", " ", "->", " ", 
        RowBox[{"Exp", "[", "k", "]"}]}], ",", " ", 
       RowBox[{"\"\<Expiration\>\"", " ", "->", " ", "t"}], ",", " ", 
       RowBox[{"\"\<Value\>\"", " ", "->", " ", "CallPrice"}]}], "}"}], ",", 
     "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<InterestRate\>\"", " ", "->", " ", "0"}], ",", " ", 
       RowBox[{"\"\<CurrentPrice\>\"", " ", "\[Rule]", 
        RowBox[{"Exp", "[", "x", "]"}]}], ",", " ", 
       RowBox[{"\"\<Dividend\>\"", " ", "->", " ", "0"}]}], "}"}], ",", " ", 
     "\"\<ImpliedVolatility\>\""}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]H", "[", 
     RowBox[{
     "t_", ",", "x_", ",", "k_", ",", "\[Kappa]_", ",", "\[Delta]_", ",", 
      "\[Rho]_", ",", "y_"}], "]"}], ":=", 
    RowBox[{"Quiet", "[", 
     RowBox[{"ImpVol", "[", 
      RowBox[{
       RowBox[{"Call", "[", 
        RowBox[{
        "t", ",", "x", ",", "k", ",", "\[Kappa]", ",", "\[Delta]", ",", 
         "\[Rho]", ",", "y"}], "]"}], ",", "t", ",", "x", ",", "k"}], "]"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", " ", "Forde"}]}]}]}]}]}]}], ",", " ", "Jacquier", ",",
     " ", 
    RowBox[{"Lee", " ", "Implied", " ", "Vol", " ", "Expansion", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Sigma]FJL", "  ", "--"}], "--"}], "--"}], "--"}], 
     RowBox[{"--", 
      RowBox[{"--", "--"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g0", "=", 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"y", "/", "2"}], "]"}], 
    RowBox[{"(", 
     RowBox[{"1", " ", "+", " ", 
      RowBox[{
       FractionBox["1", "4"], "\[Rho]", " ", "\[Delta]", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{"-", "y"}], "]"}], 
       RowBox[{"(", 
        RowBox[{"k", "-", "x"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "24"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          FractionBox["5", "2"], 
          RowBox[{"\[Rho]", "^", "2"}]}]}], ")"}], 
       RowBox[{"\[Delta]", "^", "2"}], 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "2"}], "y"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "-", "x"}], ")"}], "^", "2"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g1", "=", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"-", 
       RowBox[{"\[Delta]", "^", "2"}]}], "12"], 
     RowBox[{"(", 
      RowBox[{"1", " ", "-", " ", 
       FractionBox[
        RowBox[{"\[Rho]", "^", "2"}], "4"]}], ")"}]}], "+", 
    RowBox[{"\[Rho]", " ", "\[Delta]", " ", 
     FractionBox[
      RowBox[{"Exp", "[", "y", "]"}], "4"]}], "+", 
    RowBox[{
     FractionBox["\[Kappa]", "2"], 
     RowBox[{"(", 
      RowBox[{"\[Theta]", "-", 
       RowBox[{"Exp", "[", "y", "]"}]}], ")"}]}], "+", 
    RowBox[{"\[Rho]", " ", "\[Delta]", " ", 
     FractionBox[
      RowBox[{"Exp", "[", 
       RowBox[{"-", "y"}], "]"}], "24"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Delta]", "^", "2"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[Rho]", "^", "2"}]}], ")"}]}], "-", 
       RowBox[{"2", "\[Kappa]", 
        RowBox[{"(", 
         RowBox[{"\[Theta]", "+", 
          RowBox[{"Exp", "[", "y", "]"}]}], ")"}]}], "+", 
       RowBox[{"\[Rho]", " ", "\[Delta]", " ", 
        RowBox[{"Exp", "[", "y", "]"}]}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}]}], "+", "\[IndentingNewLine]", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"\[Delta]", "^", "2"}], " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "2"}], "y"}], "]"}]}], "7680"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"176", " ", 
        RowBox[{"\[Delta]", "^", "2"}]}], "-", 
       RowBox[{"480", " ", "\[Kappa]", " ", "\[Theta]"}], "-", 
       RowBox[{"712", " ", 
        RowBox[{"\[Rho]", "^", "2"}], " ", 
        RowBox[{"\[Delta]", "^", "2"}]}], "+", 
       RowBox[{"40", " ", 
        RowBox[{"\[Rho]", "^", "3"}], " ", "\[Delta]", " ", 
        RowBox[{"Exp", "[", "y", "]"}]}], "+", 
       RowBox[{"1040", " ", "\[Kappa]", " ", "\[Theta]", " ", 
        RowBox[{"\[Rho]", "^", "2"}]}], " ", "-", 
       RowBox[{"80", " ", "\[Kappa]", " ", 
        RowBox[{"\[Rho]", "^", "2"}], " ", 
        RowBox[{"Exp", "[", "y", "]"}]}]}], ")"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"k", "-", "x"}], ")"}], "^", "2"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]FJL", "[", 
     RowBox[{"t_", ",", "x_", ",", "k_"}], "]"}], "=", 
    SqrtBox[
     RowBox[{
      RowBox[{"g0", "^", "2"}], " ", "+", " ", 
      RowBox[{"g1", " ", "t"}]}]]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", " ", "Choose"}]}]}]}]}]}]}], " ", "Heston", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"parameters", " ", "--"}], "--"}], "--"}], "--"}], "--"}]}], 
    "-"}], " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Kappa]", "=", 
   RowBox[{"1.0", "/", "3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]", "=", "0.3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Delta]", "=", 
   SqrtBox[
    RowBox[{"2", " ", "\[Kappa]", " ", "\[Theta]"}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]", "=", 
   RowBox[{"-", "0.45"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y", "=", 
    RowBox[{"Log", "[", "\[Theta]", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"-", "Implied"}]}]}]}]}]}], " ", "Vol", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Plots", " ", "--"}], "--"}], "--"}], "--"}], "--"}], 
     "--"}]}], "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0", "=", "x"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y0", "=", "y"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Implied Vol: Exact (solid) vs 3rd Order (dashed) vs \
Forde-Jacquier-Lee (dotted)\>\"", ",", "16", ",", "Blue", ",", "Bold"}], 
   "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<Time to maturity = \>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"t", "=", 
  RowBox[{"0.625", "/", "2"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmin", "=", 
   RowBox[{"-", "0.75"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmax", "=", 
   RowBox[{"-", "kmin"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IVmin", "=", 
   RowBox[{
    RowBox[{"\[Sigma]H", "[", 
     RowBox[{
     "t", ",", "x", ",", "kmax", ",", "\[Kappa]", ",", "\[Delta]", ",", 
      "\[Rho]", ",", "y"}], "]"}], "-", "0.01"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IVmax", "=", 
   RowBox[{"\[Sigma]H", "[", 
    RowBox[{
    "t", ",", "x", ",", "kmin", ",", "\[Kappa]", ",", "\[Delta]", ",", 
     "\[Rho]", ",", "y"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Sigma]H", "[", 
       RowBox[{
       "t", ",", "x", ",", "k", ",", "\[Kappa]", ",", "\[Delta]", ",", 
        "\[Rho]", ",", "y"}], "]"}], ",", 
      RowBox[{"\[Sigma]", "[", 
       RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
       "]"}], ",", 
      RowBox[{"\[Sigma]FJL", "[", 
       RowBox[{"t", ",", "x", ",", "k"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "kmin", ",", "kmax"}], "}"}], ",", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", 
      RowBox[{"Black", ",", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "Dashed"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "Dotted"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"IVmin", ",", "IVmax"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "IVmin"}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", " ", "Print"}]}]}]}]}]}], " ", "Implied", " ", 
    "Volatility", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Formula", " ", "--"}], "--"}], "--"}], "--"}], "--"}], 
       "--"}], "--"}], "--"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"Exp", "[", "y", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Delta]", "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"-", "y"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{"\[Delta]", " ", "\[Rho]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]\[Alpha]", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Kappa]", " ", "\[Theta]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"\[Delta]", "^", "2"}]}]}], " ", ")"}], 
     RowBox[{"Exp", "[", 
      RowBox[{"-", "y"}], "]"}]}], "-", "\[Kappa]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"To", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["aa", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["aa", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["bb", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["bb", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["cc", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["cc", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Alpha]\[Alpha]", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"2", "!"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Alpha]\[Alpha]", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "3"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "y"}], "]"}], "/", 
       RowBox[{"3", "!"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "filename", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]0", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]00", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]1", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]10", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]01", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]2", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]20", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]11", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]02", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]3", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]30", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]21", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]12", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]03", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Third Order Implied Volatility Approximation\>\"", ",", "16", ",", 
    "Blue", ",", "Bold"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<\[Sigma] = \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) + \
\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \
\(2\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]2", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<----------------\>\"", "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"--", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Manipulate", "  ", "--"}], "--"}], "--"}], "--"}], 
             "--"}], "--"}], "--"}], "--"}]}]}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aa", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"Exp", "[", "y", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bb", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Delta]", "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"-", "y"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cc", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{"\[Delta]", " ", "\[Rho]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]\[Alpha]", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Kappa]", " ", "\[Theta]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"\[Delta]", "^", "2"}]}]}], " ", ")"}], 
     RowBox[{"Exp", "[", 
      RowBox[{"-", "y"}], "]"}]}], "-", "\[Kappa]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["aa", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"0", ",", "3"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["aa", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "3"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["bb", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"0", ",", "3"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["bb", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "3"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["cc", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "3"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["cc", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "3"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"2", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[Alpha]\[Alpha]", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "1"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x0", ",", "y0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"0", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"3", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"1", ",", "2"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"1", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"2", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "[", 
    RowBox[{"0", ",", "3"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]\[Alpha]", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "3"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x0", ",", "y0"}], "]"}], "/", 
    RowBox[{"3", "!"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "filename", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]0", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]00", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]1", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]10", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]01", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]2", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]20", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]11", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]02", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]3", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]30", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]21", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]12", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]03", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", "[", 
    RowBox[{
    "t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_", ",", 
     "\[Kappa]_", ",", "\[Theta]_", ",", "\[Delta]_", ",", "\[Rho]_"}], "]"}],
    "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g0", "=", 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"y", "/", "2"}], "]"}], 
    RowBox[{"(", 
     RowBox[{"1", " ", "+", " ", 
      RowBox[{
       FractionBox["1", "4"], "\[Rho]", " ", "\[Delta]", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{"-", "y"}], "]"}], 
       RowBox[{"(", 
        RowBox[{"k", "-", "x"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "24"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          FractionBox["5", "2"], 
          RowBox[{"\[Rho]", "^", "2"}]}]}], ")"}], 
       RowBox[{"\[Delta]", "^", "2"}], 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "2"}], "y"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "-", "x"}], ")"}], "^", "2"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g1", "=", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"-", 
       RowBox[{"\[Delta]", "^", "2"}]}], "12"], 
     RowBox[{"(", 
      RowBox[{"1", " ", "-", " ", 
       FractionBox[
        RowBox[{"\[Rho]", "^", "2"}], "4"]}], ")"}]}], "+", 
    RowBox[{"\[Rho]", " ", "\[Delta]", " ", 
     FractionBox[
      RowBox[{"Exp", "[", "y", "]"}], "4"]}], "+", 
    RowBox[{
     FractionBox["\[Kappa]", "2"], 
     RowBox[{"(", 
      RowBox[{"\[Theta]", "-", 
       RowBox[{"Exp", "[", "y", "]"}]}], ")"}]}], "+", 
    RowBox[{"\[Rho]", " ", "\[Delta]", " ", 
     FractionBox[
      RowBox[{"Exp", "[", 
       RowBox[{"-", "y"}], "]"}], "24"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Delta]", "^", "2"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[Rho]", "^", "2"}]}], ")"}]}], "-", 
       RowBox[{"2", "\[Kappa]", 
        RowBox[{"(", 
         RowBox[{"\[Theta]", "+", 
          RowBox[{"Exp", "[", "y", "]"}]}], ")"}]}], "+", 
       RowBox[{"\[Rho]", " ", "\[Delta]", " ", 
        RowBox[{"Exp", "[", "y", "]"}]}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}]}], "+", "\[IndentingNewLine]", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"\[Delta]", "^", "2"}], " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "2"}], "y"}], "]"}]}], "7680"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"176", " ", 
        RowBox[{"\[Delta]", "^", "2"}]}], "-", 
       RowBox[{"480", " ", "\[Kappa]", " ", "\[Theta]"}], "-", 
       RowBox[{"712", " ", 
        RowBox[{"\[Rho]", "^", "2"}], " ", 
        RowBox[{"\[Delta]", "^", "2"}]}], "+", 
       RowBox[{"40", " ", 
        RowBox[{"\[Rho]", "^", "3"}], " ", "\[Delta]", " ", 
        RowBox[{"Exp", "[", "y", "]"}]}], "+", 
       RowBox[{"1040", " ", "\[Kappa]", " ", "\[Theta]", " ", 
        RowBox[{"\[Rho]", "^", "2"}]}], " ", "-", 
       RowBox[{"80", " ", "\[Kappa]", " ", 
        RowBox[{"\[Rho]", "^", "2"}], " ", 
        RowBox[{"Exp", "[", "y", "]"}]}]}], ")"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"k", "-", "x"}], ")"}], "^", "2"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]FJL", "[", 
    RowBox[{
    "t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_", ",", 
     "\[Kappa]_", ",", "\[Theta]_", ",", "\[Delta]_", ",", "\[Rho]_"}], "]"}],
    "=", 
   SqrtBox[
    RowBox[{
     RowBox[{"g0", "^", "2"}], " ", "+", " ", 
     RowBox[{"g1", " ", "t"}]}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x0", "=", "x"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kmin", "=", 
   RowBox[{"-", "0.75"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kmax", "=", "0.75"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"Style", "[", 
   RowBox[{
   "\"\<Implied Vol: 3rd Order (dashed) vs Forde-Jacquier-Lee (dotted)\>\"", 
    ",", "16", ",", "Blue", ",", "Bold"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Sigma]", "[", 
        RowBox[{
        "t", ",", "x", ",", "y", ",", "x0", ",", "y", ",", "k", ",", 
         "\[Kappa]", ",", "\[Theta]", ",", "\[Delta]", ",", "\[Rho]"}], "]"}],
        ",", 
       RowBox[{"\[Sigma]FJL", "[", 
        RowBox[{
        "t", ",", "x", ",", "y", ",", "x0", ",", "y", ",", "k", ",", 
         "\[Kappa]", ",", "\[Theta]", ",", "\[Delta]", ",", "\[Rho]"}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "kmin", ",", "kmax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Black", ",", "Dashed"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Black", ",", "Dotted"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"\[Sigma]", "[", 
          RowBox[{
          "t", ",", "x", ",", "y", ",", "x0", ",", "y", ",", "kmax", ",", 
           "\[Kappa]", ",", "\[Theta]", ",", "\[Delta]", ",", "\[Rho]"}], 
          "]"}], "-", "0.1"}]}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Delta]", ",", "0.2", ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Kappa]", ",", "0.5", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0.2", ",", "0.4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"Log", "[", "0.2", "]"}], ",", 
     RowBox[{"Log", "[", "0.4", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Rho]", ",", 
     RowBox[{"-", "0.9"}], ",", "0.9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0.1", ",", "0.5"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5764919506094313`*^9, 3.5764919551766925`*^9}, {
   3.5764920277388425`*^9, 3.5764923793689547`*^9}, {3.57649243365906*^9, 
   3.5764924611686335`*^9}, {3.5764925092163815`*^9, 3.5764925165408*^9}, {
   3.576492573216042*^9, 3.576492575420168*^9}, {3.5764926294472585`*^9, 
   3.576492858037333*^9}, {3.5764929496925755`*^9, 3.5764929915949717`*^9}, {
   3.5764930233557887`*^9, 3.576493070042459*^9}, {3.5764931031483526`*^9, 
   3.5764931936075263`*^9}, {3.5764932366559887`*^9, 
   3.5764932372540226`*^9}, {3.576493280358488*^9, 3.576493334976612*^9}, {
   3.576493370408639*^9, 3.5764933944110117`*^9}, 3.5764934345293064`*^9, {
   3.576493472324468*^9, 3.5764935165439973`*^9}, {3.5764935607595263`*^9, 
   3.576493622247043*^9}, {3.576493657747074*^9, 3.5764936578310785`*^9}, {
   3.5764939624475017`*^9, 3.5764939842747498`*^9}, {3.5764940931489773`*^9, 
   3.576494117521371*^9}, {3.576494164550061*^9, 3.5764942686680164`*^9}, {
   3.5764943035230103`*^9, 3.57649438744281*^9}, {3.5764944302792597`*^9, 
   3.5764944308122907`*^9}, {3.576494525762721*^9, 3.576494572489394*^9}, {
   3.576494615017826*^9, 3.576494679571519*^9}, {3.576494720746874*^9, 
   3.5764947664904904`*^9}, {3.5764948084178886`*^9, 
   3.5764948190294952`*^9}, {3.5764948547825403`*^9, 3.576494887717424*^9}, {
   3.5764949811417675`*^9, 3.576495095613315*^9}, {3.5764951328274436`*^9, 
   3.576495204115521*^9}, {3.5764952366803837`*^9, 3.576495285240161*^9}, {
   3.5764953674918656`*^9, 3.576495398809657*^9}, {3.5764954323525753`*^9, 
   3.576495507575878*^9}, {3.5764955383596387`*^9, 3.5764955661242266`*^9}, {
   3.5764957032410693`*^9, 3.5764957208610773`*^9}, {3.57649583263247*^9, 
   3.576495834495577*^9}, {3.5764958874336042`*^9, 3.576495889610729*^9}, 
   3.576495945981953*^9, {3.5765163083856163`*^9, 3.5765163213353567`*^9}, {
   3.5765764216688995`*^9, 3.576576495598128*^9}, {3.5765765390486135`*^9, 
   3.5765766097926593`*^9}, {3.576576657808406*^9, 3.576576660349551*^9}, {
   3.576576755206977*^9, 3.5765767613313265`*^9}, 3.576576810575144*^9, {
   3.5765768571998105`*^9, 3.5765768812421856`*^9}, {3.5765769694362297`*^9, 
   3.5765770630835857`*^9}, {3.5765770938833475`*^9, 
   3.5765771283383183`*^9}, {3.5765915383065214`*^9, 3.576591543980846*^9}, {
   3.57659157779078*^9, 3.5765916323459005`*^9}, {3.576591666558857*^9, 
   3.576591720403937*^9}, {3.576591751277703*^9, 3.576591778969287*^9}, 
   3.576593028368748*^9, {3.576687682687666*^9, 3.5766876833507037`*^9}, {
   3.5771129630135655`*^9, 3.5771130143795033`*^9}, {3.577113079227213*^9, 
   3.577113099066347*^9}, {3.5771131491922145`*^9, 3.577113204266364*^9}, {
   3.577113258796483*^9, 3.577113258991494*^9}, {3.5774641440919743`*^9, 
   3.5774641760538025`*^9}, 3.577464216238101*^9, {3.577465435044812*^9, 
   3.5774656696502314`*^9}, {3.5774657150418277`*^9, 
   3.5774658289703436`*^9}, {3.577465874137927*^9, 3.577465991658649*^9}, {
   3.5774660268986645`*^9, 3.577466125490304*^9}, {3.5774662413539305`*^9, 
   3.5774663017353845`*^9}, 3.577466383025034*^9, 3.577466483766796*^9, {
   3.5774665776111636`*^9, 3.5774665809863567`*^9}, {3.577466886188813*^9, 
   3.577466900727645*^9}, {3.5778141004973354`*^9, 3.5778141149901648`*^9}, {
   3.577814268006917*^9, 3.5778143258412247`*^9}, {3.5778150278923798`*^9, 
   3.5778150443803225`*^9}, {3.578045967191126*^9, 3.578046217556446*^9}, {
   3.5780462807160587`*^9, 3.578046281101081*^9}, {3.578047010027629*^9, 
   3.5780470152026362`*^9}, {3.578048165080246*^9, 3.578048184840274*^9}, 
   3.578049210896739*^9, {3.5780494821621184`*^9, 3.578049529538185*^9}, {
   3.5780495634932327`*^9, 3.578049627553322*^9}, {3.578049672348385*^9, 
   3.578049760473508*^9}, {3.578049796588559*^9, 3.578049826708601*^9}, {
   3.5780498920536923`*^9, 3.5780499687938*^9}, {3.578050176779091*^9, 
   3.578050187399106*^9}, {3.5780505044745493`*^9, 3.578050505164551*^9}, {
   3.5780505454646072`*^9, 3.5780505516596155`*^9}, {3.5780506129397016`*^9, 
   3.578050619634711*^9}, {3.578050667214778*^9, 3.5780507236948566`*^9}, 
   3.578050766619917*^9, {3.578050807429974*^9, 3.5780508141949835`*^9}, 
   3.57805095471518*^9, {3.5780510148602643`*^9, 3.578051032310289*^9}, {
   3.578051359485747*^9, 3.5780513624257507`*^9}, {3.5780514052508106`*^9, 
   3.5780514199108315`*^9}, 3.578051510490958*^9, {3.5780515787360535`*^9, 
   3.578051596316078*^9}, {3.578051673621189*^9, 3.5780516881062093`*^9}, {
   3.5780518536864414`*^9, 3.578051883846483*^9}, {3.578051966276599*^9, 
   3.578051984586624*^9}, 3.5780520408967032`*^9, {3.5780523168270893`*^9, 
   3.578052333477113*^9}, {3.5780524413622637`*^9, 3.578052448717274*^9}, {
   3.578052507562357*^9, 3.5780525130923643`*^9}, {3.57805257423245*^9, 
   3.5780525809174595`*^9}, {3.578052808457778*^9, 3.578052833682813*^9}, {
   3.5780529153679276`*^9, 3.578052921902937*^9}, {3.5780529722030067`*^9, 
   3.5780529997180457`*^9}, {3.578053113515473*^9, 3.5780531795063763`*^9}, 
   3.5780532106964197`*^9, {3.578053305186552*^9, 3.5780533326165905`*^9}, 
   3.5780534169267087`*^9, {3.5780541260087013`*^9, 3.57805414635373*^9}, {
   3.5780548728973184`*^9, 3.5780548752685223`*^9}, 3.578057153104125*^9, {
   3.578058683092635*^9, 3.578058841172677*^9}, {3.578058900867091*^9, 
   3.578058901346119*^9}, {3.5780593838377156`*^9, 3.5780593865018682`*^9}, {
   3.578059789670928*^9, 3.578059820734705*^9}, {3.5780598629691205`*^9, 
   3.57805989792512*^9}, {3.5780601770780864`*^9, 3.578060215578288*^9}, {
   3.5780604119055176`*^9, 3.57806042226311*^9}, {3.5783171459952726`*^9, 
   3.5783172169143295`*^9}, {3.578317295416819*^9, 3.578317298246981*^9}, {
   3.578317332351932*^9, 3.578317345186666*^9}, 3.578317399548775*^9, {
   3.5783174457834196`*^9, 3.5783175045867834`*^9}, {3.5783176054335513`*^9, 
   3.5783176145520725`*^9}, {3.57831764527383*^9, 3.5783176694532127`*^9}, {
   3.578317712073651*^9, 3.578317770379986*^9}, {3.57831782920035*^9, 
   3.578317840406991*^9}, {3.5783179444959445`*^9, 3.5783179632010145`*^9}, {
   3.578318042488549*^9, 3.5783180782255936`*^9}, {3.5783181864647846`*^9, 
   3.578318233156455*^9}, {3.578318519434829*^9, 3.578318525900199*^9}, {
   3.5783185932500515`*^9, 3.578318598583356*^9}, {3.578318680511042*^9, 
   3.5783186871414213`*^9}, 3.5783187213573785`*^9, 3.578318934837589*^9, 
   3.578319040248618*^9, {3.578319145248624*^9, 3.578319177162449*^9}, {
   3.57831937281964*^9, 3.5783193740207086`*^9}, {3.578319498016801*^9, 
   3.5783195006079493`*^9}, 3.578319597860512*^9, {3.578319786613308*^9, 
   3.578319797445927*^9}, {3.57831982792467*^9, 3.578319835396098*^9}, 
   3.578319959985224*^9, {3.579699149185131*^9, 3.5796992836458216`*^9}, {
   3.579699536165265*^9, 3.579699699149587*^9}, {3.5796997783001146`*^9, 
   3.5796999026782284`*^9}, {3.579699941480448*^9, 3.5797000222190657`*^9}, {
   3.5797001837603054`*^9, 3.579700196732047*^9}, {3.5797002399725204`*^9, 
   3.5797002456978483`*^9}, 3.579700280037812*^9, 3.579700407476101*^9, 
   3.579703467384118*^9, {3.579707973747867*^9, 3.5797079869626226`*^9}, {
   3.579708986462791*^9, 3.5797089975034227`*^9}, {3.579713793277725*^9, 
   3.5797138004391346`*^9}, {3.5797146284824963`*^9, 3.5797147459932175`*^9}, 
   3.579715348102656*^9, {3.5797154132083797`*^9, 3.579715437033743*^9}, {
   3.5797154732918167`*^9, 3.5797155206255236`*^9}, {3.579715607064468*^9, 
   3.579715665374803*^9}, {3.579715772179912*^9, 3.5797158114701595`*^9}, {
   3.5797158482512627`*^9, 3.579715898001108*^9}, {3.5797875154005637`*^9, 
   3.5797875722058125`*^9}, {3.57978762687994*^9, 3.57978762915907*^9}, {
   3.579787891795092*^9, 3.579787949245378*^9}, {3.5797880846791244`*^9, 
   3.5797881055163164`*^9}, 3.579880113310546*^9, {3.5804519347018843`*^9, 
   3.5804519367298875`*^9}, {3.580742923274746*^9, 3.580742925118851*^9}, {
   3.5807429996751156`*^9, 3.5807430013942137`*^9}, 3.5807430777355804`*^9, {
   3.5807431280564585`*^9, 3.580743378377776*^9}, {3.580743409419552*^9, 
   3.5807434275555887`*^9}, 3.580743507601167*^9, {3.580743703403366*^9, 
   3.580743767383026*^9}, {3.580743905081902*^9, 3.580743913637391*^9}, {
   3.5807440180933657`*^9, 3.5807440675831966`*^9}, 3.5807442408331056`*^9, {
   3.580744386146417*^9, 3.5807444652619424`*^9}, {3.58074452763651*^9, 
   3.5807445313677235`*^9}, {3.5807446270431957`*^9, 3.580744629819354*^9}, {
   3.580744715216239*^9, 3.580744811690757*^9}, {3.5807450486153083`*^9, 
   3.5807450554236975`*^9}, {3.5807450915597644`*^9, 
   3.5807451001432557`*^9}, {3.5807903119747057`*^9, 3.580790372237506*^9}, 
   3.580790431096306*^9, {3.580790489643106*^9, 3.580790490953506*^9}, {
   3.5807906196847057`*^9, 3.580790622461506*^9}, {3.580790685376306*^9, 
   3.5807906980903063`*^9}, {3.5807907458263063`*^9, 3.580790747838706*^9}, {
   3.580790783921506*^9, 3.580790787057106*^9}, {3.580790824965106*^9, 
   3.580790832203506*^9}, {3.58079089995388*^9, 3.580790900687075*^9}, 
   3.5808146596985626`*^9, {3.580817661911834*^9, 3.580817679352664*^9}, {
   3.5808177383987675`*^9, 3.5808177395531697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Implied Vol: Exact (solid) vs 3rd Order (dashed) vs \
Forde-Jacquier-Lee (dotted)\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.580817741503173*^9}],

Cell[BoxData["\<\"Time to maturity = \"\>"], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.580817741503173*^9}]
}, Open  ]],

Cell[BoxData["0.3125`"], "Output",
 CellChangeTimes->{
  3.5783175063058815`*^9, 3.578317672046361*^9, 3.5783177749352465`*^9, 
   3.578317841716066*^9, 3.5783179674302564`*^9, 3.5783180821258163`*^9, 
   3.578318274228804*^9, 3.578318526914257*^9, 3.5783185994504056`*^9, 
   3.578318688467497*^9, 3.5783187224774427`*^9, 3.5783189381117764`*^9, 
   3.5783190499001703`*^9, 3.5783191784115205`*^9, 3.5783193757298064`*^9, 
   3.578319501335991*^9, 3.578319599193588*^9, 3.578319798660997*^9, 
   3.5783198370391917`*^9, 3.57831996078827*^9, 3.579700149979373*^9, 
   3.579700200665272*^9, 3.579700246399888*^9, 3.579700284439064*^9, 
   3.579708012424079*^9, 3.579713804749381*^9, 3.5797156681659627`*^9, 
   3.5797159016563177`*^9, 3.5797875808223057`*^9, 3.5797879521725454`*^9, 
   3.5797881116246653`*^9, 3.5798799344533157`*^9, 3.5798801203659496`*^9, 
   3.580742926344921*^9, 3.580743021839383*^9, 3.5807434301447372`*^9, 
   3.5807435091452556`*^9, 3.5807436040596848`*^9, 3.580743772139298*^9, 
   3.580743917916636*^9, 3.5807440776527724`*^9, 3.580744241374137*^9, 
   3.580744470590247*^9, 3.580744533196828*^9, 3.580744631001422*^9, 
   3.5807448139318852`*^9, 3.580745055951728*^9, 3.580745102647399*^9, 
   3.580790381457106*^9, 3.580790431767106*^9, 3.580790495571106*^9, 
   3.5807906231011057`*^9, 3.5807906986987057`*^9, 3.5807907488059063`*^9, 
   3.580790787712306*^9, 3.5807908328431063`*^9, 3.5807909015450697`*^9, 
   3.580814549434256*^9, 3.580814661133645*^9, 3.5808149867632694`*^9, {
   3.5808175656497326`*^9, 3.580817572716545*^9}, 3.580817682145069*^9, 
   3.580817741503173*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], LineBox[CompressedData["
1:eJwt1Hs0lHkYB/AZy1i3aUs6Gy3iGGea1V0U65msLeuYdUtxmjShqMgmcik6
rGsmTS7FKOrkGlur6T7xqxiN5H5Njvd959W8CumipkOy756zfzznez7/fM/5
/vOsDI7y3a/FYDD86PsvQ25IphcWKKTrzuo5IiVh6Zwpx+krhTTewV4/0G7e
ViE8/oVCZa2X2+qLSeCM3m+dfEehbv2WRzNFJLwxJK++ICg0zrx/KfECCX8e
sg+QNVFoqeFJq4wCEpJthh8dyKSQ9oaDgRdzSZCWWOe1synEauTdbk4loQzL
ivLRUyNfQ71K/YMkLOvy8+KavEJNceZaGm8SlN5+bm02Y2jRUlGRYDMJ7lyb
GGsrEp2Lu9pQaEHCluvCys41KvTAvcI0R5eE2dMHjNdzCcQLdcw5NqWCT5ry
wiBbHMXGGKV29Kqg2SpvY2PkKKrsLy4dlavASeeUjBc6gmwTZAHjV1RQwHdw
2Jo0jKqd8zf9na2CkIsBr96UDSEvj6Hkd0dV0FllrseUDqD4WmdLxwAVmBv+
sw7d6UN2Li+PufFVoG+p7nx9rQe5FJUSezkqiNiRXlRd3YW6xez3BkYqEDVh
beZ57UhkupqZ+YkAq1+++ShSWtE9v0g72xECasJlhPyOAsHhpKulzQQc+lgv
zJE+Rh7tfJZ3LQGrk3UCWdZyZDGhOlWfR4BxQp/B+RIZ+ivibf6nEwQMhkas
ukFWIolVTFdxCAFxiatyWwtz0aTLsaBVAgKunXXkl689A4JxhiDZgYDcgykD
otQqCFOUBgZbEmA04+lU5yMDT5E8yNmAADymZePxNDnsdnElu2ZweHtf8CRO
+RjCdzIFQgyHyswrotBsBSS4JPmSbTjYfK41ji9pBQb7pV34XRxGb1o0OIW3
A89hunuqHAf/C3jWhKQLNnCV4ph8HEorxA2e53sgX8a13JqCg/buyCmdhD7Q
OS/VYR3FoUNUU+WbNgCxw1+3/C7C4baR6R5NxBCMUBV1yT44cKQrx3U9h0HY
UrWs41ccZo+nzdf6jYDgSPc+0h6HiVkzdrXjKKAn8rFnXBwuh2X2mVnjsLmR
aVz3Ew6Src/Fy20I+Oa7Tvx0CQ7sqFrXJhMVvKxcmEnTw6HR7V7DHVMSzKec
V8QycJiP3LtpJ3sM7JLOaXe/x4Cp21PMmx8DRdHgh5tjGGxyj37iwVCDSeWe
Qp8hDLLXG0wv1lZDLev7LxzaIyvKzV7oqiGYPxnzdRCD1Pf9MWGL1NCvE9BQ
RbtDutk2zVwNIYzYrIUBDMKmGOIGZzUM3k3RudWPQVHeWf+1CWpw2JiTtbYX
g9mRunGTD2qI6j9pFteBgVuEUiL4rAZfpkjxB+0zc6Rj+qwaOBuWn+XQtjQ1
y57RomBb03zKQDsG23dlc3uNKeB9sXjlQLuge/8hiT0FFaHbLjGeY7C6xXxS
P4GC+l7ZvZpWDOL9txS4JlHgtibDP5324zF/58QUCuJ31S3eR3vHd2fEr7Mp
CAkiqR9pn+DP/ayU0v3cTIPTSgyUDwYj0x9S4Dij4UU/xWCJx0eThkcUiDMW
PfSiLXzBbpxppkCd7HDYjva05jd2aDsFZReqOK9bMFhmf+u66ygFomeSxcG0
Rc2dOxNV9J45WTGfdo3fxLd6NQVPdyn4FrSdo628Vk5TEC28MjGiwCCD6aIJ
+EiB6/6QaTntLklgmURDAUuotaSEtqll7HblHAWGUwl+ibT//4/grlDIAmn/
C0cYtlA=
     "]]}, 
   {GrayLevel[0], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwt1Ws0VXkDBnAqDKLJraIkjXTojbx0SHqMJEuM5FqjUqdSrXQiU8mlYShm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     "]]}, 
   {GrayLevel[0], Dashing[{0, Small}], LineBox[CompressedData["
1:eJwBAQP+/CFib1JlAgAAAC8AAAACAAAAPkmE6Fb95b+IaqLTbprjPxbQU08p
FeW/FnEwSdF94z/IUFNEyyXkv2EjyZaoYOM/SCkldCMi478YPTtDaUHjPzqu
XKbPL+K/B9vKvZsk4z/6imYTMinhv1raPwzJBeM/9feklV4n4L9Wc4aA6+fi
P8QikjS+bd6/u2vlImrM4j87BX+zK2Tcv57AqzP5ruI/lEA3N0F92r88nVFo
2ZPiP2OcWOXqn9i/IUUnrph54j/Ppx4JAZrWv3I+JWN9XeI/HgywMb+21L8L
kxlGnkPiPwog5s/pqtK/ovlC2vUn4j9sVIWYqKjQv0dA2sUyDeI/YMPfyx6S
zb/Hq+14lvThPyI9/lHFgcm/lhB0OEba4T+paLPhu7bFv/jcM9MRwuE/avOx
XIuawb+l0f23OqjhPy5+BVkGI7u/Rll8RECP4T8TedQLlpuzvzUFVElMeOE/
12RsKq/jpr/hVQHuyl/hP3d6Ko7JlY6/fPrZIEVJ4T+qjzhApDCNP4FdxiaG
M+E/jmmB1mCCpz/OUXuMThzhPw30TDusUbM/8Mveyf0G4T/gdMY0doS7P2DE
QnVF8OA/7rlNwnfIwT8ubUsoWtrgP6aHoWBkicU/y4bPj0DG4D8l9qsTeJvJ
P089MoPUsOA/3rIfvTtozT+5SZ5iL53gP1WX4IjrkNA/apN4uEGK4D+epYy9
TJbSPxayLCYWduA/BFtt7QV51D/0BNkInWPgP85gqadShNY/uFA16PZP4D+1
DRpd92zYPxzt3Xf4PeA/Jpoh6AdM2j9uqZ4oqSzgP/p2hP2rU9w/69Y1Z0Ea
4D/r+hsOqDjePwyYoORsCeA/oGeH1Bsj4D+B2V2zIe/fP5BBzIwZJeE/hsjv
TNTM3z8Ob6tCwxXiP83qMKuDrd8/vkS4vbYa4z8+CQrrTYzfP/1tXzZWDuQ/
S+jrq/9t3z8BB9KZK/3kP6FCLpTxUN8/NkhywkoA5j8tp509JzLfPxfUNlbJ
j+Y/TW8JqYIh3z/+voNF
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.4864203119993718},
  Method->{},
  PlotRange->{{-0.75, 0.75}, {0.4864203119993718, 0.6126016744122618}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{
  3.5783175063058815`*^9, 3.578317672046361*^9, 3.5783177749352465`*^9, 
   3.578317841716066*^9, 3.5783179674302564`*^9, 3.5783180821258163`*^9, 
   3.578318274228804*^9, 3.578318526914257*^9, 3.5783185994504056`*^9, 
   3.578318688467497*^9, 3.5783187224774427`*^9, 3.5783189381117764`*^9, 
   3.5783190499001703`*^9, 3.5783191784115205`*^9, 3.5783193757298064`*^9, 
   3.578319501335991*^9, 3.578319599193588*^9, 3.578319798660997*^9, 
   3.5783198370391917`*^9, 3.57831996078827*^9, 3.579700149979373*^9, 
   3.579700200665272*^9, 3.579700246399888*^9, 3.579700284439064*^9, 
   3.579708012424079*^9, 3.579713804749381*^9, 3.5797156681659627`*^9, 
   3.5797159016563177`*^9, 3.5797875808223057`*^9, 3.5797879521725454`*^9, 
   3.5797881116246653`*^9, 3.5798799344533157`*^9, 3.5798801203659496`*^9, 
   3.580742926344921*^9, 3.580743021839383*^9, 3.5807434301447372`*^9, 
   3.5807435091452556`*^9, 3.5807436040596848`*^9, 3.580743772139298*^9, 
   3.580743917916636*^9, 3.5807440776527724`*^9, 3.580744241374137*^9, 
   3.580744470590247*^9, 3.580744533196828*^9, 3.580744631001422*^9, 
   3.5807448139318852`*^9, 3.580745055951728*^9, 3.580745102647399*^9, 
   3.580790381457106*^9, 3.580790431767106*^9, 3.580790495571106*^9, 
   3.5807906231011057`*^9, 3.5807906986987057`*^9, 3.5807907488059063`*^9, 
   3.580790787712306*^9, 3.5807908328431063`*^9, 3.5807909015450697`*^9, 
   3.580814549434256*^9, 3.580814661133645*^9, 3.5808149867632694`*^9, {
   3.5808175656497326`*^9, 3.580817572716545*^9}, 3.580817682145069*^9, 
   3.580817744139578*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Third Order Implied Volatility Approximation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.580817744186378*^9}],

Cell[BoxData["\<\"\[Sigma] = \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \
\\(0\\)]\\) + \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) + \
\\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) + \\!\\(\\*SubscriptBox[\\(\
\[Sigma]\\), \\(3\\)]\\)\"\>"], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.580817744186378*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(0\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.580817744186378*^9}]
}, Open  ]],

Cell[BoxData[
 SqrtBox[
  SuperscriptBox["\[ExponentialE]", "y"]]], "Output",
 CellChangeTimes->{
  3.5783175063058815`*^9, 3.578317672046361*^9, 3.5783177749352465`*^9, 
   3.578317841716066*^9, 3.5783179674302564`*^9, 3.5783180821258163`*^9, 
   3.578318274228804*^9, 3.578318526914257*^9, 3.5783185994504056`*^9, 
   3.578318688467497*^9, 3.5783187224774427`*^9, 3.5783189381117764`*^9, 
   3.5783190499001703`*^9, 3.5783191784115205`*^9, 3.5783193757298064`*^9, 
   3.578319501335991*^9, 3.578319599193588*^9, 3.578319798660997*^9, 
   3.5783198370391917`*^9, 3.57831996078827*^9, 3.579700149979373*^9, 
   3.579700200665272*^9, 3.579700246399888*^9, 3.579700284439064*^9, 
   3.579708012424079*^9, 3.579713804749381*^9, 3.5797156681659627`*^9, 
   3.5797159016563177`*^9, 3.5797875808223057`*^9, 3.5797879521725454`*^9, 
   3.5797881116246653`*^9, 3.5798799344533157`*^9, 3.5798801203659496`*^9, 
   3.580742926344921*^9, 3.580743021839383*^9, 3.5807434301447372`*^9, 
   3.5807435091452556`*^9, 3.5807436040596848`*^9, 3.580743772139298*^9, 
   3.580743917916636*^9, 3.5807440776527724`*^9, 3.580744241374137*^9, 
   3.580744470590247*^9, 3.580744533196828*^9, 3.580744631001422*^9, 
   3.5807448139318852`*^9, 3.580745055951728*^9, 3.580745102647399*^9, 
   3.580790381457106*^9, 3.580790431767106*^9, 3.580790495571106*^9, 
   3.5807906231011057`*^9, 3.5807906986987057`*^9, 3.5807907488059063`*^9, 
   3.580790787712306*^9, 3.5807908328431063`*^9, 3.5807909015450697`*^9, 
   3.580814549434256*^9, 3.580814661133645*^9, 3.5808149867632694`*^9, {
   3.5808175656497326`*^9, 3.580817572716545*^9}, 3.580817682145069*^9, 
   3.580817744186378*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.5808177442019777`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], " ", "\[Delta]", " ", "\[Rho]"}], 
   RowBox[{"4", " ", 
    SqrtBox[
     SuperscriptBox["\[ExponentialE]", "y"]]}]], "+", 
  FractionBox[
   RowBox[{"t", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["\[ExponentialE]", "y"]}], "+", "\[Theta]"}], ")"}], 
       " ", "\[Kappa]"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], " ", "\[Delta]", " ", 
       "\[Rho]"}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SqrtBox[
     SuperscriptBox["\[ExponentialE]", "y"]]}]]}]], "Output",
 CellChangeTimes->{
  3.5783175063058815`*^9, 3.578317672046361*^9, 3.5783177749352465`*^9, 
   3.578317841716066*^9, 3.5783179674302564`*^9, 3.5783180821258163`*^9, 
   3.578318274228804*^9, 3.578318526914257*^9, 3.5783185994504056`*^9, 
   3.578318688467497*^9, 3.5783187224774427`*^9, 3.5783189381117764`*^9, 
   3.5783190499001703`*^9, 3.5783191784115205`*^9, 3.5783193757298064`*^9, 
   3.578319501335991*^9, 3.578319599193588*^9, 3.578319798660997*^9, 
   3.5783198370391917`*^9, 3.57831996078827*^9, 3.579700149979373*^9, 
   3.579700200665272*^9, 3.579700246399888*^9, 3.579700284439064*^9, 
   3.579708012424079*^9, 3.579713804749381*^9, 3.5797156681659627`*^9, 
   3.5797159016563177`*^9, 3.5797875808223057`*^9, 3.5797879521725454`*^9, 
   3.5797881116246653`*^9, 3.5798799344533157`*^9, 3.5798801203659496`*^9, 
   3.580742926344921*^9, 3.580743021839383*^9, 3.5807434301447372`*^9, 
   3.5807435091452556`*^9, 3.5807436040596848`*^9, 3.580743772139298*^9, 
   3.580743917916636*^9, 3.5807440776527724`*^9, 3.580744241374137*^9, 
   3.580744470590247*^9, 3.580744533196828*^9, 3.580744631001422*^9, 
   3.5807448139318852`*^9, 3.580745055951728*^9, 3.580745102647399*^9, 
   3.580790381457106*^9, 3.580790431767106*^9, 3.580790495571106*^9, 
   3.5807906231011057`*^9, 3.5807906986987057`*^9, 3.5807907488059063`*^9, 
   3.580790787712306*^9, 3.5807908328431063`*^9, 3.5807909015450697`*^9, 
   3.580814549434256*^9, 3.580814661133645*^9, 3.5808149867632694`*^9, {
   3.5808175656497326`*^9, 3.580817572716545*^9}, 3.580817682145069*^9, 
   3.580817744233178*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.580817744233178*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"t", " ", 
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], " ", "\[Delta]", " ", "\[Rho]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"5", " ", 
       SuperscriptBox["\[Delta]", "2"]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "y"], "-", 
         RowBox[{"5", " ", "\[Theta]"}]}], ")"}], " ", "\[Kappa]"}], "-", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], " ", "\[Delta]", " ", 
       "\[Rho]"}]}], ")"}]}], 
   RowBox[{"96", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["\[ExponentialE]", "y"], ")"}], 
     RowBox[{"3", "/", "2"}]]}]], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "2"], " ", 
    SuperscriptBox["\[Delta]", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"5", " ", 
       SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}], 
   RowBox[{"48", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["\[ExponentialE]", "y"], ")"}], 
     RowBox[{"3", "/", "2"}]]}]], "+", 
  FractionBox[
   RowBox[{"t", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3"}], " ", "t", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[Delta]", "2"], "-", 
          RowBox[{"2", " ", "\[Theta]", " ", "\[Kappa]"}]}], ")"}], "2"]}], 
      "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "8"}], " ", "t", " ", "\[Theta]", " ", 
          SuperscriptBox["\[Kappa]", "2"]}], "-", 
         RowBox[{"2", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "3"], " ", "\[Rho]"}], "+", 
         RowBox[{
         "4", " ", "t", " ", "\[Delta]", " ", "\[Theta]", " ", "\[Kappa]", 
          " ", "\[Rho]"}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[Delta]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"8", "+", 
            RowBox[{"t", " ", "\[Kappa]"}], "+", 
            SuperscriptBox["\[Rho]", "2"]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", "y"}]], " ", "t", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"5", " ", 
          SuperscriptBox["\[Kappa]", "2"]}], "-", 
         RowBox[{"5", " ", "\[Delta]", " ", "\[Kappa]", " ", "\[Rho]"}], "+", 
         RowBox[{
          SuperscriptBox["\[Delta]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"384", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["\[ExponentialE]", "y"], ")"}], 
     RowBox[{"3", "/", "2"}]]}]]}]], "Output",
 CellChangeTimes->{
  3.5783175063058815`*^9, 3.578317672046361*^9, 3.5783177749352465`*^9, 
   3.578317841716066*^9, 3.5783179674302564`*^9, 3.5783180821258163`*^9, 
   3.578318274228804*^9, 3.578318526914257*^9, 3.5783185994504056`*^9, 
   3.578318688467497*^9, 3.5783187224774427`*^9, 3.5783189381117764`*^9, 
   3.5783190499001703`*^9, 3.5783191784115205`*^9, 3.5783193757298064`*^9, 
   3.578319501335991*^9, 3.578319599193588*^9, 3.578319798660997*^9, 
   3.5783198370391917`*^9, 3.57831996078827*^9, 3.579700149979373*^9, 
   3.579700200665272*^9, 3.579700246399888*^9, 3.579700284439064*^9, 
   3.579708012424079*^9, 3.579713804749381*^9, 3.5797156681659627`*^9, 
   3.5797159016563177`*^9, 3.5797875808223057`*^9, 3.5797879521725454`*^9, 
   3.5797881116246653`*^9, 3.5798799344533157`*^9, 3.5798801203659496`*^9, 
   3.580742926344921*^9, 3.580743021839383*^9, 3.5807434301447372`*^9, 
   3.5807435091452556`*^9, 3.5807436040596848`*^9, 3.580743772139298*^9, 
   3.580743917916636*^9, 3.5807440776527724`*^9, 3.580744241374137*^9, 
   3.580744470590247*^9, 3.580744533196828*^9, 3.580744631001422*^9, 
   3.5807448139318852`*^9, 3.580745055951728*^9, 3.580745102647399*^9, 
   3.580790381457106*^9, 3.580790431767106*^9, 3.580790495571106*^9, 
   3.5807906231011057`*^9, 3.5807906986987057`*^9, 3.5807907488059063`*^9, 
   3.580790787712306*^9, 3.5807908328431063`*^9, 3.5807909015450697`*^9, 
   3.580814549434256*^9, 3.580814661133645*^9, 3.5808149867632694`*^9, {
   3.5808175656497326`*^9, 3.580817572716545*^9}, 3.580817682145069*^9, 
   3.5808177443891783`*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(3\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.5808177444047785`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "y"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "3"], " ", 
    SuperscriptBox["\[Delta]", "3"], " ", "\[Rho]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "5"}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}], 
   RowBox[{"96", " ", 
    SqrtBox[
     SuperscriptBox["\[ExponentialE]", "y"]]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "y"}]], " ", "t", " ", 
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], " ", "\[Delta]", " ", "\[Rho]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"21", " ", "t", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[Delta]", "2"], "-", 
          RowBox[{"2", " ", "\[Theta]", " ", "\[Kappa]"}]}], ")"}], "2"]}], 
      "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", "y"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"20", " ", "t", " ", "\[Theta]", " ", 
          SuperscriptBox["\[Kappa]", "2"]}], "+", 
         RowBox[{"5", " ", "t", " ", 
          SuperscriptBox["\[Delta]", "3"], " ", "\[Rho]"}], "-", 
         RowBox[{
         "10", " ", "t", " ", "\[Delta]", " ", "\[Theta]", " ", "\[Kappa]", 
          " ", "\[Rho]"}], "-", 
         RowBox[{"2", " ", 
          SuperscriptBox["\[Delta]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "8"}], "+", 
            RowBox[{"5", " ", "t", " ", "\[Kappa]"}], "-", 
            RowBox[{"9", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", "y"}]], " ", "t", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", " ", 
          SuperscriptBox["\[Kappa]", "2"]}], "-", 
         RowBox[{"3", " ", "\[Delta]", " ", "\[Kappa]", " ", "\[Rho]"}], "+", 
         RowBox[{
          SuperscriptBox["\[Delta]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"1536", " ", 
    SqrtBox[
     SuperscriptBox["\[ExponentialE]", "y"]]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "y"}]], " ", "t", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "2"], " ", 
    SuperscriptBox["\[Delta]", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Delta]", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"8", "-", 
         RowBox[{"23", " ", 
          SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], " ", "\[Delta]", " ", "\[Rho]",
        " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         RowBox[{"7", " ", 
          SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", "\[Kappa]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Theta]", " ", 
          RowBox[{"(", 
           RowBox[{"8", "-", 
            RowBox[{"23", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "y"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"7", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"384", " ", 
    SqrtBox[
     SuperscriptBox["\[ExponentialE]", "y"]]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "y"}]], " ", 
    SuperscriptBox["t", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3"}], " ", "t", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[Delta]", "2"], "-", 
          RowBox[{"2", " ", "\[Theta]", " ", "\[Kappa]"}]}], ")"}], "3"]}], 
      "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", "y"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", " ", 
          SuperscriptBox["\[Delta]", "2"], " ", 
          SuperscriptBox["\[Rho]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "\[Kappa]"}], "+", 
            RowBox[{"\[Delta]", " ", "\[Rho]"}]}], ")"}]}], "+", 
         RowBox[{"t", " ", "\[Kappa]", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["\[Delta]", "2"], "-", 
            RowBox[{"2", " ", "\[Theta]", " ", "\[Kappa]"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[Kappa]"}], "+", 
            RowBox[{"\[Delta]", " ", "\[Rho]"}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"3", " ", "y"}]], " ", "t", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "12"}], " ", 
          SuperscriptBox["\[Kappa]", "3"]}], "+", 
         RowBox[{"18", " ", "\[Delta]", " ", 
          SuperscriptBox["\[Kappa]", "2"], " ", "\[Rho]"}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[Delta]", "2"], " ", "\[Kappa]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[Delta]", "3"], " ", "\[Rho]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "6"}], "+", 
            RowBox[{"5", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[Delta]", "2"], "-", 
         RowBox[{"2", " ", "\[Theta]", " ", "\[Kappa]"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", "t", " ", "\[Theta]", " ", 
          SuperscriptBox["\[Kappa]", "2"]}], "+", 
         RowBox[{"t", " ", 
          SuperscriptBox["\[Delta]", "3"], " ", "\[Rho]"}], "-", 
         RowBox[{
         "2", " ", "t", " ", "\[Delta]", " ", "\[Theta]", " ", "\[Kappa]", 
          " ", "\[Rho]"}], "+", 
         RowBox[{
          SuperscriptBox["\[Delta]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"16", "-", 
            RowBox[{"2", " ", "t", " ", "\[Kappa]"}], "+", 
            RowBox[{"20", " ", 
             SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"3072", " ", 
    SqrtBox[
     SuperscriptBox["\[ExponentialE]", "y"]]}]]}]], "Output",
 CellChangeTimes->{
  3.5783175063058815`*^9, 3.578317672046361*^9, 3.5783177749352465`*^9, 
   3.578317841716066*^9, 3.5783179674302564`*^9, 3.5783180821258163`*^9, 
   3.578318274228804*^9, 3.578318526914257*^9, 3.5783185994504056`*^9, 
   3.578318688467497*^9, 3.5783187224774427`*^9, 3.5783189381117764`*^9, 
   3.5783190499001703`*^9, 3.5783191784115205`*^9, 3.5783193757298064`*^9, 
   3.578319501335991*^9, 3.578319599193588*^9, 3.578319798660997*^9, 
   3.5783198370391917`*^9, 3.57831996078827*^9, 3.579700149979373*^9, 
   3.579700200665272*^9, 3.579700246399888*^9, 3.579700284439064*^9, 
   3.579708012424079*^9, 3.579713804749381*^9, 3.5797156681659627`*^9, 
   3.5797159016563177`*^9, 3.5797875808223057`*^9, 3.5797879521725454`*^9, 
   3.5797881116246653`*^9, 3.5798799344533157`*^9, 3.5798801203659496`*^9, 
   3.580742926344921*^9, 3.580743021839383*^9, 3.5807434301447372`*^9, 
   3.5807435091452556`*^9, 3.5807436040596848`*^9, 3.580743772139298*^9, 
   3.580743917916636*^9, 3.5807440776527724`*^9, 3.580744241374137*^9, 
   3.580744470590247*^9, 3.580744533196828*^9, 3.580744631001422*^9, 
   3.5807448139318852`*^9, 3.580745055951728*^9, 3.580745102647399*^9, 
   3.580790381457106*^9, 3.580790431767106*^9, 3.580790495571106*^9, 
   3.5807906231011057`*^9, 3.5807906986987057`*^9, 3.5807907488059063`*^9, 
   3.580790787712306*^9, 3.5807908328431063`*^9, 3.5807909015450697`*^9, 
   3.580814549434256*^9, 3.580814661133645*^9, 3.5808149867632694`*^9, {
   3.5808175656497326`*^9, 3.580817572716545*^9}, 3.580817682145069*^9, 
   3.58081774526278*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"----------------\"\>"], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.58081774526278*^9}],

Cell[BoxData[
 StyleBox["\<\"Implied Vol: 3rd Order (dashed) vs Forde-Jacquier-Lee (dotted)\
\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.5797001499763727`*^9, 3.579700200662272*^9, 3.579700246397888*^9, 
   3.579700284425063*^9, 3.579708012422079*^9, 3.57971380473538*^9, 
   3.5797156681619625`*^9, 3.5797159016543174`*^9, 3.5797875808203053`*^9, 
   3.579787952169545*^9, 3.579788111621666*^9, 3.5798799344503155`*^9, 
   3.5798801203629494`*^9, 3.5807429263429213`*^9, 3.5807430218373833`*^9, 
   3.580743430142737*^9, 3.5807435091422553`*^9, 3.5807436040566845`*^9, 
   3.580743772137298*^9, 3.5807439179146357`*^9, 3.580744077650772*^9, 
   3.5807442413721366`*^9, 3.580744470587247*^9, 3.580744533194828*^9, 
   3.580744631000422*^9, 3.5807448139268847`*^9, 3.5807450559467278`*^9, 
   3.5807451026433983`*^9, 3.580790381457106*^9, 3.580790431767106*^9, 
   3.5807904955555058`*^9, 3.5807906231011057`*^9, 3.5807906986987057`*^9, 
   3.5807907488059063`*^9, 3.580790787712306*^9, 3.5807908328431063`*^9, 
   3.5807909015450697`*^9, 3.5808145494272556`*^9, 3.5808146611276445`*^9, 
   3.580814986755269*^9, {3.580817565618532*^9, 3.580817572700945*^9}, 
   3.580817682145069*^9, 3.58081774532518*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 
    0.197, $CellContext`y$$ = -1.137, $CellContext`\[Delta]$$ = 
    0.47450000000000003`, $CellContext`\[Theta]$$ = 
    0.29800000000000004`, $CellContext`\[Kappa]$$ = 
    3.5100000000000002`, $CellContext`\[Rho]$$ = -0.444, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Delta]$$], 0.2, 0.5}, {
      Hold[$CellContext`\[Kappa]$$], 0.5, 10}, {
      Hold[$CellContext`\[Theta]$$], 0.2, 0.4}, {
      Hold[$CellContext`y$$], -1.6094379124341003`, -0.916290731874155}, {
      Hold[$CellContext`\[Rho]$$], -0.9, 0.9}, {
      Hold[$CellContext`t$$], 0.1, 0.5}}, Typeset`size$$ = {
    360., {115., 118.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Delta]$32407$$ = 
    0, $CellContext`\[Kappa]$32408$$ = 0, $CellContext`\[Theta]$32409$$ = 
    0, $CellContext`y$32410$$ = 0, $CellContext`\[Rho]$32411$$ = 
    0, $CellContext`t$32412$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`t$$ = 
        0.1, $CellContext`y$$ = -1.6094379124341003`, $CellContext`\[Delta]$$ = 
        0.2, $CellContext`\[Theta]$$ = 0.2, $CellContext`\[Kappa]$$ = 
        0.5, $CellContext`\[Rho]$$ = -0.9}, "ControllerVariables" :> {
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$32407$$, 0], 
        Hold[$CellContext`\[Kappa]$$, $CellContext`\[Kappa]$32408$$, 0], 
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$32409$$, 0], 
        Hold[$CellContext`y$$, $CellContext`y$32410$$, 0], 
        Hold[$CellContext`\[Rho]$$, $CellContext`\[Rho]$32411$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$32412$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[{
         $CellContext`\[Sigma][$CellContext`t$$, $CellContext`x, \
$CellContext`y$$, $CellContext`x0, $CellContext`y$$, $CellContext`k, \
$CellContext`\[Kappa]$$, $CellContext`\[Theta]$$, $CellContext`\[Delta]$$, \
$CellContext`\[Rho]$$], 
         $CellContext`\[Sigma]FJL[$CellContext`t$$, $CellContext`x, \
$CellContext`y$$, $CellContext`x0, $CellContext`y$$, $CellContext`k, \
$CellContext`\[Kappa]$$, $CellContext`\[Theta]$$, $CellContext`\[Delta]$$, \
$CellContext`\[Rho]$$]}, {$CellContext`k, $CellContext`kmin, \
$CellContext`kmax}, PlotStyle -> {{Black, Dashed}, {Black, Dotted}}, 
        AxesOrigin -> {
         0, $CellContext`\[Sigma][$CellContext`t$$, $CellContext`x, \
$CellContext`y$$, $CellContext`x0, $CellContext`y$$, $CellContext`kmax, \
$CellContext`\[Kappa]$$, $CellContext`\[Theta]$$, $CellContext`\[Delta]$$, \
$CellContext`\[Rho]$$] - 0.1}], 
      "Specifications" :> {{$CellContext`\[Delta]$$, 0.2, 
         0.5}, {$CellContext`\[Kappa]$$, 0.5, 10}, {$CellContext`\[Theta]$$, 
         0.2, 0.4}, {$CellContext`y$$, -1.6094379124341003`, \
-0.916290731874155}, {$CellContext`\[Rho]$$, -0.9, 0.9}, {$CellContext`t$$, 
         0.1, 0.5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{411., {229., 234.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5783175063058815`*^9, 3.578317672046361*^9, 3.5783177749352465`*^9, 
   3.578317841716066*^9, 3.5783179674302564`*^9, 3.5783180821258163`*^9, 
   3.578318274228804*^9, 3.578318526914257*^9, 3.5783185994504056`*^9, 
   3.578318688467497*^9, 3.5783187224774427`*^9, 3.5783189381117764`*^9, 
   3.5783190499001703`*^9, 3.5783191784115205`*^9, 3.5783193757298064`*^9, 
   3.578319501335991*^9, 3.578319599193588*^9, 3.578319798660997*^9, 
   3.5783198370391917`*^9, 3.57831996078827*^9, 3.579700149979373*^9, 
   3.579700200665272*^9, 3.579700246399888*^9, 3.579700284439064*^9, 
   3.579708012424079*^9, 3.579713804749381*^9, 3.5797156681659627`*^9, 
   3.5797159016563177`*^9, 3.5797875808223057`*^9, 3.5797879521725454`*^9, 
   3.5797881116246653`*^9, 3.5798799344533157`*^9, 3.5798801203659496`*^9, 
   3.580742926344921*^9, 3.580743021839383*^9, 3.5807434301447372`*^9, 
   3.5807435091452556`*^9, 3.5807436040596848`*^9, 3.580743772139298*^9, 
   3.580743917916636*^9, 3.5807440776527724`*^9, 3.580744241374137*^9, 
   3.580744470590247*^9, 3.580744533196828*^9, 3.580744631001422*^9, 
   3.5807448139318852`*^9, 3.580745055951728*^9, 3.580745102647399*^9, 
   3.580790381457106*^9, 3.580790431767106*^9, 3.580790495571106*^9, 
   3.5807906231011057`*^9, 3.5807906986987057`*^9, 3.5807907488059063`*^9, 
   3.580790787712306*^9, 3.5807908328431063`*^9, 3.5807909015450697`*^9, 
   3.580814549434256*^9, 3.580814661133645*^9, 3.5808149867632694`*^9, {
   3.5808175656497326`*^9, 3.580817572716545*^9}, 3.580817682145069*^9, 
   3.5808177453719797`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1690, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 2723, 83, 434, "Input"],
Cell[CellGroupData[{
Cell[4211, 120, 173, 3, 68, "Section"],
Cell[4387, 125, 1260, 25, 220, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5684, 155, 189, 4, 68, "Section"],
Cell[CellGroupData[{
Cell[5898, 163, 95799, 2885, 6832, "Input"],
Cell[CellGroupData[{
Cell[101722, 3052, 1453, 26, 26, "Print"],
Cell[103178, 3080, 1147, 16, 23, "Print"]
}, Open  ]],
Cell[104340, 3099, 1610, 23, 31, "Output"],
Cell[105953, 3124, 7513, 129, 253, "Output"],
Cell[CellGroupData[{
Cell[113491, 3257, 1416, 25, 26, "Print"],
Cell[114910, 3284, 1350, 19, 23, "Print"],
Cell[116263, 3305, 1193, 17, 23, "Print"]
}, Open  ]],
Cell[117471, 3325, 1653, 25, 39, "Output"],
Cell[119127, 3352, 1195, 17, 23, "Print"],
Cell[120325, 3371, 2353, 49, 56, "Output"],
Cell[122681, 3422, 1193, 17, 23, "Print"],
Cell[123877, 3441, 4543, 111, 55, "Output"],
Cell[128423, 3554, 1195, 17, 23, "Print"],
Cell[129621, 3573, 8623, 224, 156, "Output"],
Cell[CellGroupData[{
Cell[138269, 3801, 1143, 16, 23, "Print"],
Cell[139415, 3819, 1435, 26, 26, "Print"]
}, Open  ]],
Cell[140865, 3848, 5334, 90, 512, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature 7wD#@gfyHuxwgAgaOVrbpbme *)
